package androidx.camera.core;

/* access modifiers changed from: package-private */
public final class SingleCloseImageProxy extends ForwardingImageProxy {
    private boolean mClosed = false;

    SingleCloseImageProxy(ImageProxy imageProxy) {
        super(imageProxy);
    }

    @Override // androidx.camera.core.ImageProxy, androidx.camera.core.ForwardingImageProxy, java.lang.AutoCloseable
    public synchronized void close() {
        if (!this.mClosed) {
            this.mClosed = true;
            super.close();
        }
    }
}
