package androidx.camera.view;

import android.content.Context;
import android.view.OrientationEventListener;

public abstract class SensorRotationListener extends OrientationEventListener {
    public static final int INVALID_SURFACE_ROTATION = -1;
    private int mRotation = -1;

    public abstract void onRotationChanged(int i);

    public SensorRotationListener(Context context) {
        super(context);
    }

    public void onOrientationChanged(int i) {
        if (i != -1) {
            int i2 = (i >= 315 || i < 45) ? 0 : i >= 225 ? 1 : i >= 135 ? 2 : 3;
            if (this.mRotation != i2) {
                this.mRotation = i2;
                onRotationChanged(i2);
            }
        }
    }
}
