package androidx.camera.view.preview.transform;

import android.util.Pair;
import android.util.Size;
import android.view.View;
import androidx.camera.view.preview.transform.transformation.PreviewCorrectionTransformation;

final class PreviewCorrector {
    private PreviewCorrector() {
    }

    static PreviewCorrectionTransformation getCorrectionTransformation(View view, View view2, Size size, boolean z, int i) {
        Pair<Float, Float> correctionScale = getCorrectionScale(view, view2, size, z);
        return new PreviewCorrectionTransformation(((Float) correctionScale.first).floatValue(), ((Float) correctionScale.second).floatValue(), (float) (-((int) RotationTransform.getRotationDegrees(view2, i))));
    }

    private static Pair<Float, Float> getCorrectionScale(View view, View view2, Size size, boolean z) {
        int i;
        int i2;
        if (view.getWidth() == 0 || view.getHeight() == 0 || view2.getWidth() == 0 || view2.getHeight() == 0 || size.getWidth() == 0 || size.getHeight() == 0) {
            return new Pair<>(Float.valueOf(1.0f), Float.valueOf(1.0f));
        }
        if (z) {
            i2 = size.getHeight();
            i = size.getWidth();
        } else {
            i2 = size.getWidth();
            i = size.getHeight();
        }
        return new Pair<>(Float.valueOf(((float) i2) / ((float) view2.getWidth())), Float.valueOf(((float) i) / ((float) view2.getHeight())));
    }
}
