package androidx.camera.view.preview.transform;

import android.view.Display;
import android.view.View;

/* access modifiers changed from: package-private */
public final class RotationTransform {
    static final int ROTATION_AUTOMATIC = -1;

    private RotationTransform() {
    }

    static float getRotationDegrees(View view, int i) {
        if (i != -1) {
            return (float) SurfaceRotation.rotationDegreesFromSurfaceRotation(i);
        }
        return getRotationDegrees(view);
    }

    static float getRotationDegrees(View view) {
        Display display = view.getDisplay();
        if (display == null) {
            return 0.0f;
        }
        return (float) SurfaceRotation.rotationDegreesFromSurfaceRotation(display.getRotation());
    }
}
