package androidx.camera.view.preview.transform;

import android.view.View;
import androidx.camera.view.preview.transform.transformation.ScaleTransformation;

final class ScaleTransform {

    /* access modifiers changed from: private */
    public interface FloatBiFunction {
        float apply(float f, float f2);
    }

    private ScaleTransform() {
    }

    static ScaleTransformation fill(View view, View view2, int i) {
        return computeScale(view, view2, $$Lambda$d3P8984_eeiWSAQFGMGoCy9GDSw.INSTANCE, i);
    }

    static ScaleTransformation fit(View view, View view2, int i) {
        return computeScale(view, view2, $$Lambda$lwPIhAW7iIqiik5EZ9KZtbZQIA.INSTANCE, i);
    }

    private static ScaleTransformation computeScale(View view, View view2, FloatBiFunction floatBiFunction, int i) {
        float f;
        float f2;
        float f3;
        if (view.getWidth() == 0 || view.getHeight() == 0 || view2.getWidth() == 0 || view2.getHeight() == 0) {
            return new ScaleTransformation(1.0f);
        }
        int rotationDegrees = (int) RotationTransform.getRotationDegrees(view2, i);
        if (rotationDegrees == 0 || rotationDegrees == 180) {
            f = ((float) view2.getWidth()) * view2.getScaleX();
            f3 = (float) view2.getHeight();
            f2 = view2.getScaleY();
        } else {
            f = ((float) view2.getHeight()) * view2.getScaleY();
            f3 = (float) view2.getWidth();
            f2 = view2.getScaleX();
        }
        return new ScaleTransformation(floatBiFunction.apply(((float) view.getWidth()) / f, ((float) view.getHeight()) / (f3 * f2)));
    }
}
