package androidx.camera.view.preview.transform;

import android.util.Pair;
import android.view.View;
import androidx.camera.view.preview.transform.transformation.TranslationTransformation;

/* access modifiers changed from: package-private */
public final class TranslationTransform {
    private TranslationTransform() {
    }

    static TranslationTransformation start(View view, Pair<Float, Float> pair, int i) {
        int i2;
        int i3;
        if (view.getWidth() == 0 || view.getHeight() == 0) {
            return new TranslationTransformation(0.0f, 0.0f);
        }
        int width = (int) (((float) view.getWidth()) * ((Float) pair.first).floatValue());
        int height = (int) (((float) view.getHeight()) * ((Float) pair.second).floatValue());
        int rotationDegrees = (int) RotationTransform.getRotationDegrees(view, i);
        if (rotationDegrees == 0 || rotationDegrees == 180) {
            i2 = height / 2;
            i3 = width / 2;
        } else {
            i3 = height / 2;
            i2 = width / 2;
        }
        return new TranslationTransformation((float) reverseIfRTLLayout(view, i3 - (view.getWidth() / 2)), (float) (i2 - (view.getHeight() / 2)));
    }

    static TranslationTransformation center(View view, View view2) {
        return (view2.getWidth() == 0 || view2.getHeight() == 0) ? new TranslationTransformation(0.0f, 0.0f) : new TranslationTransformation((float) reverseIfRTLLayout(view2, (view.getWidth() / 2) - (view2.getWidth() / 2)), (float) ((view.getHeight() / 2) - (view2.getHeight() / 2)));
    }

    static TranslationTransformation end(View view, View view2, Pair<Float, Float> pair, int i) {
        int i2;
        int i3;
        if (view2.getWidth() == 0 || view2.getHeight() == 0) {
            return new TranslationTransformation(0.0f, 0.0f);
        }
        int width = view.getWidth();
        int height = view.getHeight();
        int width2 = (int) (((float) view2.getWidth()) * ((Float) pair.first).floatValue());
        int height2 = (int) (((float) view2.getHeight()) * ((Float) pair.second).floatValue());
        int rotationDegrees = (int) RotationTransform.getRotationDegrees(view2, i);
        if (rotationDegrees == 0 || rotationDegrees == 180) {
            i3 = width - (width2 / 2);
            i2 = height - (height2 / 2);
        } else {
            i3 = width - (height2 / 2);
            i2 = height - (width2 / 2);
        }
        return new TranslationTransformation((float) reverseIfRTLLayout(view2, i3 - (view2.getWidth() / 2)), (float) (i2 - (view2.getHeight() / 2)));
    }

    private static int reverseIfRTLLayout(View view, int i) {
        boolean z = true;
        if (view.getLayoutDirection() != 1) {
            z = false;
        }
        return z ? -i : i;
    }
}
