package androidx.camera.view.preview.transform.transformation;

import android.view.View;

public class Transformation {
    private final float mRotation;
    private final float mScaleX;
    private final float mScaleY;
    private final float mTransX;
    private final float mTransY;

    public Transformation() {
        this(1.0f, 1.0f, 0.0f, 0.0f, 0.0f);
    }

    public Transformation(float f, float f2, float f3, float f4, float f5) {
        this.mScaleX = f;
        this.mScaleY = f2;
        this.mTransX = f3;
        this.mTransY = f4;
        this.mRotation = f5;
    }

    public float getScaleX() {
        return this.mScaleX;
    }

    public float getScaleY() {
        return this.mScaleY;
    }

    public float getTransX() {
        return this.mTransX;
    }

    public float getTransY() {
        return this.mTransY;
    }

    public float getRotation() {
        return this.mRotation;
    }

    public Transformation add(Transformation transformation) {
        return new Transformation(transformation.mScaleX * this.mScaleX, transformation.mScaleY * this.mScaleY, transformation.mTransX + this.mTransX, transformation.mTransY + this.mTransY, this.mRotation + transformation.mRotation);
    }

    public Transformation subtract(Transformation transformation) {
        return new Transformation(this.mScaleX / transformation.mScaleX, this.mScaleY / transformation.mScaleY, this.mTransX - transformation.mTransX, this.mTransY - transformation.mTransY, this.mRotation - transformation.mRotation);
    }

    public static Transformation getTransformation(View view) {
        return new Transformation(view.getScaleX(), view.getScaleY(), view.getTranslationX(), view.getTranslationY(), view.getRotation());
    }
}
