package com.dexterous.flutterlocalnotifications;

import android.app.Notification;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import androidx.core.app.NotificationManagerCompat;
import com.dexterous.flutterlocalnotifications.models.NotificationDetails;
import com.dexterous.flutterlocalnotifications.utils.StringUtils;
import com.google.gson.reflect.TypeToken;

public class ScheduledNotificationReceiver extends BroadcastReceiver {
    public void onReceive(Context context, Intent intent) {
        NotificationManagerCompat from = NotificationManagerCompat.from(context);
        String stringExtra = intent.getStringExtra(FlutterLocalNotificationsPlugin.NOTIFICATION_DETAILS);
        boolean booleanExtra = intent.getBooleanExtra(FlutterLocalNotificationsPlugin.REPEAT, false);
        if (StringUtils.isNullOrEmpty(stringExtra).booleanValue()) {
            Notification notification = (Notification) intent.getParcelableExtra(FlutterLocalNotificationsPlugin.NOTIFICATION);
            notification.when = System.currentTimeMillis();
            int intExtra = intent.getIntExtra(FlutterLocalNotificationsPlugin.NOTIFICATION_ID, 0);
            from.notify(intExtra, notification);
            if (!booleanExtra) {
                FlutterLocalNotificationsPlugin.removeNotificationFromCache(Integer.valueOf(intExtra), context);
                return;
            }
            return;
        }
        NotificationDetails notificationDetails = (NotificationDetails) FlutterLocalNotificationsPlugin.buildGson().fromJson(stringExtra, new TypeToken<NotificationDetails>() {
            /* class com.dexterous.flutterlocalnotifications.ScheduledNotificationReceiver.AnonymousClass1 */
        }.getType());
        FlutterLocalNotificationsPlugin.showNotification(context, notificationDetails);
        if (!booleanExtra) {
            FlutterLocalNotificationsPlugin.removeNotificationFromCache(notificationDetails.id, context);
        }
    }
}
