package com.github.adee42.keyboardvisibility;

import android.app.Activity;
import android.app.Application;
import android.graphics.Rect;
import android.os.Bundle;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewTreeObserver;
import io.flutter.plugin.common.EventChannel;
import io.flutter.plugin.common.PluginRegistry;

public class KeyboardVisibilityPlugin implements EventChannel.StreamHandler, Application.ActivityLifecycleCallbacks, ViewTreeObserver.OnGlobalLayoutListener {
    private static final String STREAM_CHANNEL_NAME = "github.com/adee42/flutter_keyboard_visibility";
    EventChannel.EventSink eventsSink;
    boolean isVisible;
    View mainView = null;
    PluginRegistry.Registrar registrar;

    public void onActivityCreated(Activity activity, Bundle bundle) {
    }

    public void onActivityPaused(Activity activity) {
    }

    public void onActivityResumed(Activity activity) {
    }

    public void onActivitySaveInstanceState(Activity activity, Bundle bundle) {
    }

    KeyboardVisibilityPlugin(PluginRegistry.Registrar registrar2) {
        this.registrar = registrar2;
        this.eventsSink = null;
    }

    public void onGlobalLayout() {
        Rect rect = new Rect();
        View view = this.mainView;
        if (view != null) {
            view.getWindowVisibleDisplayFrame(rect);
            boolean z = ((double) rect.height()) / ((double) this.mainView.getRootView().getHeight()) < 0.85d;
            if (z != this.isVisible) {
                this.isVisible = z;
                EventChannel.EventSink eventSink = this.eventsSink;
                if (eventSink != null) {
                    eventSink.success(Integer.valueOf(this.isVisible ? 1 : 0));
                }
            }
        }
    }

    public void onActivityStarted(Activity activity) {
        try {
            this.mainView = ((ViewGroup) activity.findViewById(16908290)).getChildAt(0);
            this.mainView.getViewTreeObserver().addOnGlobalLayoutListener(this);
        } catch (Exception unused) {
        }
    }

    public void onActivityStopped(Activity activity) {
        unregisterListener();
    }

    public void onActivityDestroyed(Activity activity) {
        unregisterListener();
    }

    private void unregisterListener() {
        View view = this.mainView;
        if (view != null) {
            view.getViewTreeObserver().removeOnGlobalLayoutListener(this);
            this.mainView = null;
        }
    }

    public static void registerWith(PluginRegistry.Registrar registrar2) {
        EventChannel eventChannel = new EventChannel(registrar2.messenger(), STREAM_CHANNEL_NAME);
        KeyboardVisibilityPlugin keyboardVisibilityPlugin = new KeyboardVisibilityPlugin(registrar2);
        eventChannel.setStreamHandler(keyboardVisibilityPlugin);
        registrar2.activity().getApplication().registerActivityLifecycleCallbacks(keyboardVisibilityPlugin);
    }

    @Override // io.flutter.plugin.common.EventChannel.StreamHandler
    public void onListen(Object obj, EventChannel.EventSink eventSink) {
        this.eventsSink = eventSink;
        if (this.isVisible) {
            eventSink.success(1);
        }
    }

    @Override // io.flutter.plugin.common.EventChannel.StreamHandler
    public void onCancel(Object obj) {
        this.eventsSink = null;
    }
}
