package com.google.android.exoplayer2.extractor.mp4;

import com.google.android.exoplayer2.extractor.ExtractorInput;
import com.google.android.exoplayer2.util.ParsableByteArray;
import java.io.IOException;

final class Sniffer {
    private static final int[] COMPATIBLE_BRANDS = {1769172845, 1769172786, 1769172787, 1769172788, 1769172789, 1769172790, Atom.TYPE_avc1, Atom.TYPE_hvc1, Atom.TYPE_hev1, Atom.TYPE_av01, 1836069937, 1836069938, 862401121, 862401122, 862417462, 862417718, 862414134, 862414646, 1295275552, 1295270176, 1714714144, 1801741417, 1295275600, 1903435808, 1297305174, 1684175153, 1769172332, 1885955686};
    private static final int SEARCH_LENGTH = 4096;

    public static boolean sniffFragmented(ExtractorInput extractorInput) throws IOException {
        return sniffInternal(extractorInput, true);
    }

    public static boolean sniffUnfragmented(ExtractorInput extractorInput) throws IOException {
        return sniffInternal(extractorInput, false);
    }

    private static boolean sniffInternal(ExtractorInput extractorInput, boolean z) throws IOException {
        boolean z2;
        boolean z3;
        boolean z4;
        long length = extractorInput.getLength();
        long j = 4096;
        long j2 = -1;
        int i = (length > -1 ? 1 : (length == -1 ? 0 : -1));
        if (i != 0 && length <= 4096) {
            j = length;
        }
        int i2 = (int) j;
        ParsableByteArray parsableByteArray = new ParsableByteArray(64);
        boolean z5 = false;
        int i3 = i2;
        int i4 = 0;
        boolean z6 = false;
        while (true) {
            if (i4 >= i3) {
                break;
            }
            parsableByteArray.reset(8);
            byte[] data = parsableByteArray.getData();
            int i5 = z5 ? 1 : 0;
            int i6 = z5 ? 1 : 0;
            int i7 = z5 ? 1 : 0;
            int i8 = z5 ? 1 : 0;
            if (!extractorInput.peekFully(data, i5, 8, true)) {
                break;
            }
            long readUnsignedInt = parsableByteArray.readUnsignedInt();
            int readInt = parsableByteArray.readInt();
            int i9 = 16;
            if (readUnsignedInt == 1) {
                extractorInput.peekFully(parsableByteArray.getData(), 8, 8);
                parsableByteArray.setLimit(16);
                readUnsignedInt = parsableByteArray.readLong();
            } else {
                if (readUnsignedInt == 0) {
                    long length2 = extractorInput.getLength();
                    if (length2 != j2) {
                        readUnsignedInt = (length2 - extractorInput.getPeekPosition()) + ((long) 8);
                    }
                }
                i9 = 8;
            }
            long j3 = (long) i9;
            if (readUnsignedInt < j3) {
                return z5;
            }
            i4 += i9;
            if (readInt == 1836019574) {
                i3 += (int) readUnsignedInt;
                if (i != 0 && ((long) i3) > length) {
                    i3 = (int) length;
                }
                j2 = -1;
            } else if (readInt == 1836019558 || readInt == 1836475768) {
                z2 = false;
                z3 = true;
            } else if ((((long) i4) + readUnsignedInt) - j3 >= ((long) i3)) {
                break;
            } else {
                int i10 = (int) (readUnsignedInt - j3);
                i4 += i10;
                if (readInt == 1718909296) {
                    if (i10 < 8) {
                        return false;
                    }
                    parsableByteArray.reset(i10);
                    extractorInput.peekFully(parsableByteArray.getData(), 0, i10);
                    int i11 = i10 / 4;
                    int i12 = 0;
                    while (true) {
                        if (i12 >= i11) {
                            z4 = z6;
                            break;
                        }
                        z4 = true;
                        if (i12 == 1) {
                            parsableByteArray.skipBytes(4);
                        } else if (isCompatibleBrand(parsableByteArray.readInt())) {
                            break;
                        }
                        i12++;
                    }
                    if (!z4) {
                        return false;
                    }
                    z6 = z4;
                } else if (i10 != 0) {
                    extractorInput.advancePeekPosition(i10);
                }
                i3 = i3;
                j2 = -1;
                z5 = false;
            }
        }
        z2 = false;
        z3 = false;
        if (!z6 || z != z3) {
            return z2;
        }
        return true;
    }

    private static boolean isCompatibleBrand(int i) {
        if ((i >>> 8) == 3368816) {
            return true;
        }
        for (int i2 : COMPATIBLE_BRANDS) {
            if (i2 == i) {
                return true;
            }
        }
        return false;
    }

    private Sniffer() {
    }
}
