package com.leeson.image_pickers.activitys;

import android.content.Intent;
import android.content.res.Configuration;
import android.media.MediaPlayer;
import android.net.Uri;
import android.os.Bundle;
import android.text.TextUtils;
import android.util.DisplayMetrics;
import android.view.View;
import android.view.WindowManager;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.ProgressBar;
import android.widget.RelativeLayout;
import android.widget.VideoView;
import androidx.fragment.app.FragmentActivity;
import com.bumptech.glide.Glide;
import com.leeson.image_pickers.R;

public class VideoActivity extends BaseActivity {
    private static final int READ_SDCARD = 101;
    public static final String THUMB_PATH = "THUMB_PATH";
    public static final String VIDEO_PATH = "VIDEO_PATH";
    ImageView iv_src;
    LinearLayout layout_root;
    private DisplayMetrics outMetrics;
    ProgressBar progressBar;
    private String thumbPath;
    private int videoHeight;
    RelativeLayout videoParent;
    private String videoPath;
    VideoView videoView;
    private int videoWidth;

    /* access modifiers changed from: protected */
    @Override // androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity
    public void onCreate(Bundle bundle) {
        requestWindowFeature(1);
        getWindow().setFlags(1024, 1024);
        super.onCreate(bundle);
        setContentView(R.layout.activity_video);
        this.videoView = (VideoView) findViewById(R.id.videoView);
        this.layout_root = (LinearLayout) findViewById(R.id.layout_root);
        this.videoParent = (RelativeLayout) findViewById(R.id.videoParent);
        this.iv_src = (ImageView) findViewById(R.id.iv_src);
        this.progressBar = (ProgressBar) findViewById(R.id.progressBar);
        this.videoPath = getIntent().getStringExtra(VIDEO_PATH);
        this.thumbPath = getIntent().getStringExtra(THUMB_PATH);
        this.outMetrics = new DisplayMetrics();
        ((WindowManager) getSystemService("window")).getDefaultDisplay().getMetrics(this.outMetrics);
        Intent intent = new Intent(this, PermissionActivity.class);
        intent.putExtra(PermissionActivity.PERMISSIONS, new String[]{"android.permission.WRITE_EXTERNAL_STORAGE", "android.permission.READ_EXTERNAL_STORAGE"});
        startActivityForResult(intent, 101);
    }

    /* access modifiers changed from: protected */
    @Override // androidx.fragment.app.FragmentActivity
    public void onActivityResult(int i, int i2, Intent intent) {
        super.onActivityResult(i, i2, intent);
        if (i2 != -1) {
            finish();
        } else if (i == 101) {
            if (!TextUtils.isEmpty(this.thumbPath)) {
                Glide.with((FragmentActivity) this).asBitmap().load(this.thumbPath).into(this.iv_src);
                this.iv_src.setVisibility(0);
            }
            Uri parse = Uri.parse(this.videoPath);
            this.videoView.setOnPreparedListener(new MediaPlayer.OnPreparedListener() {
                /* class com.leeson.image_pickers.activitys.VideoActivity.AnonymousClass1 */

                public void onPrepared(MediaPlayer mediaPlayer) {
                    VideoActivity.this.videoHeight = mediaPlayer.getVideoHeight();
                    VideoActivity.this.videoWidth = mediaPlayer.getVideoWidth();
                    VideoActivity.this.updateVideoViewSize();
                    mediaPlayer.setVideoScalingMode(1);
                    mediaPlayer.setOnInfoListener(new MediaPlayer.OnInfoListener() {
                        /* class com.leeson.image_pickers.activitys.VideoActivity.AnonymousClass1.AnonymousClass1 */

                        public boolean onInfo(MediaPlayer mediaPlayer, int i, int i2) {
                            if (i != 3) {
                                return true;
                            }
                            VideoActivity.this.iv_src.setVisibility(8);
                            VideoActivity.this.progressBar.setVisibility(8);
                            return true;
                        }
                    });
                }
            });
            this.videoView.setVideoURI(parse);
            this.videoView.start();
            this.layout_root.setOnClickListener(new View.OnClickListener() {
                /* class com.leeson.image_pickers.activitys.VideoActivity.AnonymousClass2 */

                public void onClick(View view) {
                    VideoActivity.this.finish();
                }
            });
            this.videoView.setOnCompletionListener(new MediaPlayer.OnCompletionListener() {
                /* class com.leeson.image_pickers.activitys.VideoActivity.AnonymousClass3 */

                public void onCompletion(MediaPlayer mediaPlayer) {
                    VideoActivity.this.finish();
                }
            });
        }
    }

    @Override // androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity
    public void onConfigurationChanged(Configuration configuration) {
        super.onConfigurationChanged(configuration);
        if (configuration.orientation == 1) {
            updateVideoViewSize();
        } else if (configuration.orientation == 2) {
            updateVideoViewSize();
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void updateVideoViewSize() {
        if (this.videoHeight != 0 && this.videoWidth != 0) {
            if (getResources().getConfiguration().orientation == 1) {
                this.videoView.setLayoutParams(new RelativeLayout.LayoutParams(-1, (int) (((((float) this.videoHeight) * 1.0f) / ((float) this.videoWidth)) * ((float) this.outMetrics.widthPixels))));
                return;
            }
            this.videoView.setLayoutParams(new RelativeLayout.LayoutParams((int) (((((float) this.videoWidth) * 1.0f) / ((float) this.videoHeight)) * ((float) this.outMetrics.widthPixels)), -1));
        }
    }

    /* access modifiers changed from: protected */
    @Override // androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity
    public void onDestroy() {
        super.onDestroy();
        VideoView videoView2 = this.videoView;
        if (videoView2 != null) {
            videoView2.suspend();
        }
    }
}
