package com.luck.picture.lib;

import android.content.ContentValues;
import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.PointF;
import android.net.Uri;
import android.os.AsyncTask;
import android.os.Bundle;
import android.os.Environment;
import android.os.Handler;
import android.os.Message;
import android.provider.MediaStore;
import android.text.TextUtils;
import android.util.SparseArray;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.ImageButton;
import android.widget.TextView;
import androidx.viewpager.widget.PagerAdapter;
import androidx.viewpager.widget.ViewPager;
import com.luck.picture.lib.PictureExternalPreviewActivity;
import com.luck.picture.lib.broadcast.BroadcastAction;
import com.luck.picture.lib.broadcast.BroadcastManager;
import com.luck.picture.lib.config.PictureConfig;
import com.luck.picture.lib.config.PictureMimeType;
import com.luck.picture.lib.dialog.PictureCustomDialog;
import com.luck.picture.lib.entity.LocalMedia;
import com.luck.picture.lib.permissions.PermissionChecker;
import com.luck.picture.lib.photoview.OnViewTapListener;
import com.luck.picture.lib.photoview.PhotoView;
import com.luck.picture.lib.tools.AttrsUtils;
import com.luck.picture.lib.tools.DateUtils;
import com.luck.picture.lib.tools.MediaUtils;
import com.luck.picture.lib.tools.PictureFileUtils;
import com.luck.picture.lib.tools.SdkVersionUtils;
import com.luck.picture.lib.tools.ToastUtils;
import com.luck.picture.lib.tools.ValueOf;
import com.luck.picture.lib.widget.PreviewViewPager;
import com.luck.picture.lib.widget.longimage.ImageSource;
import com.luck.picture.lib.widget.longimage.ImageViewState;
import com.luck.picture.lib.widget.longimage.SubsamplingScaleImageView;
import java.io.BufferedInputStream;
import java.io.BufferedOutputStream;
import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.OutputStream;
import java.net.URL;
import java.util.ArrayList;
import java.util.List;

public class PictureExternalPreviewActivity extends PictureBaseActivity implements View.OnClickListener {
    private SimpleFragmentAdapter adapter;
    private String downloadPath;
    private ImageButton ibDelete;
    private ImageButton ibLeftBack;
    private List<LocalMedia> images = new ArrayList();
    private boolean isAndroidQ;
    private loadDataThread loadDataThread;
    private Handler mHandler = new Handler() {
        /* class com.luck.picture.lib.PictureExternalPreviewActivity.AnonymousClass2 */

        static /* synthetic */ void lambda$handleMessage$0() {
        }

        public void handleMessage(Message message) {
            super.handleMessage(message);
            int i = message.what;
            if (i == 200) {
                try {
                    String str = (String) message.obj;
                    if (!TextUtils.isEmpty(str)) {
                        File file = new File(str);
                        MediaStore.Images.Media.insertImage(PictureExternalPreviewActivity.this.getContentResolver(), file.getAbsolutePath(), file.getName(), (String) null);
                        new PictureMediaScannerConnection(PictureExternalPreviewActivity.this.getContext(), file.getAbsolutePath(), $$Lambda$PictureExternalPreviewActivity$2$ls2Qzthj2xhgiDEwuCO7AJtQvXY.INSTANCE);
                        Context context = PictureExternalPreviewActivity.this.getContext();
                        ToastUtils.s(context, PictureExternalPreviewActivity.this.getString(R.string.picture_save_success) + "\n" + file.getAbsolutePath());
                    }
                    PictureExternalPreviewActivity.this.dismissDialog();
                } catch (Exception e) {
                    e.printStackTrace();
                }
            } else if (i == 400) {
                ToastUtils.s(PictureExternalPreviewActivity.this.getContext(), PictureExternalPreviewActivity.this.getString(R.string.picture_save_error));
            }
        }
    };
    private String mimeType;
    private int position = 0;
    private View titleViewBg;
    private TextView tvTitle;
    private PreviewViewPager viewPager;

    @Override // com.luck.picture.lib.PictureBaseActivity
    public int getResourceId() {
        return R.layout.picture_activity_external_preview;
    }

    /* access modifiers changed from: protected */
    @Override // com.luck.picture.lib.PictureBaseActivity
    public void initWidgets() {
        super.initWidgets();
        this.isAndroidQ = SdkVersionUtils.checkedAndroid_Q();
        this.titleViewBg = findViewById(R.id.titleViewBg);
        this.tvTitle = (TextView) findViewById(R.id.picture_title);
        this.ibLeftBack = (ImageButton) findViewById(R.id.left_back);
        this.ibDelete = (ImageButton) findViewById(R.id.ib_delete);
        this.viewPager = (PreviewViewPager) findViewById(R.id.preview_pager);
        this.position = getIntent().getIntExtra("position", 0);
        this.images = (List) getIntent().getSerializableExtra(PictureConfig.EXTRA_PREVIEW_SELECT_LIST);
        this.ibLeftBack.setOnClickListener(this);
        this.ibDelete.setOnClickListener(this);
        ImageButton imageButton = this.ibDelete;
        int i = 8;
        if (this.config.style != null && this.config.style.pictureExternalPreviewGonePreviewDelete) {
            i = 0;
        }
        imageButton.setVisibility(i);
        initViewPageAdapterData();
    }

    @Override // com.luck.picture.lib.PictureBaseActivity
    public void initPictureSelectorStyle() {
        if (this.config.style != null) {
            if (this.config.style.pictureTitleTextColor != 0) {
                this.tvTitle.setTextColor(this.config.style.pictureTitleTextColor);
            }
            if (this.config.style.pictureTitleTextSize != 0) {
                this.tvTitle.setTextSize((float) this.config.style.pictureTitleTextSize);
            }
            if (this.config.style.pictureLeftBackIcon != 0) {
                this.ibLeftBack.setImageResource(this.config.style.pictureLeftBackIcon);
            }
            if (this.config.style.pictureExternalPreviewDeleteStyle != 0) {
                this.ibDelete.setImageResource(this.config.style.pictureExternalPreviewDeleteStyle);
            }
            if (this.config.style.pictureLeftBackIcon != 0) {
                this.ibLeftBack.setImageResource(this.config.style.pictureLeftBackIcon);
            }
            if (this.config.style.pictureTitleBarBackgroundColor != 0) {
                this.titleViewBg.setBackgroundColor(this.colorPrimary);
                return;
            }
            return;
        }
        int typeValueColor = AttrsUtils.getTypeValueColor(getContext(), R.attr.picture_ac_preview_title_bg);
        if (typeValueColor != 0) {
            this.titleViewBg.setBackgroundColor(typeValueColor);
        } else {
            this.titleViewBg.setBackgroundColor(this.colorPrimary);
        }
    }

    private void initViewPageAdapterData() {
        this.tvTitle.setText(getString(R.string.picture_preview_image_num, new Object[]{Integer.valueOf(this.position + 1), Integer.valueOf(this.images.size())}));
        this.adapter = new SimpleFragmentAdapter();
        this.viewPager.setAdapter(this.adapter);
        this.viewPager.setCurrentItem(this.position);
        this.viewPager.addOnPageChangeListener(new ViewPager.OnPageChangeListener() {
            /* class com.luck.picture.lib.PictureExternalPreviewActivity.AnonymousClass1 */

            @Override // androidx.viewpager.widget.ViewPager.OnPageChangeListener
            public void onPageScrollStateChanged(int i) {
            }

            @Override // androidx.viewpager.widget.ViewPager.OnPageChangeListener
            public void onPageScrolled(int i, float f, int i2) {
            }

            @Override // androidx.viewpager.widget.ViewPager.OnPageChangeListener
            public void onPageSelected(int i) {
                PictureExternalPreviewActivity.this.tvTitle.setText(PictureExternalPreviewActivity.this.getString(R.string.picture_preview_image_num, new Object[]{Integer.valueOf(i + 1), Integer.valueOf(PictureExternalPreviewActivity.this.images.size())}));
                PictureExternalPreviewActivity.this.position = i;
            }
        });
    }

    public void onClick(View view) {
        List<LocalMedia> list;
        int id = view.getId();
        if (id == R.id.left_back) {
            finish();
            exitAnimation();
        } else if (id == R.id.ib_delete && (list = this.images) != null && list.size() > 0) {
            int currentItem = this.viewPager.getCurrentItem();
            this.images.remove(currentItem);
            Bundle bundle = new Bundle();
            bundle.putInt("position", currentItem);
            BroadcastManager.getInstance(getContext()).action(BroadcastAction.ACTION_DELETE_PREVIEW_POSITION).extras(bundle).broadcast();
            if (this.images.size() == 0) {
                onBackPressed();
                return;
            }
            this.tvTitle.setText(getString(R.string.picture_preview_image_num, new Object[]{Integer.valueOf(this.position + 1), Integer.valueOf(this.images.size())}));
            this.position = currentItem;
            this.adapter.notifyDataSetChanged();
        }
    }

    public class SimpleFragmentAdapter extends PagerAdapter {
        private static final int MAX_CACHE_SIZE = 20;
        private SparseArray<View> mCacheView = new SparseArray<>();

        @Override // androidx.viewpager.widget.PagerAdapter
        public int getItemPosition(Object obj) {
            return -2;
        }

        @Override // androidx.viewpager.widget.PagerAdapter
        public boolean isViewFromObject(View view, Object obj) {
            return view == obj;
        }

        public void clear() {
            SparseArray<View> sparseArray = this.mCacheView;
            if (sparseArray != null) {
                sparseArray.clear();
                this.mCacheView = null;
            }
        }

        public SimpleFragmentAdapter() {
        }

        @Override // androidx.viewpager.widget.PagerAdapter
        public int getCount() {
            if (PictureExternalPreviewActivity.this.images != null) {
                return PictureExternalPreviewActivity.this.images.size();
            }
            return 0;
        }

        @Override // androidx.viewpager.widget.PagerAdapter
        public void destroyItem(ViewGroup viewGroup, int i, Object obj) {
            viewGroup.removeView((View) obj);
            if (this.mCacheView.size() > 20) {
                this.mCacheView.remove(i);
            }
        }

        @Override // androidx.viewpager.widget.PagerAdapter
        public Object instantiateItem(ViewGroup viewGroup, int i) {
            String str;
            View view = this.mCacheView.get(i);
            if (view == null) {
                view = LayoutInflater.from(viewGroup.getContext()).inflate(R.layout.picture_image_preview, viewGroup, false);
                PhotoView photoView = (PhotoView) view.findViewById(R.id.preview_image);
                SubsamplingScaleImageView subsamplingScaleImageView = (SubsamplingScaleImageView) view.findViewById(R.id.longImg);
                LocalMedia localMedia = (LocalMedia) PictureExternalPreviewActivity.this.images.get(i);
                if (localMedia != null) {
                    PictureExternalPreviewActivity.this.mimeType = localMedia.getMimeType();
                    if (localMedia.isCut() && !localMedia.isCompressed()) {
                        str = localMedia.getCutPath();
                    } else if (localMedia.isCompressed() || (localMedia.isCut() && localMedia.isCompressed())) {
                        str = localMedia.getCompressPath();
                    } else {
                        str = localMedia.getPath();
                    }
                    boolean isGif = PictureMimeType.isGif(PictureExternalPreviewActivity.this.mimeType);
                    boolean isLongImg = MediaUtils.isLongImg(localMedia);
                    int i2 = 8;
                    photoView.setVisibility((!isLongImg || isGif) ? 0 : 8);
                    if (isLongImg && !isGif) {
                        i2 = 0;
                    }
                    subsamplingScaleImageView.setVisibility(i2);
                    if (!isGif || localMedia.isCompressed()) {
                        if (!(PictureExternalPreviewActivity.this.config == null || PictureExternalPreviewActivity.this.config.imageEngine == null)) {
                            if (PictureMimeType.isHttp(str)) {
                                PictureExternalPreviewActivity.this.config.imageEngine.loadImage(view.getContext(), str, photoView, subsamplingScaleImageView);
                            } else if (isLongImg) {
                                PictureExternalPreviewActivity pictureExternalPreviewActivity = PictureExternalPreviewActivity.this;
                                pictureExternalPreviewActivity.displayLongPic(pictureExternalPreviewActivity.isAndroidQ ? Uri.parse(str) : Uri.fromFile(new File(str)), subsamplingScaleImageView);
                            } else {
                                PictureExternalPreviewActivity.this.config.imageEngine.loadImage(view.getContext(), str, photoView);
                            }
                        }
                    } else if (!(PictureExternalPreviewActivity.this.config == null || PictureExternalPreviewActivity.this.config.imageEngine == null)) {
                        PictureExternalPreviewActivity.this.config.imageEngine.loadAsGifImage(PictureExternalPreviewActivity.this.getContext(), str, photoView);
                    }
                    photoView.setOnViewTapListener(new OnViewTapListener() {
                        /* class com.luck.picture.lib.$$Lambda$PictureExternalPreviewActivity$SimpleFragmentAdapter$MkgowPnHjx5ddrfk7AJgghO8nPg */

                        @Override // com.luck.picture.lib.photoview.OnViewTapListener
                        public final void onViewTap(View view, float f, float f2) {
                            PictureExternalPreviewActivity.SimpleFragmentAdapter.this.lambda$instantiateItem$0$PictureExternalPreviewActivity$SimpleFragmentAdapter(view, f, f2);
                        }
                    });
                    subsamplingScaleImageView.setOnClickListener(new View.OnClickListener() {
                        /* class com.luck.picture.lib.$$Lambda$PictureExternalPreviewActivity$SimpleFragmentAdapter$gbfEqjnU6VMmqfOcy1gUV8H5Krk */

                        public final void onClick(View view) {
                            PictureExternalPreviewActivity.SimpleFragmentAdapter.this.lambda$instantiateItem$1$PictureExternalPreviewActivity$SimpleFragmentAdapter(view);
                        }
                    });
                    subsamplingScaleImageView.setOnLongClickListener(new View.OnLongClickListener(str) {
                        /* class com.luck.picture.lib.$$Lambda$PictureExternalPreviewActivity$SimpleFragmentAdapter$urxKr5UfALNLGYxupaGbMZBzwCI */
                        private final /* synthetic */ String f$1;

                        {
                            this.f$1 = r2;
                        }

                        public final boolean onLongClick(View view) {
                            return PictureExternalPreviewActivity.SimpleFragmentAdapter.this.lambda$instantiateItem$2$PictureExternalPreviewActivity$SimpleFragmentAdapter(this.f$1, view);
                        }
                    });
                    photoView.setOnLongClickListener(new View.OnLongClickListener(str) {
                        /* class com.luck.picture.lib.$$Lambda$PictureExternalPreviewActivity$SimpleFragmentAdapter$iIwdsvyM4uzYE4Mlh2G8gNUg */
                        private final /* synthetic */ String f$1;

                        {
                            this.f$1 = r2;
                        }

                        public final boolean onLongClick(View view) {
                            return PictureExternalPreviewActivity.SimpleFragmentAdapter.this.lambda$instantiateItem$3$PictureExternalPreviewActivity$SimpleFragmentAdapter(this.f$1, view);
                        }
                    });
                }
                this.mCacheView.put(i, view);
            }
            viewGroup.addView(view, 0);
            return view;
        }

        public /* synthetic */ void lambda$instantiateItem$0$PictureExternalPreviewActivity$SimpleFragmentAdapter(View view, float f, float f2) {
            PictureExternalPreviewActivity.this.finish();
            PictureExternalPreviewActivity.this.exitAnimation();
        }

        public /* synthetic */ void lambda$instantiateItem$1$PictureExternalPreviewActivity$SimpleFragmentAdapter(View view) {
            PictureExternalPreviewActivity.this.finish();
            PictureExternalPreviewActivity.this.exitAnimation();
        }

        public /* synthetic */ boolean lambda$instantiateItem$2$PictureExternalPreviewActivity$SimpleFragmentAdapter(String str, View view) {
            if (PictureExternalPreviewActivity.this.config.isNotPreviewDownload) {
                if (PermissionChecker.checkSelfPermission(PictureExternalPreviewActivity.this.getContext(), "android.permission.WRITE_EXTERNAL_STORAGE")) {
                    PictureExternalPreviewActivity.this.downloadPath = str;
                    PictureExternalPreviewActivity.this.showDownLoadDialog();
                } else {
                    PermissionChecker.requestPermissions(PictureExternalPreviewActivity.this, new String[]{"android.permission.WRITE_EXTERNAL_STORAGE"}, 1);
                }
            }
            return true;
        }

        public /* synthetic */ boolean lambda$instantiateItem$3$PictureExternalPreviewActivity$SimpleFragmentAdapter(String str, View view) {
            if (PictureExternalPreviewActivity.this.config.isNotPreviewDownload) {
                if (PermissionChecker.checkSelfPermission(PictureExternalPreviewActivity.this.getContext(), "android.permission.WRITE_EXTERNAL_STORAGE")) {
                    PictureExternalPreviewActivity.this.downloadPath = str;
                    PictureExternalPreviewActivity.this.showDownLoadDialog();
                } else {
                    PermissionChecker.requestPermissions(PictureExternalPreviewActivity.this, new String[]{"android.permission.WRITE_EXTERNAL_STORAGE"}, 1);
                }
            }
            return true;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void displayLongPic(Uri uri, SubsamplingScaleImageView subsamplingScaleImageView) {
        subsamplingScaleImageView.setQuickScaleEnabled(true);
        subsamplingScaleImageView.setZoomEnabled(true);
        subsamplingScaleImageView.setPanEnabled(true);
        subsamplingScaleImageView.setDoubleTapZoomDuration(100);
        subsamplingScaleImageView.setMinimumScaleType(2);
        subsamplingScaleImageView.setDoubleTapZoomDpi(2);
        subsamplingScaleImageView.setImage(ImageSource.uri(uri), new ImageViewState(0.0f, new PointF(0.0f, 0.0f), 0));
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void showDownLoadDialog() {
        if (!isFinishing() && !TextUtils.isEmpty(this.downloadPath)) {
            PictureCustomDialog pictureCustomDialog = new PictureCustomDialog(getContext(), R.layout.picture_wind_base_dialog);
            ((TextView) pictureCustomDialog.findViewById(R.id.tv_title)).setText(getString(R.string.picture_prompt));
            ((TextView) pictureCustomDialog.findViewById(R.id.tv_content)).setText(getString(R.string.picture_prompt_content));
            ((Button) pictureCustomDialog.findViewById(R.id.btn_cancel)).setOnClickListener(new View.OnClickListener(pictureCustomDialog) {
                /* class com.luck.picture.lib.$$Lambda$PictureExternalPreviewActivity$qKVtHY2I5kxeVkmP4Pw0AdtjFDU */
                private final /* synthetic */ PictureCustomDialog f$1;

                {
                    this.f$1 = r2;
                }

                public final void onClick(View view) {
                    PictureExternalPreviewActivity.this.lambda$showDownLoadDialog$0$PictureExternalPreviewActivity(this.f$1, view);
                }
            });
            ((Button) pictureCustomDialog.findViewById(R.id.btn_commit)).setOnClickListener(new View.OnClickListener(pictureCustomDialog) {
                /* class com.luck.picture.lib.$$Lambda$PictureExternalPreviewActivity$wteLrkruQxV_Pz_YQfcha8xSBUA */
                private final /* synthetic */ PictureCustomDialog f$1;

                {
                    this.f$1 = r2;
                }

                public final void onClick(View view) {
                    PictureExternalPreviewActivity.this.lambda$showDownLoadDialog$1$PictureExternalPreviewActivity(this.f$1, view);
                }
            });
            pictureCustomDialog.show();
        }
    }

    public /* synthetic */ void lambda$showDownLoadDialog$0$PictureExternalPreviewActivity(PictureCustomDialog pictureCustomDialog, View view) {
        if (!isFinishing()) {
            pictureCustomDialog.dismiss();
        }
    }

    public /* synthetic */ void lambda$showDownLoadDialog$1$PictureExternalPreviewActivity(PictureCustomDialog pictureCustomDialog, View view) {
        if (PictureMimeType.isHttp(this.downloadPath)) {
            lambda$onResult$3$PictureBaseActivity();
            this.loadDataThread = new loadDataThread(this.downloadPath);
            this.loadDataThread.start();
        } else {
            try {
                if (this.isAndroidQ) {
                    savePictureAlbumAndroidQ(Uri.parse(this.downloadPath));
                } else {
                    savePictureAlbum();
                }
                dismissDialog();
            } catch (Exception e) {
                Context context = getContext();
                ToastUtils.s(context, getString(R.string.picture_save_error) + "\n" + e.getMessage());
                dismissDialog();
                e.printStackTrace();
            }
        }
        if (!isFinishing()) {
            pictureCustomDialog.dismiss();
        }
    }

    private void savePictureAlbum() throws Exception {
        File file;
        String str;
        String lastImgSuffix = PictureMimeType.getLastImgSuffix(this.mimeType);
        String externalStorageState = Environment.getExternalStorageState();
        if (this.isAndroidQ) {
            file = getContext().getExternalFilesDir(Environment.DIRECTORY_PICTURES);
        } else if (externalStorageState.equals("mounted")) {
            file = Environment.getExternalStoragePublicDirectory(Environment.DIRECTORY_DCIM);
        } else {
            file = getContext().getExternalFilesDir(Environment.DIRECTORY_PICTURES);
        }
        if (file != null && !file.exists()) {
            file.mkdirs();
        }
        if (this.isAndroidQ || !externalStorageState.equals("mounted")) {
            str = file.getAbsolutePath();
        } else {
            str = file.getAbsolutePath() + File.separator + "Camera" + File.separator;
        }
        File file2 = new File(str);
        if (!file2.exists()) {
            file2.mkdirs();
        }
        File file3 = new File(file2, DateUtils.getCreateFileName("IMG_") + lastImgSuffix);
        PictureFileUtils.copyFile(this.downloadPath, file3.getAbsolutePath());
        Message obtainMessage = this.mHandler.obtainMessage();
        obtainMessage.what = 200;
        obtainMessage.obj = file3.getAbsolutePath();
        this.mHandler.sendMessage(obtainMessage);
    }

    private void savePictureAlbumAndroidQ(Uri uri) {
        ContentValues contentValues = new ContentValues();
        contentValues.put("_display_name", DateUtils.getCreateFileName("IMG_"));
        contentValues.put("datetaken", ValueOf.toString(Long.valueOf(System.currentTimeMillis())));
        contentValues.put("mime_type", PictureMimeType.MIME_TYPE_IMAGE);
        contentValues.put("relative_path", PictureMimeType.DCIM);
        Uri insert = getContentResolver().insert(MediaStore.Images.Media.EXTERNAL_CONTENT_URI, contentValues);
        if (insert == null) {
            this.mHandler.sendEmptyMessage(400);
        } else {
            AsyncTask.SERIAL_EXECUTOR.execute(new Runnable(insert, uri) {
                /* class com.luck.picture.lib.$$Lambda$PictureExternalPreviewActivity$A93_OLWMkDH6oqlA4dGM2tQd1ww */
                private final /* synthetic */ Uri f$1;
                private final /* synthetic */ Uri f$2;

                {
                    this.f$1 = r2;
                    this.f$2 = r3;
                }

                public final void run() {
                    PictureExternalPreviewActivity.this.lambda$savePictureAlbumAndroidQ$2$PictureExternalPreviewActivity(this.f$1, this.f$2);
                }
            });
        }
    }

    public /* synthetic */ void lambda$savePictureAlbumAndroidQ$2$PictureExternalPreviewActivity(Uri uri, Uri uri2) {
        OutputStream outputStream = null;
        try {
            OutputStream openOutputStream = getContentResolver().openOutputStream(uri);
            Bitmap decodeFileDescriptor = BitmapFactory.decodeFileDescriptor(getContentResolver().openFileDescriptor(uri2, "r").getFileDescriptor());
            if (decodeFileDescriptor != null) {
                decodeFileDescriptor.compress(Bitmap.CompressFormat.JPEG, 100, openOutputStream);
                openOutputStream.close();
                String path = PictureFileUtils.getPath(getContext(), uri);
                Message obtainMessage = this.mHandler.obtainMessage();
                obtainMessage.what = 200;
                obtainMessage.obj = path;
                this.mHandler.sendMessage(obtainMessage);
            } else {
                this.mHandler.sendEmptyMessage(400);
            }
            if (openOutputStream != null) {
                try {
                    openOutputStream.close();
                } catch (IOException e) {
                    e.printStackTrace();
                }
            }
        } catch (Exception e2) {
            this.mHandler.sendEmptyMessage(400);
            e2.printStackTrace();
            if (0 != 0) {
                outputStream.close();
            }
        } catch (Throwable th) {
            if (0 != 0) {
                try {
                    outputStream.close();
                } catch (IOException e3) {
                    e3.printStackTrace();
                }
            }
            throw th;
        }
    }

    public class loadDataThread extends Thread {
        private String path;

        public loadDataThread(String str) {
            this.path = str;
        }

        public void run() {
            try {
                PictureExternalPreviewActivity.this.showLoadingImage(this.path);
            } catch (Exception e) {
                e.printStackTrace();
            }
        }
    }

    public void showLoadingImage(String str) {
        File file;
        String str2;
        try {
            URL url = new URL(str);
            String lastImgSuffix = PictureMimeType.getLastImgSuffix(this.mimeType);
            String externalStorageState = Environment.getExternalStorageState();
            if (this.isAndroidQ) {
                file = getContext().getExternalFilesDir(Environment.DIRECTORY_PICTURES);
            } else if (externalStorageState.equals("mounted")) {
                file = Environment.getExternalStoragePublicDirectory(Environment.DIRECTORY_DCIM);
            } else {
                file = getContext().getExternalFilesDir(Environment.DIRECTORY_PICTURES);
            }
            if (file != null && !file.exists()) {
                file.mkdirs();
            }
            if (this.isAndroidQ || !externalStorageState.equals("mounted")) {
                str2 = file.getAbsolutePath();
            } else {
                str2 = file.getAbsolutePath() + File.separator + "Camera" + File.separator;
            }
            File file2 = new File(str2);
            if (!file2.exists()) {
                file2.mkdirs();
            }
            String absolutePath = new File(file2, DateUtils.getCreateFileName("IMG_") + lastImgSuffix).getAbsolutePath();
            byte[] bArr = new byte[8192];
            long currentTimeMillis = System.currentTimeMillis();
            BufferedInputStream bufferedInputStream = new BufferedInputStream(url.openStream());
            BufferedOutputStream bufferedOutputStream = new BufferedOutputStream(new FileOutputStream(absolutePath));
            int i = 0;
            while (true) {
                int read = bufferedInputStream.read(bArr);
                if (read > -1) {
                    bufferedOutputStream.write(bArr, 0, read);
                    i += read;
                    long currentTimeMillis2 = ((long) i) / (System.currentTimeMillis() - currentTimeMillis);
                } else {
                    bufferedOutputStream.flush();
                    bufferedOutputStream.close();
                    Message obtainMessage = this.mHandler.obtainMessage();
                    obtainMessage.what = 200;
                    obtainMessage.obj = absolutePath;
                    this.mHandler.sendMessage(obtainMessage);
                    return;
                }
            }
        } catch (IOException e) {
            Message obtainMessage2 = this.mHandler.obtainMessage();
            obtainMessage2.what = 400;
            this.mHandler.sendMessage(obtainMessage2);
            e.printStackTrace();
        }
    }

    @Override // androidx.activity.ComponentActivity
    public void onBackPressed() {
        super.onBackPressed();
        finish();
        exitAnimation();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void exitAnimation() {
        overridePendingTransition(R.anim.picture_anim_fade_in, (this.config.windowAnimationStyle == null || this.config.windowAnimationStyle.activityPreviewExitAnimation == 0) ? R.anim.picture_anim_exit : this.config.windowAnimationStyle.activityPreviewExitAnimation);
    }

    /* access modifiers changed from: protected */
    @Override // androidx.appcompat.app.AppCompatActivity, com.luck.picture.lib.PictureBaseActivity, androidx.fragment.app.FragmentActivity
    public void onDestroy() {
        super.onDestroy();
        loadDataThread loaddatathread = this.loadDataThread;
        if (loaddatathread != null) {
            this.mHandler.removeCallbacks(loaddatathread);
            this.loadDataThread = null;
        }
        SimpleFragmentAdapter simpleFragmentAdapter = this.adapter;
        if (simpleFragmentAdapter != null) {
            simpleFragmentAdapter.clear();
        }
    }

    @Override // androidx.core.app.ActivityCompat.OnRequestPermissionsResultCallback, com.luck.picture.lib.PictureBaseActivity, androidx.fragment.app.FragmentActivity
    public void onRequestPermissionsResult(int i, String[] strArr, int[] iArr) {
        super.onRequestPermissionsResult(i, strArr, iArr);
        if (i == 1) {
            for (int i2 : iArr) {
                if (i2 == 0) {
                    showDownLoadDialog();
                } else {
                    ToastUtils.s(getContext(), getString(R.string.picture_jurisdiction));
                }
            }
        }
    }
}
