package com.luck.picture.lib;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.os.Handler;
import android.text.TextUtils;
import android.view.View;
import android.view.animation.Animation;
import android.widget.CheckBox;
import android.widget.CompoundButton;
import android.widget.ImageView;
import android.widget.RelativeLayout;
import android.widget.TextView;
import androidx.core.content.ContextCompat;
import androidx.viewpager.widget.ViewPager;
import com.luck.picture.lib.PicturePreviewActivity;
import com.luck.picture.lib.adapter.PictureSimpleFragmentAdapter;
import com.luck.picture.lib.anim.OptAnimationLoader;
import com.luck.picture.lib.broadcast.BroadcastAction;
import com.luck.picture.lib.broadcast.BroadcastManager;
import com.luck.picture.lib.config.PictureConfig;
import com.luck.picture.lib.config.PictureMimeType;
import com.luck.picture.lib.entity.LocalMedia;
import com.luck.picture.lib.observable.ImagesObservable;
import com.luck.picture.lib.tools.ScreenUtils;
import com.luck.picture.lib.tools.ToastUtils;
import com.luck.picture.lib.tools.ValueOf;
import com.luck.picture.lib.tools.VoiceUtils;
import com.luck.picture.lib.widget.PreviewViewPager;
import com.yalantis.ucrop.UCropMulti;
import com.yalantis.ucrop.model.CutInfo;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class PicturePreviewActivity extends PictureBaseActivity implements View.OnClickListener, PictureSimpleFragmentAdapter.OnCallBackActivity {
    protected PictureSimpleFragmentAdapter adapter;
    protected Animation animation;
    protected View btnCheck;
    protected TextView check;
    private BroadcastReceiver commonBroadcastReceiver = new BroadcastReceiver() {
        /* class com.luck.picture.lib.PicturePreviewActivity.AnonymousClass2 */

        public void onReceive(Context context, Intent intent) {
            String action = intent.getAction();
            if (((action.hashCode() == -1633123645 && action.equals(BroadcastAction.ACTION_CLOSE_PREVIEW)) ? (char) 0 : 65535) == 0) {
                PicturePreviewActivity.this.dismissDialog();
                PicturePreviewActivity.this.mHandler.postDelayed(new Runnable() {
                    /* class com.luck.picture.lib.$$Lambda$PicturePreviewActivity$2$ZdWp3gEstrNh250_QAHij8jVuvA */

                    public final void run() {
                        PicturePreviewActivity.AnonymousClass2.this.lambda$onReceive$0$PicturePreviewActivity$2();
                    }
                }, 150);
            }
        }

        public /* synthetic */ void lambda$onReceive$0$PicturePreviewActivity$2() {
            PicturePreviewActivity.this.onBackPressed();
        }
    };
    protected List<LocalMedia> images = new ArrayList();
    protected int index;
    protected boolean is_bottom_preview;
    protected CheckBox mCbOriginal;
    protected Handler mHandler;
    protected TextView mTvPictureOk;
    protected ImageView picture_left_back;
    protected int position;
    protected boolean refresh;
    protected int screenWidth;
    protected RelativeLayout selectBarLayout;
    protected List<LocalMedia> selectImages = new ArrayList();
    protected View titleViewBg;
    protected TextView tv_img_num;
    protected TextView tv_title;
    protected PreviewViewPager viewPager;

    /* access modifiers changed from: protected */
    public void onPageSelectedChange(LocalMedia localMedia) {
    }

    /* access modifiers changed from: protected */
    public void onSelectedChange(boolean z, LocalMedia localMedia) {
    }

    /* access modifiers changed from: protected */
    @Override // androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, androidx.appcompat.app.AppCompatActivity, com.luck.picture.lib.PictureBaseActivity, androidx.fragment.app.FragmentActivity
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        BroadcastManager.getInstance(this).registerReceiver(this.commonBroadcastReceiver, BroadcastAction.ACTION_CLOSE_PREVIEW);
    }

    @Override // com.luck.picture.lib.PictureBaseActivity
    public int getResourceId() {
        return R.layout.picture_preview;
    }

    /* access modifiers changed from: protected */
    @Override // com.luck.picture.lib.PictureBaseActivity
    public void initWidgets() {
        String str;
        List<LocalMedia> list;
        super.initWidgets();
        this.mHandler = new Handler();
        this.titleViewBg = findViewById(R.id.titleViewBg);
        this.screenWidth = ScreenUtils.getScreenWidth(this);
        this.animation = OptAnimationLoader.loadAnimation(this, R.anim.picture_anim_modal_in);
        this.picture_left_back = (ImageView) findViewById(R.id.picture_left_back);
        this.viewPager = (PreviewViewPager) findViewById(R.id.preview_pager);
        this.btnCheck = findViewById(R.id.btnCheck);
        this.check = (TextView) findViewById(R.id.check);
        this.picture_left_back.setOnClickListener(this);
        this.mTvPictureOk = (TextView) findViewById(R.id.tv_ok);
        this.mCbOriginal = (CheckBox) findViewById(R.id.cb_original);
        this.tv_img_num = (TextView) findViewById(R.id.tv_img_num);
        this.selectBarLayout = (RelativeLayout) findViewById(R.id.select_bar_layout);
        this.mTvPictureOk.setOnClickListener(this);
        this.tv_img_num.setOnClickListener(this);
        this.tv_title = (TextView) findViewById(R.id.picture_title);
        int i = 0;
        this.position = getIntent().getIntExtra("position", 0);
        TextView textView = this.mTvPictureOk;
        if (this.numComplete) {
            int i2 = R.string.picture_done_front_num;
            Object[] objArr = new Object[2];
            objArr[0] = 0;
            objArr[1] = Integer.valueOf(this.config.selectionMode == 1 ? 1 : this.config.maxSelectNum);
            str = getString(i2, objArr);
        } else {
            str = getString(R.string.picture_please_select);
        }
        textView.setText(str);
        this.tv_img_num.setSelected(this.config.checkNumMode);
        this.btnCheck.setOnClickListener(this);
        this.selectImages = getIntent().getParcelableArrayListExtra(PictureConfig.EXTRA_SELECT_LIST);
        this.is_bottom_preview = getIntent().getBooleanExtra(PictureConfig.EXTRA_BOTTOM_PREVIEW, false);
        if (this.is_bottom_preview) {
            list = getIntent().getParcelableArrayListExtra(PictureConfig.EXTRA_PREVIEW_SELECT_LIST);
        } else {
            list = ImagesObservable.getInstance().readPreviewMediaData();
        }
        this.images = list;
        initViewPageAdapterData();
        this.viewPager.addOnPageChangeListener(new ViewPager.OnPageChangeListener() {
            /* class com.luck.picture.lib.PicturePreviewActivity.AnonymousClass1 */

            @Override // androidx.viewpager.widget.ViewPager.OnPageChangeListener
            public void onPageScrollStateChanged(int i) {
            }

            @Override // androidx.viewpager.widget.ViewPager.OnPageChangeListener
            public void onPageScrolled(int i, float f, int i2) {
                PicturePreviewActivity picturePreviewActivity = PicturePreviewActivity.this;
                picturePreviewActivity.isPreviewEggs(picturePreviewActivity.config.previewEggs, i, i2);
            }

            @Override // androidx.viewpager.widget.ViewPager.OnPageChangeListener
            public void onPageSelected(int i) {
                PicturePreviewActivity picturePreviewActivity = PicturePreviewActivity.this;
                picturePreviewActivity.position = i;
                int i2 = 0;
                picturePreviewActivity.tv_title.setText(PicturePreviewActivity.this.getString(R.string.picture_preview_image_num, new Object[]{Integer.valueOf(PicturePreviewActivity.this.position + 1), Integer.valueOf(PicturePreviewActivity.this.images.size())}));
                LocalMedia localMedia = PicturePreviewActivity.this.images.get(PicturePreviewActivity.this.position);
                PicturePreviewActivity.this.index = localMedia.getPosition();
                if (!PicturePreviewActivity.this.config.previewEggs) {
                    if (PicturePreviewActivity.this.config.checkNumMode) {
                        TextView textView = PicturePreviewActivity.this.check;
                        textView.setText(localMedia.getNum() + "");
                        PicturePreviewActivity.this.notifyCheckChanged(localMedia);
                    }
                    PicturePreviewActivity picturePreviewActivity2 = PicturePreviewActivity.this;
                    picturePreviewActivity2.onImageChecked(picturePreviewActivity2.position);
                }
                if (PicturePreviewActivity.this.config.isOriginalControl) {
                    boolean eqVideo = PictureMimeType.eqVideo(localMedia.getMimeType());
                    PicturePreviewActivity.this.config.isCheckOriginalImage = eqVideo ? false : PicturePreviewActivity.this.config.isCheckOriginalImage;
                    CheckBox checkBox = PicturePreviewActivity.this.mCbOriginal;
                    if (eqVideo) {
                        i2 = 8;
                    }
                    checkBox.setVisibility(i2);
                    PicturePreviewActivity.this.mCbOriginal.setChecked(PicturePreviewActivity.this.config.isCheckOriginalImage);
                }
                PicturePreviewActivity.this.onPageSelectedChange(localMedia);
            }
        });
        this.mCbOriginal.setChecked(this.config.isCheckOriginalImage);
        CheckBox checkBox = this.mCbOriginal;
        if (!this.config.isOriginalControl) {
            i = 8;
        }
        checkBox.setVisibility(i);
        this.mCbOriginal.setOnCheckedChangeListener(new CompoundButton.OnCheckedChangeListener() {
            /* class com.luck.picture.lib.$$Lambda$PicturePreviewActivity$3_jAuvOj7JQFdqpUoQW_lDGWpk */

            public final void onCheckedChanged(CompoundButton compoundButton, boolean z) {
                PicturePreviewActivity.this.lambda$initWidgets$0$PicturePreviewActivity(compoundButton, z);
            }
        });
    }

    public /* synthetic */ void lambda$initWidgets$0$PicturePreviewActivity(CompoundButton compoundButton, boolean z) {
        this.config.isCheckOriginalImage = z;
    }

    @Override // com.luck.picture.lib.PictureBaseActivity
    public void initPictureSelectorStyle() {
        if (this.config.style != null) {
            if (this.config.style.pictureTitleTextColor != 0) {
                this.tv_title.setTextColor(this.config.style.pictureTitleTextColor);
            }
            if (this.config.style.pictureTitleTextSize != 0) {
                this.tv_title.setTextSize((float) this.config.style.pictureTitleTextSize);
            }
            if (this.config.style.pictureLeftBackIcon != 0) {
                this.picture_left_back.setImageResource(this.config.style.pictureLeftBackIcon);
            }
            if (this.config.style.picturePreviewBottomBgColor != 0) {
                this.selectBarLayout.setBackgroundColor(this.config.style.picturePreviewBottomBgColor);
            }
            if (this.config.style.pictureCheckNumBgStyle != 0) {
                this.tv_img_num.setBackgroundResource(this.config.style.pictureCheckNumBgStyle);
            }
            if (this.config.style.pictureCheckedStyle != 0) {
                this.check.setBackgroundResource(this.config.style.pictureCheckedStyle);
            }
            if (this.config.style.pictureUnCompleteTextColor != 0) {
                this.mTvPictureOk.setTextColor(this.config.style.pictureUnCompleteTextColor);
            }
            if (!TextUtils.isEmpty(this.config.style.pictureUnCompleteText)) {
                this.mTvPictureOk.setText(this.config.style.pictureUnCompleteText);
            }
        }
        this.titleViewBg.setBackgroundColor(this.colorPrimary);
        if (this.config.isOriginalControl) {
            if (this.config.style != null) {
                if (this.config.style.pictureOriginalControlStyle != 0) {
                    this.mCbOriginal.setButtonDrawable(this.config.style.pictureOriginalControlStyle);
                } else {
                    this.mCbOriginal.setButtonDrawable(ContextCompat.getDrawable(this, R.drawable.picture_original_checkbox));
                }
                if (this.config.style.pictureOriginalFontColor != 0) {
                    this.mCbOriginal.setTextColor(this.config.style.pictureOriginalFontColor);
                } else {
                    this.mCbOriginal.setTextColor(ContextCompat.getColor(this, R.color.picture_color_53575e));
                }
                if (this.config.style.pictureOriginalTextSize != 0) {
                    this.mCbOriginal.setTextSize((float) this.config.style.pictureOriginalTextSize);
                }
            } else {
                this.mCbOriginal.setButtonDrawable(ContextCompat.getDrawable(this, R.drawable.picture_original_checkbox));
                this.mCbOriginal.setTextColor(ContextCompat.getColor(this, R.color.picture_color_53575e));
            }
        }
        onSelectNumChange(false);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void isPreviewEggs(boolean z, int i, int i2) {
        List<LocalMedia> list;
        if (z && this.images.size() > 0 && (list = this.images) != null) {
            if (i2 < this.screenWidth / 2) {
                LocalMedia localMedia = list.get(i);
                this.check.setSelected(isSelected(localMedia));
                if (this.config.checkNumMode) {
                    int num = localMedia.getNum();
                    TextView textView = this.check;
                    textView.setText(num + "");
                    notifyCheckChanged(localMedia);
                    onImageChecked(i);
                    return;
                }
                return;
            }
            int i3 = i + 1;
            LocalMedia localMedia2 = list.get(i3);
            this.check.setSelected(isSelected(localMedia2));
            if (this.config.checkNumMode) {
                int num2 = localMedia2.getNum();
                TextView textView2 = this.check;
                textView2.setText(num2 + "");
                notifyCheckChanged(localMedia2);
                onImageChecked(i3);
            }
        }
    }

    private void singleRadioMediaImage() {
        List<LocalMedia> list = this.selectImages;
        LocalMedia localMedia = (list == null || list.size() <= 0) ? null : this.selectImages.get(0);
        if (localMedia != null) {
            Bundle bundle = new Bundle();
            bundle.putInt("position", localMedia.getPosition());
            bundle.putParcelableArrayList(PictureConfig.EXTRA_SELECT_IMAGES_KEY, (ArrayList) this.selectImages);
            BroadcastManager.getInstance(this).action(BroadcastAction.ACTION_SELECTED_DATA).extras(bundle).broadcast();
            this.selectImages.clear();
        }
    }

    private void initViewPageAdapterData() {
        this.tv_title.setText(getString(R.string.picture_preview_image_num, new Object[]{Integer.valueOf(this.position + 1), Integer.valueOf(this.images.size())}));
        this.adapter = new PictureSimpleFragmentAdapter(this.config, this.images, this);
        this.viewPager.setAdapter(this.adapter);
        this.viewPager.setCurrentItem(this.position);
        onImageChecked(this.position);
        if (this.images.size() > 0) {
            LocalMedia localMedia = this.images.get(this.position);
            this.index = localMedia.getPosition();
            if (this.config.checkNumMode) {
                this.tv_img_num.setSelected(true);
                this.check.setText(ValueOf.toString(Integer.valueOf(localMedia.getNum())));
                notifyCheckChanged(localMedia);
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void notifyCheckChanged(LocalMedia localMedia) {
        if (this.config.checkNumMode) {
            this.check.setText("");
            int size = this.selectImages.size();
            for (int i = 0; i < size; i++) {
                LocalMedia localMedia2 = this.selectImages.get(i);
                if (localMedia2.getPath().equals(localMedia.getPath()) || localMedia2.getId() == localMedia.getId()) {
                    localMedia.setNum(localMedia2.getNum());
                    this.check.setText(String.valueOf(localMedia.getNum()));
                }
            }
        }
    }

    private void subSelectPosition() {
        int size = this.selectImages.size();
        int i = 0;
        while (i < size) {
            i++;
            this.selectImages.get(i).setNum(i);
        }
    }

    public void onImageChecked(int i) {
        List<LocalMedia> list = this.images;
        if (list == null || list.size() <= 0) {
            this.check.setSelected(false);
        } else {
            this.check.setSelected(isSelected(this.images.get(i)));
        }
    }

    public boolean isSelected(LocalMedia localMedia) {
        int size = this.selectImages.size();
        for (int i = 0; i < size; i++) {
            LocalMedia localMedia2 = this.selectImages.get(i);
            if (localMedia2.getPath().equals(localMedia.getPath()) || localMedia2.getId() == localMedia.getId()) {
                return true;
            }
        }
        return false;
    }

    /* access modifiers changed from: protected */
    public void onSelectNumChange(boolean z) {
        this.refresh = z;
        if (this.selectImages.size() != 0) {
            this.mTvPictureOk.setEnabled(true);
            this.mTvPictureOk.setSelected(true);
            if (!(this.config.style == null || this.config.style.pictureCompleteTextColor == 0)) {
                this.mTvPictureOk.setTextColor(this.config.style.pictureCompleteTextColor);
            }
            if (this.numComplete) {
                TextView textView = this.mTvPictureOk;
                int i = R.string.picture_done_front_num;
                Object[] objArr = new Object[2];
                objArr[0] = Integer.valueOf(this.selectImages.size());
                objArr[1] = Integer.valueOf(this.config.selectionMode == 1 ? 1 : this.config.maxSelectNum);
                textView.setText(getString(i, objArr));
            } else {
                if (this.refresh) {
                    this.tv_img_num.startAnimation(this.animation);
                }
                this.tv_img_num.setVisibility(0);
                this.tv_img_num.setText(String.valueOf(this.selectImages.size()));
                if (this.config.style == null || TextUtils.isEmpty(this.config.style.pictureCompleteText)) {
                    this.mTvPictureOk.setText(getString(R.string.picture_completed));
                } else {
                    this.mTvPictureOk.setText(this.config.style.pictureCompleteText);
                }
            }
        } else {
            this.mTvPictureOk.setEnabled(false);
            this.mTvPictureOk.setSelected(false);
            if (!(this.config.style == null || this.config.style.pictureUnCompleteTextColor == 0)) {
                this.mTvPictureOk.setTextColor(this.config.style.pictureUnCompleteTextColor);
            }
            if (this.numComplete) {
                TextView textView2 = this.mTvPictureOk;
                int i2 = R.string.picture_done_front_num;
                Object[] objArr2 = new Object[2];
                objArr2[0] = 0;
                objArr2[1] = Integer.valueOf(this.config.selectionMode == 1 ? 1 : this.config.maxSelectNum);
                textView2.setText(getString(i2, objArr2));
            } else {
                this.tv_img_num.setVisibility(4);
                if (this.config.style == null || TextUtils.isEmpty(this.config.style.pictureUnCompleteText)) {
                    this.mTvPictureOk.setText(getString(R.string.picture_please_select));
                } else {
                    this.mTvPictureOk.setText(this.config.style.pictureUnCompleteText);
                }
            }
        }
        updateSelector(this.refresh);
    }

    /* access modifiers changed from: protected */
    public void updateSelector(boolean z) {
        if (z) {
            Bundle bundle = new Bundle();
            bundle.putInt("position", this.index);
            bundle.putParcelableArrayList(PictureConfig.EXTRA_SELECT_IMAGES_KEY, (ArrayList) this.selectImages);
            BroadcastManager.getInstance(this).action(BroadcastAction.ACTION_SELECTED_DATA).extras(bundle).broadcast();
        }
    }

    public void onClick(View view) {
        int id = view.getId();
        if (id == R.id.picture_left_back) {
            onBackPressed();
        } else if (id == R.id.tv_ok || id == R.id.tv_img_num) {
            onComplete();
        } else if (id == R.id.btnCheck) {
            onCheckedComplete();
        }
    }

    /* access modifiers changed from: protected */
    public void onCheckedComplete() {
        boolean z;
        LocalMedia localMedia;
        List<LocalMedia> list = this.images;
        if (list != null && list.size() > 0) {
            LocalMedia localMedia2 = this.images.get(this.viewPager.getCurrentItem());
            String mimeType = this.selectImages.size() > 0 ? this.selectImages.get(0).getMimeType() : "";
            if (TextUtils.isEmpty(mimeType) || PictureMimeType.isMimeTypeSame(mimeType, localMedia2.getMimeType())) {
                if (!this.check.isSelected()) {
                    this.check.setSelected(true);
                    this.check.startAnimation(this.animation);
                    z = true;
                } else {
                    this.check.setSelected(false);
                    z = false;
                }
                if (this.selectImages.size() < this.config.maxSelectNum || !z) {
                    if (z) {
                        VoiceUtils.playVoice(getContext(), this.config.openClickSound);
                        if (this.config.selectionMode == 1) {
                            singleRadioMediaImage();
                        }
                        this.selectImages.add(localMedia2);
                        onSelectedChange(true, localMedia2);
                        localMedia2.setNum(this.selectImages.size());
                        if (this.config.checkNumMode) {
                            this.check.setText(String.valueOf(localMedia2.getNum()));
                        }
                    } else {
                        int size = this.selectImages.size();
                        int i = 0;
                        while (true) {
                            if (i >= size) {
                                break;
                            }
                            localMedia = this.selectImages.get(i);
                            if (localMedia.getPath().equals(localMedia2.getPath()) || localMedia.getId() == localMedia2.getId()) {
                                this.selectImages.remove(localMedia);
                                onSelectedChange(false, localMedia2);
                                subSelectPosition();
                                notifyCheckChanged(localMedia);
                            } else {
                                i++;
                            }
                        }
                        this.selectImages.remove(localMedia);
                        onSelectedChange(false, localMedia2);
                        subSelectPosition();
                        notifyCheckChanged(localMedia);
                    }
                    onSelectNumChange(true);
                    return;
                }
                ToastUtils.s(getContext(), getString(R.string.picture_message_max_num, new Object[]{Integer.valueOf(this.config.maxSelectNum)}));
                this.check.setSelected(false);
                return;
            }
            ToastUtils.s(getContext(), getString(R.string.picture_rule));
        }
    }

    /* access modifiers changed from: protected */
    public void onComplete() {
        String str;
        int size = this.selectImages.size();
        LocalMedia localMedia = this.selectImages.size() > 0 ? this.selectImages.get(0) : null;
        String mimeType = localMedia != null ? localMedia.getMimeType() : "";
        if (this.config.minSelectNum > 0 && size < this.config.minSelectNum && this.config.selectionMode == 2) {
            if (PictureMimeType.eqImage(mimeType)) {
                str = getString(R.string.picture_min_img_num, new Object[]{Integer.valueOf(this.config.minSelectNum)});
            } else {
                str = getString(R.string.picture_min_video_num, new Object[]{Integer.valueOf(this.config.minSelectNum)});
            }
            ToastUtils.s(getContext(), str);
        } else if (this.config.isCheckOriginalImage) {
            onResult(this.selectImages);
        } else if (!this.config.enableCrop || !PictureMimeType.eqImage(mimeType)) {
            onResult(this.selectImages);
        } else if (this.config.selectionMode == 1) {
            this.originalPath = localMedia.getPath();
            startCrop(this.originalPath);
        } else {
            ArrayList<CutInfo> arrayList = new ArrayList<>();
            int size2 = this.selectImages.size();
            for (int i = 0; i < size2; i++) {
                LocalMedia localMedia2 = this.selectImages.get(i);
                if (localMedia2 != null && !TextUtils.isEmpty(localMedia2.getPath())) {
                    CutInfo cutInfo = new CutInfo();
                    cutInfo.setId(localMedia2.getId());
                    cutInfo.setPath(localMedia2.getPath());
                    cutInfo.setImageWidth(localMedia2.getWidth());
                    cutInfo.setImageHeight(localMedia2.getHeight());
                    cutInfo.setMimeType(localMedia2.getMimeType());
                    cutInfo.setAndroidQToPath(localMedia2.getAndroidQToPath());
                    cutInfo.setId(localMedia2.getId());
                    arrayList.add(cutInfo);
                }
            }
            startCrop(arrayList);
        }
    }

    @Override // com.luck.picture.lib.PictureBaseActivity
    public void onResult(List<LocalMedia> list) {
        Bundle bundle = new Bundle();
        bundle.putParcelableArrayList(PictureConfig.EXTRA_SELECT_IMAGES_KEY, (ArrayList) list);
        BroadcastManager.getInstance(this).action(BroadcastAction.ACTION_PREVIEW_COMPRESSION).extras(bundle).broadcast();
        if (!this.config.isCompress || this.config.isCheckOriginalImage) {
            onBackPressed();
        } else {
            lambda$onResult$3$PictureBaseActivity();
        }
    }

    /* access modifiers changed from: protected */
    @Override // androidx.fragment.app.FragmentActivity
    public void onActivityResult(int i, int i2, Intent intent) {
        if (i2 == -1) {
            if (i == 69) {
                if (intent != null) {
                    setResult(-1, intent);
                }
                finish();
            } else if (i == 609) {
                setResult(-1, new Intent().putExtra(UCropMulti.EXTRA_OUTPUT_URI_LIST, (Serializable) UCropMulti.getOutput(intent)));
                finish();
            }
        } else if (i2 == 96) {
            ToastUtils.s(getContext(), ((Throwable) intent.getSerializableExtra("com.yalantis.ucrop.Error")).getMessage());
        }
    }

    @Override // androidx.activity.ComponentActivity
    public void onBackPressed() {
        if (this.config.windowAnimationStyle == null || this.config.windowAnimationStyle.activityPreviewExitAnimation == 0) {
            closeActivity();
            return;
        }
        finish();
        overridePendingTransition(0, (this.config.windowAnimationStyle == null || this.config.windowAnimationStyle.activityPreviewExitAnimation == 0) ? R.anim.picture_anim_exit : this.config.windowAnimationStyle.activityPreviewExitAnimation);
    }

    /* access modifiers changed from: protected */
    @Override // androidx.appcompat.app.AppCompatActivity, com.luck.picture.lib.PictureBaseActivity, androidx.fragment.app.FragmentActivity
    public void onDestroy() {
        super.onDestroy();
        ImagesObservable.getInstance().clearPreviewMediaData();
        if (this.commonBroadcastReceiver != null) {
            BroadcastManager.getInstance(this).unregisterReceiver(this.commonBroadcastReceiver, BroadcastAction.ACTION_CLOSE_PREVIEW);
            this.commonBroadcastReceiver = null;
        }
        Handler handler = this.mHandler;
        if (handler != null) {
            handler.removeCallbacksAndMessages(null);
            this.mHandler = null;
        }
        Animation animation2 = this.animation;
        if (animation2 != null) {
            animation2.cancel();
            this.animation = null;
        }
        PictureSimpleFragmentAdapter pictureSimpleFragmentAdapter = this.adapter;
        if (pictureSimpleFragmentAdapter != null) {
            pictureSimpleFragmentAdapter.clear();
        }
    }

    @Override // com.luck.picture.lib.adapter.PictureSimpleFragmentAdapter.OnCallBackActivity
    public void onActivityBackPressed() {
        onBackPressed();
    }
}
