package com.luck.picture.lib;

import android.text.TextUtils;
import android.view.View;
import android.widget.RelativeLayout;
import android.widget.TextView;
import androidx.core.content.ContextCompat;
import com.luck.picture.lib.entity.LocalMedia;
import com.luck.picture.lib.tools.AttrsUtils;
import java.util.List;

public class PictureSelectorWeChatStyleActivity extends PictureSelectorActivity {
    private TextView mPictureSendView;
    private RelativeLayout rlAlbum;

    @Override // com.luck.picture.lib.PictureBaseActivity, com.luck.picture.lib.PictureSelectorActivity
    public int getResourceId() {
        return R.layout.picture_wechat_style_selector;
    }

    /* access modifiers changed from: protected */
    @Override // com.luck.picture.lib.PictureBaseActivity, com.luck.picture.lib.PictureSelectorActivity
    public void initWidgets() {
        super.initWidgets();
        this.rlAlbum = (RelativeLayout) findViewById(R.id.rlAlbum);
        this.mPictureSendView = (TextView) findViewById(R.id.picture_send);
        this.mPictureSendView.setOnClickListener(this);
        this.mPictureSendView.setText(getString(R.string.picture_send));
        this.mTvPicturePreview.setTextSize(16.0f);
        this.mCbOriginal.setTextSize(16.0f);
        int i = 0;
        boolean z = this.config.selectionMode == 1 && this.config.isSingleDirectReturn;
        TextView textView = this.mPictureSendView;
        if (z) {
            i = 8;
        }
        textView.setVisibility(i);
        if (this.rlAlbum.getLayoutParams() != null && (this.rlAlbum.getLayoutParams() instanceof RelativeLayout.LayoutParams)) {
            RelativeLayout.LayoutParams layoutParams = (RelativeLayout.LayoutParams) this.rlAlbum.getLayoutParams();
            if (z) {
                layoutParams.addRule(14);
            } else {
                layoutParams.addRule(1, R.id.picture_left_back);
            }
        }
    }

    @Override // com.luck.picture.lib.PictureBaseActivity, com.luck.picture.lib.PictureSelectorActivity
    public void initPictureSelectorStyle() {
        if (this.config.style != null) {
            if (this.config.style.pictureRightDefaultBackgroundStyle != 0) {
                this.mPictureSendView.setBackgroundResource(this.config.style.pictureRightDefaultBackgroundStyle);
            } else {
                this.mPictureSendView.setBackgroundResource(R.drawable.picture_send_button_default_bg);
            }
            if (this.config.style.pictureBottomBgColor != 0) {
                this.mBottomLayout.setBackgroundColor(this.config.style.pictureBottomBgColor);
            } else {
                this.mBottomLayout.setBackgroundColor(ContextCompat.getColor(getContext(), R.color.picture_color_grey));
            }
            if (this.config.style.pictureRightDefaultTextColor != 0) {
                this.mPictureSendView.setTextColor(this.config.style.pictureRightDefaultTextColor);
            } else if (this.config.style.pictureCancelTextColor != 0) {
                this.mPictureSendView.setTextColor(this.config.style.pictureCancelTextColor);
            } else {
                this.mPictureSendView.setTextColor(ContextCompat.getColor(getContext(), R.color.picture_color_53575e));
            }
            if (this.config.style.pictureRightTextSize != 0) {
                this.mPictureSendView.setTextSize((float) this.config.style.pictureRightTextSize);
            }
            if (this.config.style.pictureOriginalFontColor == 0) {
                this.mCbOriginal.setTextColor(ContextCompat.getColor(this, R.color.picture_color_white));
            }
            if (this.config.isOriginalControl && this.config.style.pictureOriginalControlStyle == 0) {
                this.mCbOriginal.setButtonDrawable(ContextCompat.getDrawable(this, R.drawable.picture_original_wechat_checkbox));
            }
            if (this.config.style.pictureContainerBackgroundColor != 0) {
                this.container.setBackgroundColor(this.config.style.pictureContainerBackgroundColor);
            }
            if (this.config.style.pictureWeChatTitleBackgroundStyle != 0) {
                this.rlAlbum.setBackgroundResource(this.config.style.pictureWeChatTitleBackgroundStyle);
            } else {
                this.rlAlbum.setBackgroundResource(R.drawable.picture_album_bg);
            }
            if (!TextUtils.isEmpty(this.config.style.pictureRightDefaultText)) {
                this.mPictureSendView.setText(this.config.style.pictureRightDefaultText);
            }
        } else {
            this.mPictureSendView.setBackgroundResource(R.drawable.picture_send_button_default_bg);
            this.rlAlbum.setBackgroundResource(R.drawable.picture_album_bg);
            this.mPictureSendView.setTextColor(ContextCompat.getColor(getContext(), R.color.picture_color_53575e));
            int typeValueColor = AttrsUtils.getTypeValueColor(getContext(), R.attr.picture_bottom_bg);
            RelativeLayout relativeLayout = this.mBottomLayout;
            if (typeValueColor == 0) {
                typeValueColor = ContextCompat.getColor(getContext(), R.color.picture_color_grey);
            }
            relativeLayout.setBackgroundColor(typeValueColor);
            this.mCbOriginal.setTextColor(ContextCompat.getColor(this, R.color.picture_color_white));
            this.mIvArrow.setImageDrawable(ContextCompat.getDrawable(this, R.drawable.picture_icon_wechat_down));
            if (this.config.isOriginalControl) {
                this.mCbOriginal.setButtonDrawable(ContextCompat.getDrawable(this, R.drawable.picture_original_wechat_checkbox));
            }
        }
        super.initPictureSelectorStyle();
        goneParentView();
    }

    private void goneParentView() {
        this.mTvPictureRight.setVisibility(8);
        this.mTvPictureImgNum.setVisibility(8);
        this.mTvPictureOk.setVisibility(8);
    }

    /* access modifiers changed from: protected */
    @Override // com.luck.picture.lib.PictureSelectorActivity
    public void changeImageNumber(List<LocalMedia> list) {
        String str;
        if (this.mPictureSendView != null) {
            int size = list.size();
            if (size != 0) {
                this.mPictureSendView.setEnabled(true);
                this.mPictureSendView.setSelected(true);
                TextView textView = this.mPictureSendView;
                if (this.config.selectionMode != 1) {
                    str = getString(R.string.picture_send_num, new Object[]{Integer.valueOf(size), Integer.valueOf(this.config.maxSelectNum)});
                } else if (this.config.style == null || TextUtils.isEmpty(this.config.style.pictureRightDefaultText)) {
                    str = getString(R.string.picture_send);
                } else {
                    str = this.config.style.pictureRightDefaultText;
                }
                textView.setText(str);
                this.mTvPicturePreview.setEnabled(true);
                this.mTvPicturePreview.setSelected(true);
                if (this.config.style != null) {
                    if (this.config.style.pictureRightBackgroundStyle != 0) {
                        this.mPictureSendView.setBackgroundResource(this.config.style.pictureRightBackgroundStyle);
                    } else {
                        this.mPictureSendView.setBackgroundResource(R.drawable.picture_send_button_bg);
                    }
                    if (this.config.style.pictureRightSelectedTextColor != 0) {
                        this.mPictureSendView.setTextColor(this.config.style.pictureRightSelectedTextColor);
                    } else {
                        this.mPictureSendView.setTextColor(ContextCompat.getColor(getContext(), R.color.picture_color_white));
                    }
                    if (this.config.style.picturePreviewTextColor != 0) {
                        this.mTvPicturePreview.setTextColor(this.config.style.picturePreviewTextColor);
                    } else {
                        this.mTvPicturePreview.setTextColor(ContextCompat.getColor(getContext(), R.color.picture_color_white));
                    }
                    if (!TextUtils.isEmpty(this.config.style.picturePreviewText)) {
                        this.mTvPicturePreview.setText(this.config.style.picturePreviewText);
                    } else {
                        this.mTvPicturePreview.setText(getString(R.string.picture_preview_num, new Object[]{Integer.valueOf(size)}));
                    }
                } else {
                    this.mPictureSendView.setBackgroundResource(R.drawable.picture_send_button_bg);
                    this.mPictureSendView.setTextColor(ContextCompat.getColor(getContext(), R.color.picture_color_white));
                    this.mTvPicturePreview.setTextColor(ContextCompat.getColor(getContext(), R.color.picture_color_white));
                    this.mTvPicturePreview.setText(getString(R.string.picture_preview_num, new Object[]{Integer.valueOf(size)}));
                }
            } else {
                this.mPictureSendView.setEnabled(false);
                this.mPictureSendView.setSelected(false);
                this.mTvPicturePreview.setEnabled(false);
                this.mTvPicturePreview.setSelected(false);
                if (this.config.style != null) {
                    if (this.config.style.pictureRightDefaultBackgroundStyle != 0) {
                        this.mPictureSendView.setBackgroundResource(this.config.style.pictureRightDefaultBackgroundStyle);
                    } else {
                        this.mPictureSendView.setBackgroundResource(R.drawable.picture_send_button_default_bg);
                    }
                    if (this.config.style.pictureRightDefaultTextColor != 0) {
                        this.mPictureSendView.setTextColor(this.config.style.pictureRightDefaultTextColor);
                    } else {
                        this.mPictureSendView.setTextColor(ContextCompat.getColor(getContext(), R.color.picture_color_53575e));
                    }
                    if (this.config.style.pictureUnPreviewTextColor != 0) {
                        this.mTvPicturePreview.setTextColor(this.config.style.pictureUnPreviewTextColor);
                    } else {
                        this.mTvPicturePreview.setTextColor(ContextCompat.getColor(getContext(), R.color.picture_color_9b));
                    }
                    if (!TextUtils.isEmpty(this.config.style.pictureRightDefaultText)) {
                        this.mPictureSendView.setText(this.config.style.pictureRightDefaultText);
                    } else {
                        this.mPictureSendView.setText(getString(R.string.picture_send));
                    }
                    if (!TextUtils.isEmpty(this.config.style.pictureUnPreviewText)) {
                        this.mTvPicturePreview.setText(this.config.style.pictureUnPreviewText);
                    } else {
                        this.mTvPicturePreview.setText(getString(R.string.picture_preview));
                    }
                } else {
                    this.mPictureSendView.setBackgroundResource(R.drawable.picture_send_button_default_bg);
                    this.mPictureSendView.setTextColor(ContextCompat.getColor(getContext(), R.color.picture_color_53575e));
                    this.mTvPicturePreview.setTextColor(ContextCompat.getColor(getContext(), R.color.picture_color_9b));
                    this.mTvPicturePreview.setText(getString(R.string.picture_preview));
                    this.mPictureSendView.setText(getString(R.string.picture_send));
                }
            }
        }
    }

    @Override // com.luck.picture.lib.PictureSelectorActivity
    public void onClick(View view) {
        super.onClick(view);
        if (view.getId() != R.id.picture_send) {
            return;
        }
        if (this.folderWindow == null || !this.folderWindow.isShowing()) {
            this.mTvPictureOk.performClick();
        } else {
            this.folderWindow.dismiss();
        }
    }
}
