package com.luck.picture.lib.adapter;

import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import androidx.recyclerview.widget.RecyclerView;
import com.luck.picture.lib.R;
import com.luck.picture.lib.adapter.PictureWeChatPreviewGalleryAdapter;
import com.luck.picture.lib.config.PictureSelectionConfig;
import com.luck.picture.lib.entity.LocalMedia;
import java.util.ArrayList;
import java.util.List;

public class PictureWeChatPreviewGalleryAdapter extends RecyclerView.Adapter<ViewHolder> {
    private PictureSelectionConfig config;
    private List<LocalMedia> list;
    private OnItemClickListener listener;

    public interface OnItemClickListener {
        void onItemClick(int i, LocalMedia localMedia, View view);
    }

    public PictureWeChatPreviewGalleryAdapter(PictureSelectionConfig pictureSelectionConfig) {
        this.config = pictureSelectionConfig;
    }

    public void setNewData(List<LocalMedia> list2) {
        if (list2 == null) {
            list2 = new ArrayList<>();
        }
        this.list = list2;
        notifyDataSetChanged();
    }

    public void addSingleMediaToData(LocalMedia localMedia) {
        List<LocalMedia> list2 = this.list;
        if (list2 != null) {
            list2.clear();
            this.list.add(localMedia);
            notifyDataSetChanged();
        }
    }

    public void removeMediaToData(LocalMedia localMedia) {
        List<LocalMedia> list2 = this.list;
        if (list2 != null && list2.size() > 0) {
            this.list.remove(localMedia);
            notifyDataSetChanged();
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public ViewHolder onCreateViewHolder(ViewGroup viewGroup, int i) {
        return new ViewHolder(LayoutInflater.from(viewGroup.getContext()).inflate(R.layout.picture_wechat_preview_gallery, viewGroup, false));
    }

    public void onBindViewHolder(ViewHolder viewHolder, int i) {
        LocalMedia item = getItem(i);
        if (item != null) {
            viewHolder.viewBorder.setVisibility(item.isChecked() ? 0 : 8);
            PictureSelectionConfig pictureSelectionConfig = this.config;
            if (!(pictureSelectionConfig == null || pictureSelectionConfig.imageEngine == null)) {
                this.config.imageEngine.loadImage(viewHolder.itemView.getContext(), item.getPath(), viewHolder.ivImage);
            }
            viewHolder.itemView.setOnClickListener(new View.OnClickListener(viewHolder, i) {
                /* class com.luck.picture.lib.adapter.$$Lambda$PictureWeChatPreviewGalleryAdapter$uprdlng3hwajRAxw4QP2P0y22dg */
                private final /* synthetic */ PictureWeChatPreviewGalleryAdapter.ViewHolder f$1;
                private final /* synthetic */ int f$2;

                {
                    this.f$1 = r2;
                    this.f$2 = r3;
                }

                public final void onClick(View view) {
                    PictureWeChatPreviewGalleryAdapter.this.lambda$onBindViewHolder$0$PictureWeChatPreviewGalleryAdapter(this.f$1, this.f$2, view);
                }
            });
        }
    }

    public /* synthetic */ void lambda$onBindViewHolder$0$PictureWeChatPreviewGalleryAdapter(ViewHolder viewHolder, int i, View view) {
        if (this.listener != null && viewHolder.getAdapterPosition() >= 0) {
            this.listener.onItemClick(viewHolder.getAdapterPosition(), getItem(i), view);
        }
    }

    public LocalMedia getItem(int i) {
        List<LocalMedia> list2 = this.list;
        if (list2 == null || list2.size() <= 0) {
            return null;
        }
        return this.list.get(i);
    }

    /* access modifiers changed from: package-private */
    public class ViewHolder extends RecyclerView.ViewHolder {
        ImageView ivImage;
        View viewBorder;

        public ViewHolder(View view) {
            super(view);
            this.ivImage = (ImageView) view.findViewById(R.id.ivImage);
            this.viewBorder = view.findViewById(R.id.viewBorder);
        }
    }

    public void setItemClickListener(OnItemClickListener onItemClickListener) {
        this.listener = onItemClickListener;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public int getItemCount() {
        List<LocalMedia> list2 = this.list;
        if (list2 != null) {
            return list2.size();
        }
        return 0;
    }
}
