package com.luck.picture.lib.decoration;

import android.graphics.Rect;
import android.view.View;
import androidx.recyclerview.widget.RecyclerView;

public class GridSpacingItemNotBothDecoration extends RecyclerView.ItemDecoration {
    private boolean includeEdge;
    private boolean isRemoveBoth;
    private int spacing;
    private int spanCount;

    public GridSpacingItemNotBothDecoration(int i, int i2, boolean z, boolean z2) {
        this.spanCount = i;
        this.spacing = i2;
        this.includeEdge = z;
        this.isRemoveBoth = z2;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.ItemDecoration
    public void getItemOffsets(Rect rect, View view, RecyclerView recyclerView, RecyclerView.State state) {
        int i;
        int childAdapterPosition = recyclerView.getChildAdapterPosition(view);
        int i2 = this.spanCount;
        int i3 = childAdapterPosition % i2;
        if (this.includeEdge) {
            if (this.isRemoveBoth) {
                int i4 = 0;
                if (i3 == 0) {
                    i = 0;
                } else {
                    int i5 = this.spacing;
                    i = i5 - ((i3 * i5) / i2);
                }
                rect.left = i;
                int i6 = this.spanCount;
                if (i3 != i6 - 1) {
                    i4 = ((i3 + 1) * this.spacing) / i6;
                }
                rect.right = i4;
            } else {
                int i7 = this.spacing;
                rect.left = i7 - ((i3 * i7) / i2);
                rect.right = ((i3 + 1) * i7) / i2;
            }
            if (childAdapterPosition < this.spanCount) {
                rect.top = this.spacing;
            }
            rect.bottom = this.spacing;
            return;
        }
        int i8 = this.spacing;
        rect.left = (i3 * i8) / i2;
        rect.right = i8 - (((i3 + 1) * i8) / i2);
        if (childAdapterPosition >= i2) {
            rect.top = i8;
        }
    }
}
