package com.luck.picture.lib.tools;

import android.content.Context;
import android.text.SpannableString;
import android.text.style.RelativeSizeSpan;
import android.widget.TextView;
import com.luck.picture.lib.R;
import com.luck.picture.lib.config.PictureMimeType;
import java.util.regex.Pattern;

public class StringUtils {
    public static void tempTextFont(TextView textView, int i) {
        String str;
        String trim = textView.getText().toString().trim();
        if (i == PictureMimeType.ofAudio()) {
            str = textView.getContext().getString(R.string.picture_empty_audio_title);
        } else {
            str = textView.getContext().getString(R.string.picture_empty_title);
        }
        String str2 = str + trim;
        SpannableString spannableString = new SpannableString(str2);
        spannableString.setSpan(new RelativeSizeSpan(0.8f), str.length(), str2.length(), 33);
        textView.setText(spannableString);
    }

    public static int stringToInt(String str) {
        if (Pattern.compile("^[-\\+]?[\\d]+$").matcher(str).matches()) {
            return Integer.valueOf(str).intValue();
        }
        return 0;
    }

    public static String getToastMsg(Context context, String str, int i) {
        if (PictureMimeType.eqVideo(str)) {
            return context.getString(R.string.picture_message_video_max_num, Integer.valueOf(i));
        } else if (PictureMimeType.eqAudio(str)) {
            return context.getString(R.string.picture_message_audio_max_num, Integer.valueOf(i));
        } else {
            return context.getString(R.string.picture_message_max_num, Integer.valueOf(i));
        }
    }
}
