package com.mcxiaoke.packer.helper;

import android.content.Context;
import com.mcxiaoke.packer.common.PackerCommon;
import java.io.File;
import java.io.IOException;

public final class PackerNg {
    private static final String EMPTY_STRING = "";
    private static final String TAG = "PackerNg";
    private static String sCachedChannel;

    public static String getChannel(File file) {
        try {
            return PackerCommon.readChannel(file);
        } catch (Exception unused) {
            return "";
        }
    }

    public static String getChannel(Context context) {
        try {
            return getChannelOrThrow(context);
        } catch (Exception unused) {
            return "";
        }
    }

    public static synchronized String getChannelOrThrow(Context context) throws IOException {
        String readChannel;
        synchronized (PackerNg.class) {
            readChannel = PackerCommon.readChannel(new File(context.getApplicationInfo().sourceDir));
        }
        return readChannel;
    }
}
