package com.mcxiaoke.packer.support.walle;

import java.io.DataOutput;
import java.io.IOException;
import java.nio.ByteBuffer;
import java.nio.ByteOrder;
import java.util.ArrayList;
import java.util.List;

class ApkSigningBlock {
    private final List<ApkSigningPayload> payloads = new ArrayList();

    ApkSigningBlock() {
    }

    public final List<ApkSigningPayload> getPayloads() {
        return this.payloads;
    }

    public void addPayload(ApkSigningPayload apkSigningPayload) {
        this.payloads.add(apkSigningPayload);
    }

    public long writeTo(DataOutput dataOutput) throws IOException {
        long j = 24;
        for (int i = 0; i < this.payloads.size(); i++) {
            j += (long) (this.payloads.get(i).getByteBuffer().length + 12);
        }
        ByteBuffer allocate = ByteBuffer.allocate(8);
        allocate.order(ByteOrder.LITTLE_ENDIAN);
        allocate.putLong(j);
        allocate.flip();
        dataOutput.write(allocate.array());
        for (int i2 = 0; i2 < this.payloads.size(); i2++) {
            ApkSigningPayload apkSigningPayload = this.payloads.get(i2);
            byte[] byteBuffer = apkSigningPayload.getByteBuffer();
            ByteBuffer allocate2 = ByteBuffer.allocate(8);
            allocate2.order(ByteOrder.LITTLE_ENDIAN);
            allocate2.putLong((long) (byteBuffer.length + 4));
            allocate2.flip();
            dataOutput.write(allocate2.array());
            ByteBuffer allocate3 = ByteBuffer.allocate(4);
            allocate3.order(ByteOrder.LITTLE_ENDIAN);
            allocate3.putInt(apkSigningPayload.getId());
            allocate3.flip();
            dataOutput.write(allocate3.array());
            dataOutput.write(byteBuffer);
        }
        ByteBuffer allocate4 = ByteBuffer.allocate(8);
        allocate4.order(ByteOrder.LITTLE_ENDIAN);
        allocate4.putLong(j);
        allocate4.flip();
        dataOutput.write(allocate4.array());
        ByteBuffer allocate5 = ByteBuffer.allocate(8);
        allocate5.order(ByteOrder.LITTLE_ENDIAN);
        allocate5.putLong(V2Const.APK_SIG_BLOCK_MAGIC_LO);
        allocate5.flip();
        dataOutput.write(allocate5.array());
        ByteBuffer allocate6 = ByteBuffer.allocate(8);
        allocate6.order(ByteOrder.LITTLE_ENDIAN);
        allocate6.putLong(V2Const.APK_SIG_BLOCK_MAGIC_HI);
        allocate6.flip();
        dataOutput.write(allocate6.array());
        return j;
    }
}
