package com.mcxiaoke.packer.support.walle;

import java.nio.ByteBuffer;
import java.nio.ByteOrder;
import java.util.Arrays;

class ApkSigningPayload {
    private final ByteBuffer buffer;
    private final int id;

    ApkSigningPayload(int i, ByteBuffer byteBuffer) {
        this.id = i;
        if (byteBuffer.order() == ByteOrder.LITTLE_ENDIAN) {
            this.buffer = byteBuffer;
            return;
        }
        throw new IllegalArgumentException("ByteBuffer byte order must be little endian");
    }

    public int getId() {
        return this.id;
    }

    public byte[] getByteBuffer() {
        byte[] array = this.buffer.array();
        int arrayOffset = this.buffer.arrayOffset();
        return Arrays.copyOfRange(array, this.buffer.position() + arrayOffset, arrayOffset + this.buffer.limit());
    }
}
