package com.mcxiaoke.packer.support.walle;

final class Pair<A, B> {
    private final A f;
    private final B s;

    private Pair(A a, B b) {
        this.f = a;
        this.s = b;
    }

    public static <A, B> Pair<A, B> of(A a, B b) {
        return new Pair<>(a, b);
    }

    public A getFirst() {
        return this.f;
    }

    public B getSecond() {
        return this.s;
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null || getClass() != obj.getClass()) {
            return false;
        }
        Pair pair = (Pair) obj;
        A a = this.f;
        if (a == null ? pair.f != null : !a.equals(pair.f)) {
            return false;
        }
        B b = this.s;
        B b2 = pair.s;
        if (b != null) {
            return b.equals(b2);
        }
        if (b2 == null) {
            return true;
        }
        return false;
    }

    public int hashCode() {
        A a = this.f;
        int i = 0;
        int hashCode = (a != null ? a.hashCode() : 0) * 31;
        B b = this.s;
        if (b != null) {
            i = b.hashCode();
        }
        return hashCode + i;
    }
}
