package com.mcxiaoke.packer.support.walle;

import java.io.File;
import java.io.IOException;
import java.io.RandomAccessFile;
import java.nio.ByteBuffer;
import java.nio.channels.FileChannel;
import java.util.Map;

/* access modifiers changed from: package-private */
public final class PayloadReader {
    private PayloadReader() {
    }

    public static byte[] readBytes(File file, int i) throws IOException {
        ByteBuffer readBlock = readBlock(file, i);
        if (readBlock == null) {
            return null;
        }
        return V2Utils.getBytes(readBlock);
    }

    public static ByteBuffer readBlock(File file, int i) throws IOException {
        Map<Integer, ByteBuffer> readAllBlocks = readAllBlocks(file);
        if (readAllBlocks == null) {
            return null;
        }
        return readAllBlocks.get(Integer.valueOf(i));
    }

    private static Map<Integer, ByteBuffer> readAllBlocks(File file) throws IOException {
        Throwable th;
        RandomAccessFile randomAccessFile;
        FileChannel fileChannel = null;
        try {
            randomAccessFile = new RandomAccessFile(file, "r");
            try {
                fileChannel = randomAccessFile.getChannel();
                Map<Integer, ByteBuffer> findIdValues = ApkUtil.findIdValues(ApkUtil.findApkSigningBlock(fileChannel).getFirst());
                V2Utils.close(fileChannel);
                V2Utils.close(randomAccessFile);
                return findIdValues;
            } catch (Throwable th2) {
                th = th2;
                V2Utils.close(fileChannel);
                V2Utils.close(randomAccessFile);
                throw th;
            }
        } catch (Throwable th3) {
            th = th3;
            randomAccessFile = null;
            V2Utils.close(fileChannel);
            V2Utils.close(randomAccessFile);
            throw th;
        }
    }
}
