package com.rhyme.r_scan;

import android.app.Activity;
import com.rhyme.r_scan.RScanCamera.RScanCameraMethodHandler;
import com.rhyme.r_scan.RScanCamera.RScanPermissions;
import com.rhyme.r_scan.RScanView.RScanViewPlugin;
import io.flutter.plugin.common.BinaryMessenger;
import io.flutter.plugin.common.MethodCall;
import io.flutter.plugin.common.MethodChannel;
import io.flutter.plugin.platform.PlatformViewRegistry;
import io.flutter.view.TextureRegistry;

public class MethodCallHandlerImpl implements MethodChannel.MethodCallHandler {
    private final Activity activity;
    private final RScanPermissions cameraPermissions;
    private final BinaryMessenger messenger;
    private final MethodChannel methodChannel;
    private final RScanPermissions.PermissionsRegistry permissionsRegistry;
    private final PlatformViewRegistry platformViewRegistry;
    private ImageScanHelper scanHelper;
    private final TextureRegistry textureRegistry;

    public MethodCallHandlerImpl(Activity activity2, BinaryMessenger binaryMessenger, RScanPermissions rScanPermissions, RScanPermissions.PermissionsRegistry permissionsRegistry2, TextureRegistry textureRegistry2, PlatformViewRegistry platformViewRegistry2) {
        this.activity = activity2;
        this.messenger = binaryMessenger;
        this.cameraPermissions = rScanPermissions;
        this.permissionsRegistry = permissionsRegistry2;
        this.textureRegistry = textureRegistry2;
        this.platformViewRegistry = platformViewRegistry2;
        this.scanHelper = new ImageScanHelper(activity2);
        this.methodChannel = new MethodChannel(binaryMessenger, "com.rhyme_lph/r_scan");
        this.methodChannel.setMethodCallHandler(this);
        RScanViewPlugin.registerWith(this.platformViewRegistry, this.messenger);
        new RScanCameraMethodHandler(activity2, binaryMessenger, rScanPermissions, permissionsRegistry2, textureRegistry2);
    }

    /* access modifiers changed from: package-private */
    public void stopListening() {
        this.methodChannel.setMethodCallHandler(null);
    }

    @Override // io.flutter.plugin.common.MethodChannel.MethodCallHandler
    public void onMethodCall(MethodCall methodCall, MethodChannel.Result result) {
        if (methodCall.method.equals("scanImagePath")) {
            this.scanHelper.scanImagePath(methodCall, result);
        } else if (methodCall.method.equals("scanImageUrl")) {
            this.scanHelper.scanImageUrl(methodCall, result);
        } else if (methodCall.method.equals("scanImageMemory")) {
            this.scanHelper.scanImageMemory(methodCall, result);
        } else {
            result.notImplemented();
        }
    }
}
