package com.rhyme.r_scan.RScanCamera;

import android.app.Activity;
import androidx.core.app.ActivityCompat;
import androidx.core.content.ContextCompat;
import io.flutter.plugin.common.PluginRegistry;

public final class RScanPermissions {
    private static final int CAMERA_REQUEST_ID = 9796;
    private boolean ongoing = false;

    public interface PermissionsRegistry {
        void addListener(PluginRegistry.RequestPermissionsResultListener requestPermissionsResultListener);
    }

    /* access modifiers changed from: package-private */
    public interface ResultCallback {
        void onResult(String str, String str2);
    }

    /* access modifiers changed from: package-private */
    public void requestPermissions(Activity activity, PermissionsRegistry permissionsRegistry, final ResultCallback resultCallback) {
        if (this.ongoing) {
            resultCallback.onResult("cameraPermission", "Camera permission request ongoing");
        }
        if (!hasCameraPermission(activity)) {
            permissionsRegistry.addListener(new RScanRequestPermissionsListener(new ResultCallback() {
                /* class com.rhyme.r_scan.RScanCamera.RScanPermissions.AnonymousClass1 */

                @Override // com.rhyme.r_scan.RScanCamera.RScanPermissions.ResultCallback
                public void onResult(String str, String str2) {
                    RScanPermissions.this.ongoing = false;
                    resultCallback.onResult(str, str2);
                }
            }));
            this.ongoing = true;
            ActivityCompat.requestPermissions(activity, new String[]{"android.permission.CAMERA"}, CAMERA_REQUEST_ID);
            return;
        }
        resultCallback.onResult(null, null);
    }

    private boolean hasCameraPermission(Activity activity) {
        return ContextCompat.checkSelfPermission(activity, "android.permission.CAMERA") == 0;
    }

    /* access modifiers changed from: private */
    public static class RScanRequestPermissionsListener implements PluginRegistry.RequestPermissionsResultListener {
        final ResultCallback callback;

        private RScanRequestPermissionsListener(ResultCallback resultCallback) {
            this.callback = resultCallback;
        }

        @Override // io.flutter.plugin.common.PluginRegistry.RequestPermissionsResultListener
        public boolean onRequestPermissionsResult(int i, String[] strArr, int[] iArr) {
            if (i != RScanPermissions.CAMERA_REQUEST_ID) {
                return false;
            }
            if (iArr[0] != 0) {
                this.callback.onResult("rScanPermission", "MediaRecorderCamera permission not granted");
                return true;
            }
            this.callback.onResult(null, null);
            return true;
        }
    }
}
