package com.rhyme.r_scan;

import android.app.Activity;
import com.rhyme.r_scan.RScanCamera.RScanPermissions;
import io.flutter.embedding.engine.plugins.FlutterPlugin;
import io.flutter.embedding.engine.plugins.activity.ActivityAware;
import io.flutter.embedding.engine.plugins.activity.ActivityPluginBinding;
import io.flutter.plugin.common.BinaryMessenger;
import io.flutter.plugin.common.PluginRegistry;
import io.flutter.plugin.platform.PlatformViewRegistry;
import io.flutter.view.TextureRegistry;
import java.util.Objects;

public class RScanPlugin implements FlutterPlugin, ActivityAware {
    private FlutterPlugin.FlutterPluginBinding flutterPluginBinding;
    private MethodCallHandlerImpl methodCallHandler;

    public static void registerWith(PluginRegistry.Registrar registrar) {
        RScanPlugin rScanPlugin = new RScanPlugin();
        Activity activity = registrar.activity();
        BinaryMessenger messenger = registrar.messenger();
        Objects.requireNonNull(registrar);
        rScanPlugin.maybeStartListening(activity, messenger, new RScanPermissions.PermissionsRegistry() {
            /* class com.rhyme.r_scan.$$Lambda$jGAeDlbFudF_XoC6EdTTmTSc44 */

            @Override // com.rhyme.r_scan.RScanCamera.RScanPermissions.PermissionsRegistry
            public final void addListener(PluginRegistry.RequestPermissionsResultListener requestPermissionsResultListener) {
                PluginRegistry.Registrar.this.addRequestPermissionsResultListener(requestPermissionsResultListener);
            }
        }, registrar.view(), registrar.platformViewRegistry());
    }

    private void maybeStartListening(Activity activity, BinaryMessenger binaryMessenger, RScanPermissions.PermissionsRegistry permissionsRegistry, TextureRegistry textureRegistry, PlatformViewRegistry platformViewRegistry) {
        this.methodCallHandler = new MethodCallHandlerImpl(activity, binaryMessenger, new RScanPermissions(), permissionsRegistry, textureRegistry, platformViewRegistry);
    }

    @Override // io.flutter.embedding.engine.plugins.FlutterPlugin
    public void onAttachedToEngine(FlutterPlugin.FlutterPluginBinding flutterPluginBinding2) {
        this.flutterPluginBinding = flutterPluginBinding2;
    }

    @Override // io.flutter.embedding.engine.plugins.FlutterPlugin
    public void onDetachedFromEngine(FlutterPlugin.FlutterPluginBinding flutterPluginBinding2) {
        this.flutterPluginBinding = null;
    }

    @Override // io.flutter.embedding.engine.plugins.activity.ActivityAware
    public void onAttachedToActivity(ActivityPluginBinding activityPluginBinding) {
        Activity activity = activityPluginBinding.getActivity();
        BinaryMessenger binaryMessenger = this.flutterPluginBinding.getBinaryMessenger();
        Objects.requireNonNull(activityPluginBinding);
        maybeStartListening(activity, binaryMessenger, new RScanPermissions.PermissionsRegistry() {
            /* class com.rhyme.r_scan.$$Lambda$T9YMKkITwnb_jJ4URy2ehAVYIxM */

            @Override // com.rhyme.r_scan.RScanCamera.RScanPermissions.PermissionsRegistry
            public final void addListener(PluginRegistry.RequestPermissionsResultListener requestPermissionsResultListener) {
                ActivityPluginBinding.this.addRequestPermissionsResultListener(requestPermissionsResultListener);
            }
        }, this.flutterPluginBinding.getTextureRegistry(), this.flutterPluginBinding.getPlatformViewRegistry());
    }

    @Override // io.flutter.embedding.engine.plugins.activity.ActivityAware
    public void onDetachedFromActivityForConfigChanges() {
        onDetachedFromActivity();
    }

    @Override // io.flutter.embedding.engine.plugins.activity.ActivityAware
    public void onReattachedToActivityForConfigChanges(ActivityPluginBinding activityPluginBinding) {
        onAttachedToActivity(activityPluginBinding);
    }

    @Override // io.flutter.embedding.engine.plugins.activity.ActivityAware
    public void onDetachedFromActivity() {
        MethodCallHandlerImpl methodCallHandlerImpl = this.methodCallHandler;
        if (methodCallHandlerImpl != null) {
            methodCallHandlerImpl.stopListening();
            this.methodCallHandler = null;
        }
    }
}
