package com.rhyme.r_scan.RScanView;

import android.content.Context;
import android.util.DisplayMetrics;
import android.util.Log;
import android.util.Rational;
import android.util.Size;
import android.view.TextureView;
import android.view.View;
import android.view.WindowManager;
import androidx.camera.core.CameraX;
import androidx.camera.core.ImageAnalysis;
import androidx.camera.core.ImageAnalysisConfig;
import androidx.camera.core.ImageProxy;
import androidx.camera.core.Preview;
import androidx.camera.core.PreviewConfig;
import androidx.camera.core.UseCase;
import androidx.lifecycle.Lifecycle;
import androidx.lifecycle.LifecycleOwner;
import androidx.lifecycle.LifecycleRegistry;
import com.google.zxing.BinaryBitmap;
import com.google.zxing.MultiFormatReader;
import com.google.zxing.PlanarYUVLuminanceSource;
import com.google.zxing.Result;
import com.google.zxing.common.HybridBinarizer;
import com.rhyme.r_scan.RScanResultUtils;
import io.flutter.plugin.common.BinaryMessenger;
import io.flutter.plugin.common.EventChannel;
import io.flutter.plugin.common.MethodCall;
import io.flutter.plugin.common.MethodChannel;
import io.flutter.plugin.platform.PlatformView;
import java.nio.ByteBuffer;
import java.util.Map;

public class FlutterRScanView implements PlatformView, LifecycleOwner, EventChannel.StreamHandler, MethodChannel.MethodCallHandler {
    private static final String TAG = "FlutterRScanView";
    private static final String scanViewType = "com.rhyme_lph/r_scan_view";
    private EventChannel.EventSink eventSink;
    private boolean isPlay;
    private long lastCurrentTimestamp = 0;
    private LifecycleRegistry lifecycleRegistry;
    private Preview mPreview;
    private TextureView textureView;

    @Override // io.flutter.plugin.platform.PlatformView
    public /* synthetic */ void onFlutterViewAttached(View view) {
        PlatformView.CC.$default$onFlutterViewAttached(this, view);
    }

    @Override // io.flutter.plugin.platform.PlatformView
    public /* synthetic */ void onFlutterViewDetached() {
        PlatformView.CC.$default$onFlutterViewDetached(this);
    }

    @Override // io.flutter.plugin.platform.PlatformView
    public /* synthetic */ void onInputConnectionLocked() {
        PlatformView.CC.$default$onInputConnectionLocked(this);
    }

    @Override // io.flutter.plugin.platform.PlatformView
    public /* synthetic */ void onInputConnectionUnlocked() {
        PlatformView.CC.$default$onInputConnectionUnlocked(this);
    }

    FlutterRScanView(Context context, BinaryMessenger binaryMessenger, int i, Object obj) {
        this.isPlay = ((Boolean) ((Map) obj).get("isPlay")) == Boolean.TRUE;
        new EventChannel(binaryMessenger, "com.rhyme_lph/r_scan_view_" + i + "/event").setStreamHandler(this);
        new MethodChannel(binaryMessenger, "com.rhyme_lph/r_scan_view_" + i + "/method").setMethodCallHandler(this);
        this.textureView = new TextureView(context);
        this.lifecycleRegistry = new LifecycleRegistry(this);
        DisplayMetrics displayMetrics = new DisplayMetrics();
        ((WindowManager) context.getSystemService("window")).getDefaultDisplay().getMetrics(displayMetrics);
        Log.d(TAG, "FlutterRScanView: " + displayMetrics.toString());
        this.mPreview = buildPreView(displayMetrics.widthPixels, displayMetrics.heightPixels);
        CameraX.bindToLifecycle(this, new UseCase[]{this.mPreview, buildImageAnalysis()});
    }

    @Override // io.flutter.plugin.platform.PlatformView
    public View getView() {
        if (this.lifecycleRegistry.getCurrentState() != Lifecycle.State.RESUMED) {
            this.lifecycleRegistry.markState(Lifecycle.State.RESUMED);
        }
        return this.textureView;
    }

    @Override // io.flutter.plugin.platform.PlatformView
    public void dispose() {
        Log.d("CameraX", "dispose");
        this.lifecycleRegistry.markState(Lifecycle.State.DESTROYED);
        CameraX.unbindAll();
    }

    @Override // io.flutter.plugin.common.EventChannel.StreamHandler
    public void onListen(Object obj, EventChannel.EventSink eventSink2) {
        this.eventSink = eventSink2;
    }

    /* JADX INFO: Can't fix incorrect switch cases order, some code will duplicate */
    @Override // io.flutter.plugin.common.MethodChannel.MethodCallHandler
    public void onMethodCall(MethodCall methodCall, MethodChannel.Result result) {
        char c;
        String str = methodCall.method;
        boolean z = false;
        switch (str.hashCode()) {
            case -2129330689:
                if (str.equals("startScan")) {
                    c = 0;
                    break;
                }
                c = 65535;
                break;
            case -1157064963:
                if (str.equals("getFlashMode")) {
                    c = 3;
                    break;
                }
                c = 65535;
                break;
            case 391927665:
                if (str.equals("setFlashMode")) {
                    c = 2;
                    break;
                }
                c = 65535;
                break;
            case 1714778527:
                if (str.equals("stopScan")) {
                    c = 1;
                    break;
                }
                c = 65535;
                break;
            default:
                c = 65535;
                break;
        }
        if (c == 0) {
            this.isPlay = true;
            result.success(null);
        } else if (c == 1) {
            this.isPlay = false;
            result.success(null);
        } else if (c == 2) {
            Boolean bool = (Boolean) methodCall.argument("isOpen");
            Preview preview = this.mPreview;
            if (bool == Boolean.TRUE) {
                z = true;
            }
            preview.enableTorch(z);
            result.success(true);
        } else if (c != 3) {
            result.notImplemented();
        } else {
            result.success(Boolean.valueOf(this.mPreview.isTorchOn()));
        }
    }

    @Override // io.flutter.plugin.common.EventChannel.StreamHandler
    public void onCancel(Object obj) {
        Log.d("CameraX", "onCancel");
        this.eventSink = null;
    }

    @Override // androidx.lifecycle.LifecycleOwner
    public Lifecycle getLifecycle() {
        Log.d("CameraX", "getLifecycle" + this.lifecycleRegistry.getCurrentState().name());
        return this.lifecycleRegistry;
    }

    private Preview buildPreView(int i, int i2) {
        PreviewConfig.Builder builder = new PreviewConfig.Builder();
        Preview preview = new Preview(builder.setTargetAspectRatio(Rational.parseRational(i + ":" + i2)).setTargetResolution(new Size(i, i2)).build());
        preview.setOnPreviewOutputUpdateListener(new Preview.OnPreviewOutputUpdateListener() {
            /* class com.rhyme.r_scan.RScanView.FlutterRScanView.AnonymousClass1 */

            public void onUpdated(Preview.PreviewOutput previewOutput) {
                if (FlutterRScanView.this.textureView != null) {
                    FlutterRScanView.this.textureView.setSurfaceTexture(previewOutput.getSurfaceTexture());
                }
            }
        });
        return preview;
    }

    private UseCase buildImageAnalysis() {
        ImageAnalysis imageAnalysis = new ImageAnalysis(new ImageAnalysisConfig.Builder().setImageReaderMode(ImageAnalysis.ImageReaderMode.ACQUIRE_LATEST_IMAGE).build());
        imageAnalysis.setAnalyzer(new QRCodeAnalyzer());
        return imageAnalysis;
    }

    /* access modifiers changed from: private */
    public class QRCodeAnalyzer implements ImageAnalysis.Analyzer {
        private static final String TAG = "QRCodeAnalyzer";
        private MultiFormatReader reader;

        private QRCodeAnalyzer() {
            this.reader = new MultiFormatReader();
        }

        public void analyze(ImageProxy imageProxy, int i) {
            long currentTimeMillis = System.currentTimeMillis();
            if (currentTimeMillis - FlutterRScanView.this.lastCurrentTimestamp >= 1 && FlutterRScanView.this.isPlay == Boolean.TRUE.booleanValue()) {
                if (35 != imageProxy.getFormat()) {
                    Log.d(TAG, "analyze: " + imageProxy.getFormat());
                    return;
                }
                ByteBuffer buffer = imageProxy.getPlanes()[0].getBuffer();
                byte[] bArr = new byte[buffer.remaining()];
                buffer.get(bArr);
                int height = imageProxy.getHeight();
                int width = imageProxy.getWidth();
                try {
                    final Result decode = this.reader.decode(new BinaryBitmap(new HybridBinarizer(new PlanarYUVLuminanceSource(bArr, width, height, 0, 0, width, height, false))));
                    if (!(decode == null || FlutterRScanView.this.eventSink == null)) {
                        FlutterRScanView.this.textureView.post(new Runnable() {
                            /* class com.rhyme.r_scan.RScanView.FlutterRScanView.QRCodeAnalyzer.AnonymousClass1 */

                            public void run() {
                                if (FlutterRScanView.this.eventSink != null) {
                                    FlutterRScanView.this.eventSink.success(RScanResultUtils.toMap(decode));
                                }
                            }
                        });
                    }
                } catch (Exception unused) {
                    buffer.clear();
                }
                FlutterRScanView.this.lastCurrentTimestamp = currentTimeMillis;
            }
        }
    }
}
