package com.tekartik.sqflite.operation;

import io.flutter.plugin.common.MethodCall;
import io.flutter.plugin.common.MethodChannel;

public class MethodCallOperation extends BaseOperation {
    final MethodCall methodCall;
    final Result result;

    class Result implements OperationResult {
        final MethodChannel.Result result;

        Result(MethodChannel.Result result2) {
            this.result = result2;
        }

        @Override // com.tekartik.sqflite.operation.OperationResult
        public void success(Object obj) {
            this.result.success(obj);
        }

        @Override // com.tekartik.sqflite.operation.OperationResult
        public void error(String str, String str2, Object obj) {
            this.result.error(str, str2, obj);
        }
    }

    public MethodCallOperation(MethodCall methodCall2, MethodChannel.Result result2) {
        this.methodCall = methodCall2;
        this.result = new Result(result2);
    }

    @Override // com.tekartik.sqflite.operation.Operation
    public String getMethod() {
        return this.methodCall.method;
    }

    @Override // com.tekartik.sqflite.operation.Operation
    public <T> T getArgument(String str) {
        return (T) this.methodCall.argument(str);
    }

    @Override // com.tekartik.sqflite.operation.BaseOperation, com.tekartik.sqflite.operation.BaseReadOperation
    public OperationResult getOperationResult() {
        return this.result;
    }
}
