package creativemaybeno.wakelock;

import android.app.Activity;
import android.view.Window;
import com.tekartik.sqflite.Constant;
import creativemaybeno.wakelock.Messages;
import kotlin.Metadata;
import kotlin.jvm.internal.Intrinsics;

@Metadata(bv = {1, 0, 3}, d1 = {"\u0000.\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0010\u000b\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\b\u0000\u0018\u00002\u00020\u0001B\u0005¢\u0006\u0002\u0010\u0002J\u0006\u0010\r\u001a\u00020\u000eJ\u000e\u0010\u000f\u001a\u00020\u00102\u0006\u0010\u0011\u001a\u00020\u0012R\u001c\u0010\u0003\u001a\u0004\u0018\u00010\u0004X\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u0005\u0010\u0006\"\u0004\b\u0007\u0010\bR\u0014\u0010\t\u001a\u00020\n8BX\u0004¢\u0006\u0006\u001a\u0004\b\u000b\u0010\f¨\u0006\u0013"}, d2 = {"Lcreativemaybeno/wakelock/Wakelock;", "", "()V", "activity", "Landroid/app/Activity;", "getActivity", "()Landroid/app/Activity;", "setActivity", "(Landroid/app/Activity;)V", "enabled", "", "getEnabled", "()Z", "isEnabled", "Lcreativemaybeno/wakelock/Messages$IsEnabledMessage;", "toggle", "", Constant.PARAM_ERROR_MESSAGE, "Lcreativemaybeno/wakelock/Messages$ToggleMessage;", "wakelock_release"}, k = 1, mv = {1, 1, 15})
/* compiled from: Wakelock.kt */
public final class Wakelock {
    private Activity activity;

    public final Activity getActivity() {
        return this.activity;
    }

    public final void setActivity(Activity activity2) {
        this.activity = activity2;
    }

    private final boolean getEnabled() {
        Activity activity2 = this.activity;
        if (activity2 == null) {
            Intrinsics.throwNpe();
        }
        Window window = activity2.getWindow();
        Intrinsics.checkExpressionValueIsNotNull(window, "activity!!.window");
        return (window.getAttributes().flags & 128) != 0;
    }

    public final void toggle(Messages.ToggleMessage toggleMessage) {
        Intrinsics.checkParameterIsNotNull(toggleMessage, Constant.PARAM_ERROR_MESSAGE);
        Activity activity2 = this.activity;
        if (activity2 != null) {
            if (activity2 == null) {
                Intrinsics.throwNpe();
            }
            boolean enabled = getEnabled();
            Boolean enable = toggleMessage.getEnable();
            if (enable == null) {
                Intrinsics.throwNpe();
            }
            if (enable.booleanValue()) {
                if (!enabled) {
                    activity2.getWindow().addFlags(128);
                }
            } else if (enabled) {
                activity2.getWindow().clearFlags(128);
            }
        } else {
            throw new NoActivityException();
        }
    }

    public final Messages.IsEnabledMessage isEnabled() {
        if (this.activity != null) {
            Messages.IsEnabledMessage isEnabledMessage = new Messages.IsEnabledMessage();
            isEnabledMessage.setEnabled(Boolean.valueOf(getEnabled()));
            return isEnabledMessage;
        }
        throw new NoActivityException();
    }
}
