package io.flutter.plugins.webviewflutter;

import android.os.Handler;
import android.os.Looper;
import android.webkit.JavascriptInterface;
import com.tekartik.sqflite.Constant;
import io.flutter.plugin.common.MethodChannel;
import java.util.HashMap;

class JavaScriptChannel {
    private final String javaScriptChannelName;
    private final MethodChannel methodChannel;
    private final Handler platformThreadHandler;

    JavaScriptChannel(MethodChannel methodChannel2, String str, Handler handler) {
        this.methodChannel = methodChannel2;
        this.javaScriptChannelName = str;
        this.platformThreadHandler = handler;
    }

    @JavascriptInterface
    public void postMessage(final String str) {
        AnonymousClass1 r0 = new Runnable() {
            /* class io.flutter.plugins.webviewflutter.JavaScriptChannel.AnonymousClass1 */

            public void run() {
                HashMap hashMap = new HashMap();
                hashMap.put("channel", JavaScriptChannel.this.javaScriptChannelName);
                hashMap.put(Constant.PARAM_ERROR_MESSAGE, str);
                JavaScriptChannel.this.methodChannel.invokeMethod("javascriptChannelMessage", hashMap);
            }
        };
        if (this.platformThreadHandler.getLooper() == Looper.myLooper()) {
            r0.run();
        } else {
            this.platformThreadHandler.post(r0);
        }
    }
}
