package tv.danmaku.ijk.media.player.misc;

import java.io.InputStream;

public class StreamDataSource implements IMediaDataSource {
    public InputStream mIs;
    public long mPosition = 0;

    public StreamDataSource(InputStream inputStream) {
        this.mIs = inputStream;
    }

    @Override // tv.danmaku.ijk.media.player.misc.IMediaDataSource
    public void close() {
        InputStream inputStream = this.mIs;
        if (inputStream != null) {
            inputStream.close();
        }
        this.mIs = null;
    }

    @Override // tv.danmaku.ijk.media.player.misc.IMediaDataSource
    public long getSize() {
        return (long) this.mIs.available();
    }

    @Override // tv.danmaku.ijk.media.player.misc.IMediaDataSource
    public int readAt(long j, byte[] bArr, int i, int i2) {
        if (i2 <= 0) {
            return i2;
        }
        if (this.mPosition != j) {
            this.mIs.reset();
            this.mPosition = this.mIs.skip(j);
        }
        int read = this.mIs.read(bArr, i, i2);
        this.mPosition += (long) read;
        return read;
    }
}
