package tv.danmaku.ijk.media.player.pragma;

import android.util.Log;
import java.util.Locale;

public class DebugLog {
    public static int level = 4;

    public static void d(String str, String str2) {
        if (level <= 3) {
            Log.d(str, str2);
        }
    }

    public static void d(String str, String str2, Throwable th) {
        if (level <= 3) {
            Log.d(str, str2, th);
        }
    }

    public static void dfmt(String str, String str2, Object... objArr) {
        if (level <= 3) {
            Log.d(str, String.format(Locale.US, str2, objArr));
        }
    }

    public static void e(String str, String str2) {
        if (level <= 6) {
            Log.e(str, str2);
        }
    }

    public static void e(String str, String str2, Throwable th) {
        if (level <= 6) {
            Log.e(str, str2, th);
        }
    }

    public static void efmt(String str, String str2, Object... objArr) {
        if (level <= 6) {
            Log.e(str, String.format(Locale.US, str2, objArr));
        }
    }

    public static void i(String str, String str2) {
        if (level <= 4) {
            Log.i(str, str2);
        }
    }

    public static void i(String str, String str2, Throwable th) {
        if (level <= 4) {
            Log.i(str, str2, th);
        }
    }

    public static void ifmt(String str, String str2, Object... objArr) {
        if (level <= 4) {
            Log.i(str, String.format(Locale.US, str2, objArr));
        }
    }

    public static void printCause(Throwable th) {
        if (level <= 6) {
            Throwable cause = th.getCause();
            if (cause != null) {
                th = cause;
            }
            printStackTrace(th);
        }
    }

    public static void printStackTrace(Throwable th) {
        if (level <= 6) {
            th.printStackTrace();
        }
    }

    public static void setLogLevel(int i) {
        level = i;
    }

    public static void v(String str, String str2) {
        if (level <= 2) {
            Log.v(str, str2);
        }
    }

    public static void v(String str, String str2, Throwable th) {
        if (level <= 2) {
            Log.v(str, str2, th);
        }
    }

    public static void vfmt(String str, String str2, Object... objArr) {
        if (level <= 2) {
            Log.v(str, String.format(Locale.US, str2, objArr));
        }
    }

    public static void w(String str, String str2) {
        if (level <= 5) {
            Log.w(str, str2);
        }
    }

    public static void w(String str, String str2, Throwable th) {
        if (level <= 5) {
            Log.w(str, str2, th);
        }
    }

    public static void wfmt(String str, String str2, Object... objArr) {
        if (level <= 5) {
            Log.w(str, String.format(Locale.US, str2, objArr));
        }
    }
}
