package androidx.camera.core.impl;

import androidx.camera.core.impl.Config;
import java.util.Set;

public interface ReadableConfig extends Config {
    @Override // androidx.camera.core.impl.Config
    boolean containsOption(Config.Option<?> option);

    @Override // androidx.camera.core.impl.Config
    void findOptions(String str, Config.OptionMatcher optionMatcher);

    Config getConfig();

    @Override // androidx.camera.core.impl.Config
    Config.OptionPriority getOptionPriority(Config.Option<?> option);

    @Override // androidx.camera.core.impl.Config
    Set<Config.OptionPriority> getPriorities(Config.Option<?> option);

    @Override // androidx.camera.core.impl.Config
    Set<Config.Option<?>> listOptions();

    @Override // androidx.camera.core.impl.Config
    <ValueT> ValueT retrieveOption(Config.Option<ValueT> option);

    @Override // androidx.camera.core.impl.Config
    <ValueT> ValueT retrieveOption(Config.Option<ValueT> option, ValueT valuet);

    @Override // androidx.camera.core.impl.Config
    <ValueT> ValueT retrieveOptionWithPriority(Config.Option<ValueT> option, Config.OptionPriority optionPriority);

    /* renamed from: androidx.camera.core.impl.ReadableConfig$-CC  reason: invalid class name */
    public final /* synthetic */ class CC {
        /* JADX WARN: Incorrect args count in method signature: (Landroidx/camera/core/impl/Config$Option<*>;)Z */
        public static boolean $default$containsOption(ReadableConfig _this, Config.Option option) {
            return _this.getConfig().containsOption(option);
        }

        /* JADX WARN: Incorrect args count in method signature: <ValueT:Ljava/lang/Object;>(Landroidx/camera/core/impl/Config$Option<TValueT;>;)TValueT; */
        public static Object $default$retrieveOption(ReadableConfig _this, Config.Option option) {
            return _this.getConfig().retrieveOption(option);
        }

        /* JADX WARN: Incorrect args count in method signature: <ValueT:Ljava/lang/Object;>(Landroidx/camera/core/impl/Config$Option<TValueT;>;TValueT;)TValueT; */
        public static Object $default$retrieveOption(ReadableConfig _this, Config.Option option, Object obj) {
            return _this.getConfig().retrieveOption(option, obj);
        }

        public static void $default$findOptions(ReadableConfig _this, String str, Config.OptionMatcher optionMatcher) {
            _this.getConfig().findOptions(str, optionMatcher);
        }

        /* JADX WARN: Incorrect args count in method signature: ()Ljava/util/Set<Landroidx/camera/core/impl/Config$Option<*>;>; */
        public static Set $default$listOptions(ReadableConfig _this) {
            return _this.getConfig().listOptions();
        }

        /* JADX WARN: Incorrect args count in method signature: <ValueT:Ljava/lang/Object;>(Landroidx/camera/core/impl/Config$Option<TValueT;>;Landroidx/camera/core/impl/Config$OptionPriority;)TValueT; */
        public static Object $default$retrieveOptionWithPriority(ReadableConfig _this, Config.Option option, Config.OptionPriority optionPriority) {
            return _this.getConfig().retrieveOptionWithPriority(option, optionPriority);
        }

        /* JADX WARN: Incorrect args count in method signature: (Landroidx/camera/core/impl/Config$Option<*>;)Landroidx/camera/core/impl/Config$OptionPriority; */
        public static Config.OptionPriority $default$getOptionPriority(ReadableConfig _this, Config.Option option) {
            return _this.getConfig().getOptionPriority(option);
        }

        /* JADX WARN: Incorrect args count in method signature: (Landroidx/camera/core/impl/Config$Option<*>;)Ljava/util/Set<Landroidx/camera/core/impl/Config$OptionPriority;>; */
        public static Set $default$getPriorities(ReadableConfig _this, Config.Option option) {
            return _this.getConfig().getPriorities(option);
        }
    }
}
