package com.baseflow.permissionhandler;

import android.app.Activity;
import android.content.Context;
import com.baseflow.permissionhandler.AppSettingsManager;
import com.baseflow.permissionhandler.PermissionManager;
import com.baseflow.permissionhandler.ServiceManager;
import io.flutter.plugin.common.MethodCall;
import io.flutter.plugin.common.MethodChannel;
import java.util.List;
import java.util.Map;
import java.util.Objects;

/* access modifiers changed from: package-private */
public final class MethodCallHandlerImpl implements MethodChannel.MethodCallHandler {
    private Activity activity;
    private PermissionManager.ActivityRegistry activityRegistry;
    private final AppSettingsManager appSettingsManager;
    private final Context applicationContext;
    private final PermissionManager permissionManager;
    private PermissionManager.PermissionRegistry permissionRegistry;
    private final ServiceManager serviceManager;

    MethodCallHandlerImpl(Context context, AppSettingsManager appSettingsManager2, PermissionManager permissionManager2, ServiceManager serviceManager2) {
        this.applicationContext = context;
        this.appSettingsManager = appSettingsManager2;
        this.permissionManager = permissionManager2;
        this.serviceManager = serviceManager2;
    }

    public void setActivity(Activity activity2) {
        this.activity = activity2;
    }

    public void setActivityRegistry(PermissionManager.ActivityRegistry activityRegistry2) {
        this.activityRegistry = activityRegistry2;
    }

    public void setPermissionRegistry(PermissionManager.PermissionRegistry permissionRegistry2) {
        this.permissionRegistry = permissionRegistry2;
    }

    /* JADX INFO: Can't fix incorrect switch cases order, some code will duplicate */
    @Override // io.flutter.plugin.common.MethodChannel.MethodCallHandler
    public void onMethodCall(MethodCall methodCall, MethodChannel.Result result) {
        char c;
        String str = methodCall.method;
        switch (str.hashCode()) {
            case -1544053025:
                if (str.equals("checkServiceStatus")) {
                    c = 0;
                    break;
                }
                c = 65535;
                break;
            case -1017315255:
                if (str.equals("shouldShowRequestPermissionRationale")) {
                    c = 3;
                    break;
                }
                c = 65535;
                break;
            case -576207927:
                if (str.equals("checkPermissionStatus")) {
                    c = 1;
                    break;
                }
                c = 65535;
                break;
            case 347240634:
                if (str.equals("openAppSettings")) {
                    c = 4;
                    break;
                }
                c = 65535;
                break;
            case 1669188213:
                if (str.equals("requestPermissions")) {
                    c = 2;
                    break;
                }
                c = 65535;
                break;
            default:
                c = 65535;
                break;
        }
        if (c == 0) {
            int parseInt = Integer.parseInt(methodCall.arguments.toString());
            ServiceManager serviceManager2 = this.serviceManager;
            Context context = this.applicationContext;
            Objects.requireNonNull(result);
            serviceManager2.checkServiceStatus(parseInt, context, new ServiceManager.SuccessCallback() {
                /* class com.baseflow.permissionhandler.$$Lambda$kvb3eDz1QeqVBPF6VqNqPbsSWUA */

                @Override // com.baseflow.permissionhandler.ServiceManager.SuccessCallback
                public final void onSuccess(int i) {
                    MethodChannel.Result.this.success(Integer.valueOf(i));
                }
            }, new ErrorCallback() {
                /* class com.baseflow.permissionhandler.$$Lambda$MethodCallHandlerImpl$jGtwiG3jQ2lAp2Gyt9WGWiMz80 */

                @Override // com.baseflow.permissionhandler.ErrorCallback
                public final void onError(String str, String str2) {
                    MethodCallHandlerImpl.lambda$onMethodCall$0(MethodChannel.Result.this, str, str2);
                }
            });
        } else if (c == 1) {
            int parseInt2 = Integer.parseInt(methodCall.arguments.toString());
            PermissionManager permissionManager2 = this.permissionManager;
            Context context2 = this.applicationContext;
            Activity activity2 = this.activity;
            Objects.requireNonNull(result);
            permissionManager2.checkPermissionStatus(parseInt2, context2, activity2, new PermissionManager.CheckPermissionsSuccessCallback() {
                /* class com.baseflow.permissionhandler.$$Lambda$dmmm8DBenCjBo3Fgt2Az2dG7ZxI */

                @Override // com.baseflow.permissionhandler.PermissionManager.CheckPermissionsSuccessCallback
                public final void onSuccess(int i) {
                    MethodChannel.Result.this.success(Integer.valueOf(i));
                }
            }, new ErrorCallback() {
                /* class com.baseflow.permissionhandler.$$Lambda$MethodCallHandlerImpl$nBDkVfzRvSfmmA4LbPddaEjgddw */

                @Override // com.baseflow.permissionhandler.ErrorCallback
                public final void onError(String str, String str2) {
                    MethodCallHandlerImpl.lambda$onMethodCall$1(MethodChannel.Result.this, str, str2);
                }
            });
        } else if (c == 2) {
            PermissionManager permissionManager3 = this.permissionManager;
            Activity activity3 = this.activity;
            PermissionManager.ActivityRegistry activityRegistry2 = this.activityRegistry;
            PermissionManager.PermissionRegistry permissionRegistry2 = this.permissionRegistry;
            Objects.requireNonNull(result);
            permissionManager3.requestPermissions((List) methodCall.arguments(), activity3, activityRegistry2, permissionRegistry2, new PermissionManager.RequestPermissionsSuccessCallback() {
                /* class com.baseflow.permissionhandler.$$Lambda$tkd1HTc7lzMARNRmpQPzCnzrNM */

                @Override // com.baseflow.permissionhandler.PermissionManager.RequestPermissionsSuccessCallback
                public final void onSuccess(Map map) {
                    MethodChannel.Result.this.success(map);
                }
            }, new ErrorCallback() {
                /* class com.baseflow.permissionhandler.$$Lambda$MethodCallHandlerImpl$M_fJsohuhGTxNaajHVl4rDteOE4 */

                @Override // com.baseflow.permissionhandler.ErrorCallback
                public final void onError(String str, String str2) {
                    MethodCallHandlerImpl.lambda$onMethodCall$2(MethodChannel.Result.this, str, str2);
                }
            });
        } else if (c == 3) {
            int parseInt3 = Integer.parseInt(methodCall.arguments.toString());
            PermissionManager permissionManager4 = this.permissionManager;
            Activity activity4 = this.activity;
            Objects.requireNonNull(result);
            permissionManager4.shouldShowRequestPermissionRationale(parseInt3, activity4, new PermissionManager.ShouldShowRequestPermissionRationaleSuccessCallback() {
                /* class com.baseflow.permissionhandler.$$Lambda$WNQCVwakkfCyfzR026kfI0xwI */

                @Override // com.baseflow.permissionhandler.PermissionManager.ShouldShowRequestPermissionRationaleSuccessCallback
                public final void onSuccess(boolean z) {
                    MethodChannel.Result.this.success(Boolean.valueOf(z));
                }
            }, new ErrorCallback() {
                /* class com.baseflow.permissionhandler.$$Lambda$MethodCallHandlerImpl$srvZpHfJnKwaDTQpc3KbxXJu_k */

                @Override // com.baseflow.permissionhandler.ErrorCallback
                public final void onError(String str, String str2) {
                    MethodCallHandlerImpl.lambda$onMethodCall$3(MethodChannel.Result.this, str, str2);
                }
            });
        } else if (c != 4) {
            result.notImplemented();
        } else {
            AppSettingsManager appSettingsManager2 = this.appSettingsManager;
            Context context3 = this.applicationContext;
            Objects.requireNonNull(result);
            appSettingsManager2.openAppSettings(context3, new AppSettingsManager.OpenAppSettingsSuccessCallback() {
                /* class com.baseflow.permissionhandler.$$Lambda$TR2UE6xvkpeRG17hPoBKZeEIKug */

                @Override // com.baseflow.permissionhandler.AppSettingsManager.OpenAppSettingsSuccessCallback
                public final void onSuccess(boolean z) {
                    MethodChannel.Result.this.success(Boolean.valueOf(z));
                }
            }, new ErrorCallback() {
                /* class com.baseflow.permissionhandler.$$Lambda$MethodCallHandlerImpl$EqJFI2oYuoDin3ZEKekEyA_Kdc */

                @Override // com.baseflow.permissionhandler.ErrorCallback
                public final void onError(String str, String str2) {
                    MethodCallHandlerImpl.lambda$onMethodCall$4(MethodChannel.Result.this, str, str2);
                }
            });
        }
    }
}
