package com.example.flutternativeimage;

import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.media.ExifInterface;
import android.os.Build;
import android.util.Log;
import com.tekartik.sqflite.Constant;
import io.flutter.plugin.common.MethodCall;
import io.flutter.plugin.common.MethodChannel;
import java.io.ByteArrayOutputStream;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.util.Arrays;
import java.util.HashMap;

public class MethodCallHandlerImpl implements MethodChannel.MethodCallHandler {
    private final Context context;

    MethodCallHandlerImpl(Context context2) {
        this.context = context2;
    }

    /* JADX WARNING: Removed duplicated region for block: B:65:0x01dd  */
    /* JADX WARNING: Removed duplicated region for block: B:70:0x01ec  */
    /* JADX WARNING: Removed duplicated region for block: B:76:0x01fc A[SYNTHETIC, Splitter:B:76:0x01fc] */
    /* JADX WARNING: Removed duplicated region for block: B:89:? A[RETURN, SYNTHETIC] */
    /* JADX WARNING: Removed duplicated region for block: B:91:? A[RETURN, SYNTHETIC] */
    @Override // io.flutter.plugin.common.MethodChannel.MethodCallHandler
    public void onMethodCall(MethodCall methodCall, MethodChannel.Result result) {
        FileOutputStream fileOutputStream;
        Throwable th;
        FileOutputStream fileOutputStream2;
        FileNotFoundException e;
        IOException e2;
        int i = 0;
        if (methodCall.method.equals("compressImage")) {
            String str = (String) methodCall.argument("file");
            int intValue = ((Integer) methodCall.argument("percentage")).intValue();
            int intValue2 = methodCall.argument("targetWidth") == null ? 0 : ((Integer) methodCall.argument("targetWidth")).intValue();
            int intValue3 = methodCall.argument("targetHeight") == null ? 0 : ((Integer) methodCall.argument("targetHeight")).intValue();
            int intValue4 = ((Integer) methodCall.argument("quality")).intValue();
            File file = new File(str);
            if (!file.exists()) {
                result.error("file does not exist", str, null);
                return;
            }
            Bitmap decodeFile = BitmapFactory.decodeFile(str);
            ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
            if (intValue2 == 0) {
                intValue2 = (decodeFile.getWidth() / 100) * intValue;
            }
            if (intValue3 == 0) {
                intValue3 = (decodeFile.getHeight() / 100) * intValue;
            }
            Bitmap.createScaledBitmap(decodeFile, intValue2, intValue3, true).copy(Bitmap.Config.RGB_565, false).compress(Bitmap.CompressFormat.JPEG, intValue4, byteArrayOutputStream);
            try {
                String path = File.createTempFile(getFilenameWithoutExtension(file).concat("_compressed"), ".jpg", this.context.getExternalCacheDir()).getPath();
                byteArrayOutputStream.writeTo(new FileOutputStream(path));
                copyExif(str, path);
                result.success(path);
            } catch (FileNotFoundException e3) {
                e3.printStackTrace();
                result.error("file does not exist", str, null);
            } catch (IOException e4) {
                e4.printStackTrace();
                result.error("something went wrong", str, null);
            }
        } else if (methodCall.method.equals("getImageProperties")) {
            String str2 = (String) methodCall.argument("file");
            if (!new File(str2).exists()) {
                result.error("file does not exist", str2, null);
                return;
            }
            BitmapFactory.Options options = new BitmapFactory.Options();
            options.inJustDecodeBounds = true;
            BitmapFactory.decodeFile(str2, options);
            HashMap hashMap = new HashMap();
            hashMap.put("width", Integer.valueOf(options.outWidth));
            hashMap.put("height", Integer.valueOf(options.outHeight));
            try {
                i = new ExifInterface(str2).getAttributeInt(androidx.exifinterface.media.ExifInterface.TAG_ORIENTATION, 0);
            } catch (IOException unused) {
            }
            hashMap.put("orientation", Integer.valueOf(i));
            result.success(hashMap);
        } else if (methodCall.method.equals("cropImage")) {
            String str3 = (String) methodCall.argument("file");
            int intValue5 = ((Integer) methodCall.argument("originX")).intValue();
            int intValue6 = ((Integer) methodCall.argument("originY")).intValue();
            int intValue7 = ((Integer) methodCall.argument("width")).intValue();
            int intValue8 = ((Integer) methodCall.argument("height")).intValue();
            File file2 = new File(str3);
            if (!file2.exists()) {
                result.error("file does not exist", str3, null);
                return;
            }
            Bitmap decodeFile2 = BitmapFactory.decodeFile(str3);
            ByteArrayOutputStream byteArrayOutputStream2 = new ByteArrayOutputStream();
            try {
                decodeFile2 = Bitmap.createBitmap(decodeFile2, intValue5, intValue6, intValue7, intValue8);
            } catch (IllegalArgumentException e5) {
                e5.printStackTrace();
                result.error("bounds are outside of the dimensions of the source image", str3, null);
            }
            decodeFile2.compress(Bitmap.CompressFormat.JPEG, 100, byteArrayOutputStream2);
            decodeFile2.recycle();
            try {
                String path2 = File.createTempFile(getFilenameWithoutExtension(file2).concat("_cropped"), ".jpg", this.context.getExternalCacheDir()).getPath();
                fileOutputStream2 = new FileOutputStream(path2);
                try {
                    byteArrayOutputStream2.writeTo(fileOutputStream2);
                    copyExif(str3, path2);
                    result.success(path2);
                    try {
                        fileOutputStream2.close();
                    } catch (IOException e6) {
                        e6.printStackTrace();
                    }
                } catch (FileNotFoundException e7) {
                    e = e7;
                    e.printStackTrace();
                    result.error("file does not exist", str3, null);
                    if (fileOutputStream2 == null) {
                    }
                } catch (IOException e8) {
                    e2 = e8;
                    try {
                        e2.printStackTrace();
                        result.error("something went wrong", str3, null);
                        if (fileOutputStream2 == null) {
                        }
                    } catch (Throwable th2) {
                        th = th2;
                        fileOutputStream = fileOutputStream2;
                        if (fileOutputStream != null) {
                        }
                        throw th;
                    }
                }
            } catch (FileNotFoundException e9) {
                e = e9;
                fileOutputStream2 = null;
                e.printStackTrace();
                result.error("file does not exist", str3, null);
                if (fileOutputStream2 == null) {
                    fileOutputStream2.close();
                }
            } catch (IOException e10) {
                e2 = e10;
                fileOutputStream2 = null;
                e2.printStackTrace();
                result.error("something went wrong", str3, null);
                if (fileOutputStream2 == null) {
                    fileOutputStream2.close();
                }
            } catch (Throwable th3) {
                th = th3;
                fileOutputStream = null;
                if (fileOutputStream != null) {
                    try {
                        fileOutputStream.close();
                    } catch (IOException e11) {
                        e11.printStackTrace();
                    }
                }
                throw th;
            }
        } else if (methodCall.method.equals(Constant.METHOD_GET_PLATFORM_VERSION)) {
            result.success("Android " + Build.VERSION.RELEASE);
        } else {
            result.notImplemented();
        }
    }

    private void copyExif(String str, String str2) {
        Exception e;
        try {
            ExifInterface exifInterface = new ExifInterface(str);
            ExifInterface exifInterface2 = new ExifInterface(str2);
            for (String str3 : Arrays.asList(androidx.exifinterface.media.ExifInterface.TAG_F_NUMBER, androidx.exifinterface.media.ExifInterface.TAG_EXPOSURE_TIME, androidx.exifinterface.media.ExifInterface.TAG_ISO_SPEED_RATINGS, androidx.exifinterface.media.ExifInterface.TAG_GPS_ALTITUDE, androidx.exifinterface.media.ExifInterface.TAG_GPS_ALTITUDE_REF, androidx.exifinterface.media.ExifInterface.TAG_FOCAL_LENGTH, androidx.exifinterface.media.ExifInterface.TAG_GPS_DATESTAMP, androidx.exifinterface.media.ExifInterface.TAG_WHITE_BALANCE, androidx.exifinterface.media.ExifInterface.TAG_GPS_PROCESSING_METHOD, androidx.exifinterface.media.ExifInterface.TAG_GPS_TIMESTAMP, androidx.exifinterface.media.ExifInterface.TAG_DATETIME, androidx.exifinterface.media.ExifInterface.TAG_FLASH, androidx.exifinterface.media.ExifInterface.TAG_GPS_LATITUDE, androidx.exifinterface.media.ExifInterface.TAG_GPS_LATITUDE_REF, androidx.exifinterface.media.ExifInterface.TAG_GPS_LONGITUDE, androidx.exifinterface.media.ExifInterface.TAG_GPS_LONGITUDE_REF, androidx.exifinterface.media.ExifInterface.TAG_MAKE, androidx.exifinterface.media.ExifInterface.TAG_MODEL, androidx.exifinterface.media.ExifInterface.TAG_ORIENTATION)) {
                try {
                    setIfNotNull(exifInterface, exifInterface2, str3);
                } catch (Exception e2) {
                    e = e2;
                    Log.e("FlutterNativeImagePlugin", "Error preserving Exif data on selected image: " + e);
                }
            }
            exifInterface2.saveAttributes();
        } catch (Exception e3) {
            e = e3;
            Log.e("FlutterNativeImagePlugin", "Error preserving Exif data on selected image: " + e);
        }
    }

    private void setIfNotNull(ExifInterface exifInterface, ExifInterface exifInterface2, String str) {
        if (exifInterface.getAttribute(str) != null) {
            exifInterface2.setAttribute(str, exifInterface.getAttribute(str));
        }
    }

    private static String pathComponent(String str) {
        int lastIndexOf = str.lastIndexOf(File.separator);
        return lastIndexOf > -1 ? str.substring(0, lastIndexOf) : str;
    }

    private static String getFilenameWithoutExtension(File file) {
        String name = file.getName();
        return name.indexOf(".") > 0 ? name.substring(0, name.lastIndexOf(".")) : name;
    }
}
