package com.flutter_webview_plugin;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.graphics.Point;
import android.os.Build;
import android.view.Display;
import android.webkit.CookieManager;
import android.webkit.ValueCallback;
import android.webkit.WebStorage;
import android.widget.FrameLayout;
import com.google.android.exoplayer2.text.ttml.TtmlNode;
import io.flutter.plugin.common.MethodCall;
import io.flutter.plugin.common.MethodChannel;
import io.flutter.plugin.common.PluginRegistry;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import tv.danmaku.ijk.media.player.IjkMediaPlayer;

public class FlutterWebviewPlugin implements MethodChannel.MethodCallHandler, PluginRegistry.ActivityResultListener {
    private static final String CHANNEL_NAME = "flutter_webview_plugin";
    private static final String JS_CHANNEL_NAMES_FIELD = "javascriptChannelNames";
    static MethodChannel channel;
    private Activity activity;
    private Context context;
    private WebviewManager webViewManager;

    public static void registerWith(PluginRegistry.Registrar registrar) {
        if (registrar.activity() != null) {
            channel = new MethodChannel(registrar.messenger(), CHANNEL_NAME);
            FlutterWebviewPlugin flutterWebviewPlugin = new FlutterWebviewPlugin(registrar.activity(), registrar.activeContext());
            registrar.addActivityResultListener(flutterWebviewPlugin);
            channel.setMethodCallHandler(flutterWebviewPlugin);
        }
    }

    FlutterWebviewPlugin(Activity activity2, Context context2) {
        this.activity = activity2;
        this.context = context2;
    }

    /* JADX INFO: Can't fix incorrect switch cases order, some code will duplicate */
    @Override // io.flutter.plugin.common.MethodChannel.MethodCallHandler
    public void onMethodCall(MethodCall methodCall, MethodChannel.Result result) {
        char c;
        String str = methodCall.method;
        switch (str.hashCode()) {
            case -1747898362:
                if (str.equals("cleanCookies")) {
                    c = 11;
                    break;
                }
                c = 65535;
                break;
            case -1109843021:
                if (str.equals("launch")) {
                    c = 0;
                    break;
                }
                c = 65535;
                break;
            case -1067273523:
                if (str.equals("canGoForward")) {
                    c = '\r';
                    break;
                }
                c = 65535;
                break;
            case -948122918:
                if (str.equals("stopLoading")) {
                    c = '\n';
                    break;
                }
                c = 65535;
                break;
            case -934641255:
                if (str.equals("reload")) {
                    c = 4;
                    break;
                }
                c = 65535;
                break;
            case -934437708:
                if (str.equals("resize")) {
                    c = 3;
                    break;
                }
                c = 65535;
                break;
            case -873754951:
                if (str.equals("cleanCache")) {
                    c = 14;
                    break;
                }
                c = 65535;
                break;
            case -677145915:
                if (str.equals("forward")) {
                    c = 6;
                    break;
                }
                c = 65535;
                break;
            case -317054497:
                if (str.equals("canGoBack")) {
                    c = '\f';
                    break;
                }
                c = 65535;
                break;
            case 3015911:
                if (str.equals("back")) {
                    c = 5;
                    break;
                }
                c = 65535;
                break;
            case 3125404:
                if (str.equals("eval")) {
                    c = 2;
                    break;
                }
                c = 65535;
                break;
            case 3202370:
                if (str.equals("hide")) {
                    c = 7;
                    break;
                }
                c = 65535;
                break;
            case 3529469:
                if (str.equals("show")) {
                    c = '\b';
                    break;
                }
                c = 65535;
                break;
            case 94756344:
                if (str.equals("close")) {
                    c = 1;
                    break;
                }
                c = 65535;
                break;
            case 375437590:
                if (str.equals("reloadUrl")) {
                    c = '\t';
                    break;
                }
                c = 65535;
                break;
            default:
                c = 65535;
                break;
        }
        switch (c) {
            case 0:
                openUrl(methodCall, result);
                return;
            case 1:
                close(methodCall, result);
                return;
            case 2:
                eval(methodCall, result);
                return;
            case 3:
                resize(methodCall, result);
                return;
            case 4:
                reload(methodCall, result);
                return;
            case 5:
                back(methodCall, result);
                return;
            case 6:
                forward(methodCall, result);
                return;
            case 7:
                hide(methodCall, result);
                return;
            case '\b':
                show(methodCall, result);
                return;
            case '\t':
                reloadUrl(methodCall, result);
                return;
            case '\n':
                stopLoading(methodCall, result);
                return;
            case 11:
                cleanCookies(methodCall, result);
                return;
            case '\f':
                canGoBack(result);
                return;
            case '\r':
                canGoForward(result);
                return;
            case 14:
                cleanCache(result);
                return;
            default:
                result.notImplemented();
                return;
        }
    }

    private void cleanCache(MethodChannel.Result result) {
        this.webViewManager.cleanCache();
        WebStorage.getInstance().deleteAllData();
        result.success(null);
    }

    /* access modifiers changed from: package-private */
    public void openUrl(MethodCall methodCall, MethodChannel.Result result) {
        boolean z;
        boolean booleanValue = ((Boolean) methodCall.argument("hidden")).booleanValue();
        String str = (String) methodCall.argument(IjkMediaPlayer.OnNativeInvokeListener.ARG_URL);
        String str2 = (String) methodCall.argument("userAgent");
        boolean booleanValue2 = ((Boolean) methodCall.argument("withJavascript")).booleanValue();
        boolean booleanValue3 = ((Boolean) methodCall.argument("clearCache")).booleanValue();
        boolean booleanValue4 = ((Boolean) methodCall.argument("clearCookies")).booleanValue();
        boolean booleanValue5 = ((Boolean) methodCall.argument("mediaPlaybackRequiresUserGesture")).booleanValue();
        boolean booleanValue6 = ((Boolean) methodCall.argument("withZoom")).booleanValue();
        boolean booleanValue7 = ((Boolean) methodCall.argument("displayZoomControls")).booleanValue();
        boolean booleanValue8 = ((Boolean) methodCall.argument("withLocalStorage")).booleanValue();
        boolean booleanValue9 = ((Boolean) methodCall.argument("withOverviewMode")).booleanValue();
        boolean booleanValue10 = ((Boolean) methodCall.argument("supportMultipleWindows")).booleanValue();
        boolean booleanValue11 = ((Boolean) methodCall.argument("appCacheEnabled")).booleanValue();
        Map<String, String> map = (Map) methodCall.argument("headers");
        boolean booleanValue12 = ((Boolean) methodCall.argument("scrollBar")).booleanValue();
        boolean booleanValue13 = ((Boolean) methodCall.argument("allowFileURLs")).booleanValue();
        boolean booleanValue14 = ((Boolean) methodCall.argument("useWideViewPort")).booleanValue();
        String str3 = (String) methodCall.argument("invalidUrlRegex");
        boolean booleanValue15 = ((Boolean) methodCall.argument("geolocationEnabled")).booleanValue();
        boolean booleanValue16 = ((Boolean) methodCall.argument("debuggingEnabled")).booleanValue();
        boolean booleanValue17 = ((Boolean) methodCall.argument("ignoreSSLErrors")).booleanValue();
        WebviewManager webviewManager = this.webViewManager;
        if (webviewManager == null || webviewManager.closed) {
            Map map2 = (Map) methodCall.arguments;
            List arrayList = new ArrayList();
            if (map2.containsKey(JS_CHANNEL_NAMES_FIELD)) {
                arrayList = (List) map2.get(JS_CHANNEL_NAMES_FIELD);
            }
            z = booleanValue9;
            this.webViewManager = new WebviewManager(this.activity, this.context, arrayList);
        } else {
            z = booleanValue9;
        }
        this.activity.addContentView(this.webViewManager.webView, buildLayoutParams(methodCall));
        this.webViewManager.openUrl(booleanValue2, booleanValue3, booleanValue, booleanValue4, booleanValue5, str2, str, map, booleanValue6, booleanValue7, booleanValue8, z, booleanValue12, booleanValue10, booleanValue11, booleanValue13, booleanValue14, str3, booleanValue15, booleanValue16, booleanValue17);
        result.success(null);
    }

    private FrameLayout.LayoutParams buildLayoutParams(MethodCall methodCall) {
        Map map = (Map) methodCall.argument("rect");
        if (map != null) {
            FrameLayout.LayoutParams layoutParams = new FrameLayout.LayoutParams(dp2px(this.activity, (float) ((Number) map.get("width")).intValue()), dp2px(this.activity, (float) ((Number) map.get("height")).intValue()));
            layoutParams.setMargins(dp2px(this.activity, (float) ((Number) map.get(TtmlNode.LEFT)).intValue()), dp2px(this.activity, (float) ((Number) map.get("top")).intValue()), 0, 0);
            return layoutParams;
        }
        Display defaultDisplay = this.activity.getWindowManager().getDefaultDisplay();
        Point point = new Point();
        defaultDisplay.getSize(point);
        return new FrameLayout.LayoutParams(point.x, point.y);
    }

    private void stopLoading(MethodCall methodCall, MethodChannel.Result result) {
        WebviewManager webviewManager = this.webViewManager;
        if (webviewManager != null) {
            webviewManager.stopLoading(methodCall, result);
        }
        result.success(null);
    }

    /* access modifiers changed from: package-private */
    public void close(MethodCall methodCall, MethodChannel.Result result) {
        WebviewManager webviewManager = this.webViewManager;
        if (webviewManager != null) {
            webviewManager.close(methodCall, result);
            this.webViewManager = null;
        }
    }

    private void canGoBack(MethodChannel.Result result) {
        WebviewManager webviewManager = this.webViewManager;
        if (webviewManager != null) {
            result.success(Boolean.valueOf(webviewManager.canGoBack()));
        } else {
            result.error("Webview is null", null, null);
        }
    }

    private void back(MethodCall methodCall, MethodChannel.Result result) {
        WebviewManager webviewManager = this.webViewManager;
        if (webviewManager != null) {
            webviewManager.back(methodCall, result);
        }
        result.success(null);
    }

    private void canGoForward(MethodChannel.Result result) {
        WebviewManager webviewManager = this.webViewManager;
        if (webviewManager != null) {
            result.success(Boolean.valueOf(webviewManager.canGoForward()));
        } else {
            result.error("Webview is null", null, null);
        }
    }

    private void forward(MethodCall methodCall, MethodChannel.Result result) {
        WebviewManager webviewManager = this.webViewManager;
        if (webviewManager != null) {
            webviewManager.forward(methodCall, result);
        }
        result.success(null);
    }

    private void reload(MethodCall methodCall, MethodChannel.Result result) {
        WebviewManager webviewManager = this.webViewManager;
        if (webviewManager != null) {
            webviewManager.reload(methodCall, result);
        }
        result.success(null);
    }

    private void reloadUrl(MethodCall methodCall, MethodChannel.Result result) {
        if (this.webViewManager != null) {
            String str = (String) methodCall.argument(IjkMediaPlayer.OnNativeInvokeListener.ARG_URL);
            Map<String, String> map = (Map) methodCall.argument("headers");
            if (map != null) {
                this.webViewManager.reloadUrl(str, map);
            } else {
                this.webViewManager.reloadUrl(str);
            }
        }
        result.success(null);
    }

    private void eval(MethodCall methodCall, MethodChannel.Result result) {
        WebviewManager webviewManager = this.webViewManager;
        if (webviewManager != null) {
            webviewManager.eval(methodCall, result);
        }
    }

    private void resize(MethodCall methodCall, MethodChannel.Result result) {
        if (this.webViewManager != null) {
            this.webViewManager.resize(buildLayoutParams(methodCall));
        }
        result.success(null);
    }

    private void hide(MethodCall methodCall, MethodChannel.Result result) {
        WebviewManager webviewManager = this.webViewManager;
        if (webviewManager != null) {
            webviewManager.hide(methodCall, result);
        }
        result.success(null);
    }

    private void show(MethodCall methodCall, MethodChannel.Result result) {
        WebviewManager webviewManager = this.webViewManager;
        if (webviewManager != null) {
            webviewManager.show(methodCall, result);
        }
        result.success(null);
    }

    private void cleanCookies(MethodCall methodCall, MethodChannel.Result result) {
        if (Build.VERSION.SDK_INT >= 21) {
            CookieManager.getInstance().removeAllCookies(new ValueCallback<Boolean>() {
                /* class com.flutter_webview_plugin.FlutterWebviewPlugin.AnonymousClass1 */

                public void onReceiveValue(Boolean bool) {
                }
            });
        } else {
            CookieManager.getInstance().removeAllCookie();
        }
        result.success(null);
    }

    private int dp2px(Context context2, float f) {
        return (int) ((f * context2.getResources().getDisplayMetrics().density) + 0.5f);
    }

    @Override // io.flutter.plugin.common.PluginRegistry.ActivityResultListener
    public boolean onActivityResult(int i, int i2, Intent intent) {
        WebviewManager webviewManager = this.webViewManager;
        if (webviewManager == null || webviewManager.resultHandler == null) {
            return false;
        }
        return this.webViewManager.resultHandler.handleResult(i, i2, intent);
    }
}
