package com.google.android.exoplayer2.source.hls;

import com.google.android.exoplayer2.C;
import com.google.android.exoplayer2.source.chunk.MediaChunk;
import java.io.IOException;

final class UnexpectedSampleTimestampException extends IOException {
    public final long lastAcceptedSampleTimeUs;
    public final MediaChunk mediaChunk;
    public final long rejectedSampleTimeUs;

    /* JADX WARNING: Illegal instructions before constructor call */
    public UnexpectedSampleTimestampException(MediaChunk mediaChunk2, long j, long j2) {
        super(r6.toString());
        long usToMs = C.usToMs(j2);
        long j3 = mediaChunk2.startTimeUs;
        long j4 = mediaChunk2.endTimeUs;
        StringBuilder sb = new StringBuilder(103);
        sb.append("Unexpected sample timestamp: ");
        sb.append(usToMs);
        sb.append(" in chunk [");
        sb.append(j3);
        sb.append(", ");
        sb.append(j4);
        sb.append("]");
        this.mediaChunk = mediaChunk2;
        this.lastAcceptedSampleTimeUs = j;
        this.rejectedSampleTimeUs = j2;
    }
}
