package com.luck.picture.lib;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.media.MediaPlayer;
import android.net.Uri;
import android.os.Build;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.os.Parcelable;
import android.text.TextUtils;
import android.view.View;
import android.view.animation.Animation;
import android.view.animation.AnimationUtils;
import android.widget.CheckBox;
import android.widget.CompoundButton;
import android.widget.ImageView;
import android.widget.RelativeLayout;
import android.widget.SeekBar;
import android.widget.TextView;
import androidx.core.content.ContextCompat;
import androidx.recyclerview.widget.GridLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import androidx.recyclerview.widget.SimpleItemAnimator;
import com.luck.picture.lib.PictureSelectorActivity;
import com.luck.picture.lib.adapter.PictureAlbumDirectoryAdapter;
import com.luck.picture.lib.adapter.PictureImageGridAdapter;
import com.luck.picture.lib.broadcast.BroadcastAction;
import com.luck.picture.lib.broadcast.BroadcastManager;
import com.luck.picture.lib.config.PictureConfig;
import com.luck.picture.lib.config.PictureMimeType;
import com.luck.picture.lib.decoration.GridSpacingItemDecoration;
import com.luck.picture.lib.dialog.PhotoItemSelectedDialog;
import com.luck.picture.lib.dialog.PictureCustomDialog;
import com.luck.picture.lib.entity.LocalMedia;
import com.luck.picture.lib.entity.LocalMediaFolder;
import com.luck.picture.lib.model.LocalMediaLoader;
import com.luck.picture.lib.observable.ImagesObservable;
import com.luck.picture.lib.permissions.PermissionChecker;
import com.luck.picture.lib.tools.AttrsUtils;
import com.luck.picture.lib.tools.DateUtils;
import com.luck.picture.lib.tools.DoubleUtils;
import com.luck.picture.lib.tools.JumpUtils;
import com.luck.picture.lib.tools.MediaUtils;
import com.luck.picture.lib.tools.PictureFileUtils;
import com.luck.picture.lib.tools.ScreenUtils;
import com.luck.picture.lib.tools.SdkVersionUtils;
import com.luck.picture.lib.tools.StringUtils;
import com.luck.picture.lib.tools.ToastUtils;
import com.luck.picture.lib.tools.ValueOf;
import com.luck.picture.lib.widget.FolderPopWindow;
import com.yalantis.ucrop.UCrop;
import com.yalantis.ucrop.UCropMulti;
import com.yalantis.ucrop.model.CutInfo;
import java.io.File;
import java.util.ArrayList;
import java.util.List;

public class PictureSelectorActivity extends PictureBaseActivity implements View.OnClickListener, PictureAlbumDirectoryAdapter.OnItemClickListener, PictureImageGridAdapter.OnPhotoSelectChangedListener, PhotoItemSelectedDialog.OnItemClickListener {
    protected static final int DISMISS_DIALOG = 1;
    protected static final int SHOW_DIALOG = 0;
    protected boolean anim = false;
    protected Animation animation = null;
    protected PictureCustomDialog audioDialog;
    protected int audioH;
    private BroadcastReceiver commonBroadcastReceiver = new BroadcastReceiver() {
        /* class com.luck.picture.lib.PictureSelectorActivity.AnonymousClass5 */

        /* JADX WARNING: Removed duplicated region for block: B:13:0x002e  */
        /* JADX WARNING: Removed duplicated region for block: B:28:0x0079  */
        public void onReceive(Context context, Intent intent) {
            char c;
            Bundle extras;
            ArrayList parcelableArrayList;
            String action = intent.getAction();
            int hashCode = action.hashCode();
            if (hashCode != -1005291407) {
                if (hashCode == 343721998 && action.equals(BroadcastAction.ACTION_SELECTED_DATA)) {
                    c = 0;
                    if (c == 0) {
                        Bundle extras2 = intent.getExtras();
                        if (extras2 != null && PictureSelectorActivity.this.mAdapter != null) {
                            ArrayList parcelableArrayList2 = extras2.getParcelableArrayList(PictureConfig.EXTRA_SELECT_IMAGES_KEY);
                            int i = extras2.getInt("position");
                            PictureSelectorActivity pictureSelectorActivity = PictureSelectorActivity.this;
                            pictureSelectorActivity.anim = true;
                            pictureSelectorActivity.mAdapter.bindSelectImages(parcelableArrayList2);
                            PictureSelectorActivity.this.mAdapter.notifyItemChanged(i);
                            return;
                        }
                        return;
                    } else if (c == 1 && (extras = intent.getExtras()) != null && (parcelableArrayList = extras.getParcelableArrayList(PictureConfig.EXTRA_SELECT_IMAGES_KEY)) != null && parcelableArrayList.size() > 0) {
                        String mimeType = ((LocalMedia) parcelableArrayList.get(0)).getMimeType();
                        if (!PictureSelectorActivity.this.config.isCompress || !PictureMimeType.eqImage(mimeType) || PictureSelectorActivity.this.config.isCheckOriginalImage) {
                            PictureSelectorActivity.this.isPreviewLoading = SdkVersionUtils.checkedAndroid_Q();
                            PictureSelectorActivity.this.onResult(parcelableArrayList);
                            return;
                        }
                        PictureSelectorActivity pictureSelectorActivity2 = PictureSelectorActivity.this;
                        pictureSelectorActivity2.isPreviewLoading = false;
                        pictureSelectorActivity2.compressImage(parcelableArrayList);
                        return;
                    } else {
                        return;
                    }
                }
            } else if (action.equals(BroadcastAction.ACTION_PREVIEW_COMPRESSION)) {
                c = 1;
                if (c == 0) {
                }
            }
            c = 65535;
            if (c == 0) {
            }
        }
    };
    protected FolderPopWindow folderWindow;
    protected List<LocalMediaFolder> foldersList = new ArrayList();
    protected List<LocalMedia> images = new ArrayList();
    protected boolean isFirstEnterActivity = false;
    protected boolean isPlayAudio = false;
    protected PictureImageGridAdapter mAdapter;
    protected RelativeLayout mBottomLayout;
    protected CheckBox mCbOriginal;
    private Handler mHandler = new Handler() {
        /* class com.luck.picture.lib.PictureSelectorActivity.AnonymousClass1 */

        public void handleMessage(Message message) {
            super.handleMessage(message);
            int i = message.what;
            if (i == 0) {
                PictureSelectorActivity.this.lambda$onResult$3$PictureBaseActivity();
            } else if (i == 1) {
                PictureSelectorActivity.this.dismissDialog();
            }
        }
    };
    protected ImageView mIvArrow;
    protected ImageView mIvPictureLeftBack;
    protected RecyclerView mPictureRecycler;
    public Runnable mRunnable = new Runnable() {
        /* class com.luck.picture.lib.PictureSelectorActivity.AnonymousClass4 */

        public void run() {
            try {
                if (PictureSelectorActivity.this.mediaPlayer != null) {
                    PictureSelectorActivity.this.mTvMusicTime.setText(DateUtils.formatDurationTime((long) PictureSelectorActivity.this.mediaPlayer.getCurrentPosition()));
                    PictureSelectorActivity.this.musicSeekBar.setProgress(PictureSelectorActivity.this.mediaPlayer.getCurrentPosition());
                    PictureSelectorActivity.this.musicSeekBar.setMax(PictureSelectorActivity.this.mediaPlayer.getDuration());
                    PictureSelectorActivity.this.mTvMusicTotal.setText(DateUtils.formatDurationTime((long) PictureSelectorActivity.this.mediaPlayer.getDuration()));
                    if (PictureSelectorActivity.this.mHandler != null) {
                        PictureSelectorActivity.this.mHandler.postDelayed(PictureSelectorActivity.this.mRunnable, 200);
                    }
                }
            } catch (Exception e) {
                e.printStackTrace();
            }
        }
    };
    protected TextView mTvEmpty;
    protected TextView mTvMusicStatus;
    protected TextView mTvMusicTime;
    protected TextView mTvMusicTotal;
    protected TextView mTvPictureImgNum;
    protected TextView mTvPictureOk;
    protected TextView mTvPicturePreview;
    protected TextView mTvPictureRight;
    protected TextView mTvPictureTitle;
    protected TextView mTvPlayPause;
    protected TextView mTvQuit;
    protected TextView mTvStop;
    protected LocalMediaLoader mediaLoader;
    protected MediaPlayer mediaPlayer;
    protected SeekBar musicSeekBar;
    protected View titleViewBg;

    static /* synthetic */ void lambda$requestCamera$4() {
    }

    /* access modifiers changed from: protected */
    @Override // androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, androidx.appcompat.app.AppCompatActivity, com.luck.picture.lib.PictureBaseActivity, androidx.fragment.app.FragmentActivity
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        BroadcastManager.getInstance(this).registerReceiver(this.commonBroadcastReceiver, BroadcastAction.ACTION_SELECTED_DATA, BroadcastAction.ACTION_PREVIEW_COMPRESSION);
    }

    /* access modifiers changed from: protected */
    public void onRestoreInstanceState(Bundle bundle) {
        super.onRestoreInstanceState(bundle);
        if (bundle != null) {
            this.selectionMedias = PictureSelector.obtainSelectorList(bundle);
        }
    }

    /* access modifiers changed from: protected */
    @Override // androidx.fragment.app.FragmentActivity
    public void onResume() {
        super.onResume();
        if (this.mCbOriginal != null && this.config != null) {
            this.mCbOriginal.setChecked(this.config.isCheckOriginalImage);
        }
    }

    @Override // com.luck.picture.lib.PictureBaseActivity
    public int getResourceId() {
        return R.layout.picture_selector;
    }

    /* access modifiers changed from: protected */
    @Override // com.luck.picture.lib.PictureBaseActivity
    public void initWidgets() {
        int i;
        String str;
        super.initWidgets();
        this.container = findViewById(R.id.container);
        this.titleViewBg = findViewById(R.id.titleViewBg);
        this.mIvPictureLeftBack = (ImageView) findViewById(R.id.picture_left_back);
        this.mTvPictureTitle = (TextView) findViewById(R.id.picture_title);
        this.mTvPictureRight = (TextView) findViewById(R.id.picture_right);
        this.mTvPictureOk = (TextView) findViewById(R.id.picture_tv_ok);
        this.mCbOriginal = (CheckBox) findViewById(R.id.cb_original);
        this.mIvArrow = (ImageView) findViewById(R.id.ivArrow);
        this.mTvPicturePreview = (TextView) findViewById(R.id.picture_id_preview);
        this.mTvPictureImgNum = (TextView) findViewById(R.id.picture_tv_img_num);
        this.mPictureRecycler = (RecyclerView) findViewById(R.id.picture_recycler);
        this.mBottomLayout = (RelativeLayout) findViewById(R.id.rl_bottom);
        this.mTvEmpty = (TextView) findViewById(R.id.tv_empty);
        isNumComplete(this.numComplete);
        this.mTvPicturePreview.setOnClickListener(this);
        int i2 = 8;
        if (this.config.chooseMode == PictureMimeType.ofAudio()) {
            this.mTvPicturePreview.setVisibility(8);
            this.audioH = ScreenUtils.getScreenHeight(getContext()) + ScreenUtils.getStatusBarHeight(getContext());
        } else {
            this.mTvPicturePreview.setVisibility(this.config.chooseMode == PictureMimeType.ofVideo() ? 8 : 0);
        }
        this.mBottomLayout.setVisibility((this.config.selectionMode != 1 || !this.config.isSingleDirectReturn) ? 0 : 8);
        this.mIvPictureLeftBack.setOnClickListener(this);
        this.mTvPictureRight.setOnClickListener(this);
        this.mTvPictureOk.setOnClickListener(this);
        this.mTvPictureImgNum.setOnClickListener(this);
        this.mTvPictureTitle.setOnClickListener(this);
        this.mIvArrow.setOnClickListener(this);
        if (this.config.chooseMode == PictureMimeType.ofAudio()) {
            i = R.string.picture_all_audio;
        } else {
            i = R.string.picture_camera_roll;
        }
        this.mTvPictureTitle.setText(getString(i));
        this.folderWindow = new FolderPopWindow(this, this.config);
        this.folderWindow.setArrowImageView(this.mIvArrow);
        this.folderWindow.setOnItemClickListener(this);
        this.mPictureRecycler.setHasFixedSize(true);
        this.mPictureRecycler.addItemDecoration(new GridSpacingItemDecoration(this.config.imageSpanCount, ScreenUtils.dip2px(this, 2.0f), false));
        this.mPictureRecycler.setLayoutManager(new GridLayoutManager(getContext(), this.config.imageSpanCount));
        ((SimpleItemAnimator) this.mPictureRecycler.getItemAnimator()).setSupportsChangeAnimations(false);
        if (this.config.isFallbackVersion2 || Build.VERSION.SDK_INT <= 19) {
            loadAllMediaData();
        }
        TextView textView = this.mTvEmpty;
        if (this.config.chooseMode == PictureMimeType.ofAudio()) {
            str = getString(R.string.picture_audio_empty);
        } else {
            str = getString(R.string.picture_empty);
        }
        textView.setText(str);
        StringUtils.tempTextFont(this.mTvEmpty, this.config.chooseMode);
        this.mAdapter = new PictureImageGridAdapter(getContext(), this.config);
        this.mAdapter.setOnPhotoSelectChangedListener(this);
        this.mPictureRecycler.setAdapter(this.mAdapter);
        CheckBox checkBox = this.mCbOriginal;
        if (this.config.isOriginalControl) {
            i2 = 0;
        }
        checkBox.setVisibility(i2);
        this.mCbOriginal.setOnCheckedChangeListener(new CompoundButton.OnCheckedChangeListener() {
            /* class com.luck.picture.lib.$$Lambda$PictureSelectorActivity$_IdUEJ4d65K5VsPqQbOWuj3r2Jo */

            public final void onCheckedChanged(CompoundButton compoundButton, boolean z) {
                PictureSelectorActivity.this.lambda$initWidgets$0$PictureSelectorActivity(compoundButton, z);
            }
        });
    }

    public /* synthetic */ void lambda$initWidgets$0$PictureSelectorActivity(CompoundButton compoundButton, boolean z) {
        this.config.isCheckOriginalImage = z;
    }

    public void onEnterAnimationComplete() {
        super.onEnterAnimationComplete();
        if ((!this.config.isFallbackVersion2 || Build.VERSION.SDK_INT > 19) && !this.isFirstEnterActivity) {
            loadAllMediaData();
            this.isFirstEnterActivity = true;
        }
    }

    private void loadAllMediaData() {
        if (!PermissionChecker.checkSelfPermission(this, "android.permission.READ_EXTERNAL_STORAGE") || !PermissionChecker.checkSelfPermission(this, "android.permission.WRITE_EXTERNAL_STORAGE")) {
            PermissionChecker.requestPermissions(this, new String[]{"android.permission.READ_EXTERNAL_STORAGE", "android.permission.WRITE_EXTERNAL_STORAGE"}, 1);
        } else {
            readLocalMedia();
        }
    }

    @Override // com.luck.picture.lib.PictureBaseActivity
    public void initPictureSelectorStyle() {
        if (this.config.style != null) {
            if (this.config.style.pictureTitleDownResId != 0) {
                this.mIvArrow.setImageDrawable(ContextCompat.getDrawable(this, this.config.style.pictureTitleDownResId));
            }
            if (this.config.style.pictureTitleTextColor != 0) {
                this.mTvPictureTitle.setTextColor(this.config.style.pictureTitleTextColor);
            }
            if (this.config.style.pictureTitleTextSize != 0) {
                this.mTvPictureTitle.setTextSize((float) this.config.style.pictureTitleTextSize);
            }
            if (this.config.style.pictureRightDefaultTextColor != 0) {
                this.mTvPictureRight.setTextColor(this.config.style.pictureRightDefaultTextColor);
            } else if (this.config.style.pictureCancelTextColor != 0) {
                this.mTvPictureRight.setTextColor(this.config.style.pictureCancelTextColor);
            }
            if (this.config.style.pictureRightTextSize != 0) {
                this.mTvPictureRight.setTextSize((float) this.config.style.pictureRightTextSize);
            }
            if (this.config.style.pictureLeftBackIcon != 0) {
                this.mIvPictureLeftBack.setImageResource(this.config.style.pictureLeftBackIcon);
            }
            if (this.config.style.pictureUnPreviewTextColor != 0) {
                this.mTvPicturePreview.setTextColor(this.config.style.pictureUnPreviewTextColor);
            }
            if (this.config.style.picturePreviewTextSize != 0) {
                this.mTvPicturePreview.setTextSize((float) this.config.style.picturePreviewTextSize);
            }
            if (this.config.style.pictureCheckNumBgStyle != 0) {
                this.mTvPictureImgNum.setBackgroundResource(this.config.style.pictureCheckNumBgStyle);
            }
            if (this.config.style.pictureUnCompleteTextColor != 0) {
                this.mTvPictureOk.setTextColor(this.config.style.pictureUnCompleteTextColor);
            }
            if (this.config.style.pictureCompleteTextSize != 0) {
                this.mTvPictureOk.setTextSize((float) this.config.style.pictureCompleteTextSize);
            }
            if (this.config.style.pictureBottomBgColor != 0) {
                this.mBottomLayout.setBackgroundColor(this.config.style.pictureBottomBgColor);
            }
            if (this.config.style.pictureContainerBackgroundColor != 0) {
                this.container.setBackgroundColor(this.config.style.pictureContainerBackgroundColor);
            }
            if (!TextUtils.isEmpty(this.config.style.pictureRightDefaultText)) {
                this.mTvPictureRight.setText(this.config.style.pictureRightDefaultText);
            }
            if (!TextUtils.isEmpty(this.config.style.pictureUnCompleteText)) {
                this.mTvPictureOk.setText(this.config.style.pictureUnCompleteText);
            }
            if (!TextUtils.isEmpty(this.config.style.pictureUnPreviewText)) {
                this.mTvPicturePreview.setText(this.config.style.pictureUnPreviewText);
            }
        } else {
            if (this.config.downResId != 0) {
                this.mIvArrow.setImageDrawable(ContextCompat.getDrawable(this, this.config.downResId));
            }
            int typeValueColor = AttrsUtils.getTypeValueColor(getContext(), R.attr.picture_bottom_bg);
            if (typeValueColor != 0) {
                this.mBottomLayout.setBackgroundColor(typeValueColor);
            }
        }
        this.titleViewBg.setBackgroundColor(this.colorPrimary);
        if (this.config.isOriginalControl) {
            if (this.config.style != null) {
                if (this.config.style.pictureOriginalControlStyle != 0) {
                    this.mCbOriginal.setButtonDrawable(this.config.style.pictureOriginalControlStyle);
                } else {
                    this.mCbOriginal.setButtonDrawable(ContextCompat.getDrawable(this, R.drawable.picture_original_checkbox));
                }
                if (this.config.style.pictureOriginalFontColor != 0) {
                    this.mCbOriginal.setTextColor(this.config.style.pictureOriginalFontColor);
                } else {
                    this.mCbOriginal.setTextColor(ContextCompat.getColor(this, R.color.picture_color_53575e));
                }
                if (this.config.style.pictureOriginalTextSize != 0) {
                    this.mCbOriginal.setTextSize((float) this.config.style.pictureOriginalTextSize);
                }
            } else {
                this.mCbOriginal.setButtonDrawable(ContextCompat.getDrawable(this, R.drawable.picture_original_checkbox));
                this.mCbOriginal.setTextColor(ContextCompat.getColor(this, R.color.picture_color_53575e));
            }
        }
        this.mAdapter.bindSelectImages(this.selectionMedias);
    }

    /* access modifiers changed from: protected */
    @Override // androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, androidx.appcompat.app.AppCompatActivity, com.luck.picture.lib.PictureBaseActivity, androidx.fragment.app.FragmentActivity
    public void onSaveInstanceState(Bundle bundle) {
        super.onSaveInstanceState(bundle);
        PictureImageGridAdapter pictureImageGridAdapter = this.mAdapter;
        if (pictureImageGridAdapter != null) {
            PictureSelector.saveSelectorList(bundle, pictureImageGridAdapter.getSelectedImages());
        }
    }

    private void isNumComplete(boolean z) {
        String str;
        Animation animation2;
        TextView textView = this.mTvPictureOk;
        if (z) {
            int i = R.string.picture_done_front_num;
            Object[] objArr = new Object[2];
            objArr[0] = 0;
            objArr[1] = Integer.valueOf(this.config.selectionMode == 1 ? 1 : this.config.maxSelectNum);
            str = getString(i, objArr);
        } else {
            str = getString(R.string.picture_please_select);
        }
        textView.setText(str);
        if (!z) {
            this.animation = AnimationUtils.loadAnimation(this, R.anim.picture_anim_modal_in);
        }
        if (z) {
            animation2 = null;
        } else {
            animation2 = AnimationUtils.loadAnimation(this, R.anim.picture_anim_modal_in);
        }
        this.animation = animation2;
    }

    /* access modifiers changed from: protected */
    public void readLocalMedia() {
        this.mHandler.sendEmptyMessage(0);
        if (this.mediaLoader == null) {
            this.mediaLoader = new LocalMediaLoader(this, this.config);
        }
        this.mediaLoader.loadAllMedia();
        this.mediaLoader.setCompleteListener(new LocalMediaLoader.LocalMediaLoadListener() {
            /* class com.luck.picture.lib.PictureSelectorActivity.AnonymousClass2 */

            @Override // com.luck.picture.lib.model.LocalMediaLoader.LocalMediaLoadListener
            public void loadComplete(List<LocalMediaFolder> list) {
                int i = 0;
                if (list.size() > 0) {
                    PictureSelectorActivity.this.foldersList = list;
                    LocalMediaFolder localMediaFolder = list.get(0);
                    localMediaFolder.setChecked(true);
                    List<LocalMedia> images = localMediaFolder.getImages();
                    if (images.size() >= PictureSelectorActivity.this.images.size()) {
                        PictureSelectorActivity pictureSelectorActivity = PictureSelectorActivity.this;
                        pictureSelectorActivity.images = images;
                        pictureSelectorActivity.folderWindow.bindFolder(list);
                    }
                }
                if (!(PictureSelectorActivity.this.mAdapter == null || PictureSelectorActivity.this.images == null)) {
                    PictureSelectorActivity.this.mAdapter.bindImagesData(PictureSelectorActivity.this.images);
                    boolean z = PictureSelectorActivity.this.images.size() > 0;
                    if (!z) {
                        PictureSelectorActivity.this.mTvEmpty.setText(PictureSelectorActivity.this.getString(R.string.picture_empty));
                        PictureSelectorActivity.this.mTvEmpty.setCompoundDrawablesRelativeWithIntrinsicBounds(0, R.drawable.picture_icon_no_data, 0, 0);
                    }
                    TextView textView = PictureSelectorActivity.this.mTvEmpty;
                    if (z) {
                        i = 4;
                    }
                    textView.setVisibility(i);
                }
                PictureSelectorActivity.this.mHandler.sendEmptyMessage(1);
            }

            @Override // com.luck.picture.lib.model.LocalMediaLoader.LocalMediaLoadListener
            public void loadMediaDataError() {
                PictureSelectorActivity.this.mHandler.sendEmptyMessage(1);
                int i = 0;
                if (Build.VERSION.SDK_INT >= 17) {
                    PictureSelectorActivity.this.mTvEmpty.setCompoundDrawablesRelativeWithIntrinsicBounds(0, R.drawable.picture_icon_data_error, 0, 0);
                }
                PictureSelectorActivity.this.mTvEmpty.setText(PictureSelectorActivity.this.getString(R.string.picture_data_exception));
                TextView textView = PictureSelectorActivity.this.mTvEmpty;
                if (PictureSelectorActivity.this.images.size() > 0) {
                    i = 4;
                }
                textView.setVisibility(i);
            }
        });
    }

    public void startCamera() {
        if (!DoubleUtils.isFastDoubleClick()) {
            int i = this.config.chooseMode;
            if (i == 0) {
                PhotoItemSelectedDialog newInstance = PhotoItemSelectedDialog.newInstance();
                newInstance.setOnItemClickListener(this);
                newInstance.show(getSupportFragmentManager(), "PhotoItemSelectedDialog");
            } else if (i == 1) {
                startOpenCamera();
            } else if (i == 2) {
                startOpenCameraVideo();
            } else if (i == 3) {
                startOpenCameraAudio();
            }
        }
    }

    public void onClick(View view) {
        int id = view.getId();
        if (id == R.id.picture_left_back || id == R.id.picture_right) {
            FolderPopWindow folderPopWindow = this.folderWindow;
            if (folderPopWindow == null || !folderPopWindow.isShowing()) {
                closeActivity();
            } else {
                this.folderWindow.dismiss();
            }
        }
        if (id == R.id.picture_title || id == R.id.ivArrow) {
            if (this.folderWindow.isShowing()) {
                this.folderWindow.dismiss();
            } else {
                List<LocalMedia> list = this.images;
                if (list != null && list.size() > 0) {
                    this.folderWindow.showAsDropDown(this.titleViewBg);
                    if (!this.config.isSingleDirectReturn) {
                        this.folderWindow.notifyDataCheckedStatus(this.mAdapter.getSelectedImages());
                    }
                }
            }
        }
        if (id == R.id.picture_id_preview) {
            onPreview();
        }
        if (id == R.id.picture_tv_ok || id == R.id.picture_tv_img_num) {
            onComplete();
        }
    }

    private void onPreview() {
        List<LocalMedia> selectedImages = this.mAdapter.getSelectedImages();
        ArrayList<? extends Parcelable> arrayList = new ArrayList<>();
        int size = selectedImages.size();
        for (int i = 0; i < size; i++) {
            arrayList.add(selectedImages.get(i));
        }
        Bundle bundle = new Bundle();
        bundle.putParcelableArrayList(PictureConfig.EXTRA_PREVIEW_SELECT_LIST, arrayList);
        bundle.putParcelableArrayList(PictureConfig.EXTRA_SELECT_LIST, (ArrayList) selectedImages);
        bundle.putBoolean(PictureConfig.EXTRA_BOTTOM_PREVIEW, true);
        JumpUtils.startPicturePreviewActivity(getContext(), this.config.isWeChatStyle, bundle, this.config.selectionMode == 1 ? 69 : UCropMulti.REQUEST_MULTI_CROP);
        overridePendingTransition((this.config.windowAnimationStyle == null || this.config.windowAnimationStyle.activityPreviewEnterAnimation == 0) ? R.anim.picture_anim_enter : this.config.windowAnimationStyle.activityPreviewEnterAnimation, R.anim.picture_anim_fade_in);
    }

    private void onComplete() {
        String str;
        List<LocalMedia> selectedImages = this.mAdapter.getSelectedImages();
        LocalMedia localMedia = selectedImages.size() > 0 ? selectedImages.get(0) : null;
        String mimeType = localMedia != null ? localMedia.getMimeType() : "";
        int size = selectedImages.size();
        boolean eqImage = PictureMimeType.eqImage(mimeType);
        if (this.config.minSelectNum > 0 && this.config.selectionMode == 2 && size < this.config.minSelectNum) {
            if (eqImage) {
                str = getString(R.string.picture_min_img_num, new Object[]{Integer.valueOf(this.config.minSelectNum)});
            } else {
                str = getString(R.string.picture_min_video_num, new Object[]{Integer.valueOf(this.config.minSelectNum)});
            }
            ToastUtils.s(getContext(), str);
        } else if (this.config.isCheckOriginalImage) {
            onResult(selectedImages);
        } else if (!this.config.enableCrop || !eqImage) {
            if (!this.config.isCompress || !eqImage) {
                onResult(selectedImages);
            } else {
                compressImage(selectedImages);
            }
        } else if (this.config.selectionMode == 1) {
            this.originalPath = localMedia.getPath();
            startCrop(this.originalPath);
        } else {
            ArrayList<CutInfo> arrayList = new ArrayList<>();
            int size2 = selectedImages.size();
            for (int i = 0; i < size2; i++) {
                LocalMedia localMedia2 = selectedImages.get(i);
                if (localMedia2 != null && !TextUtils.isEmpty(localMedia2.getPath())) {
                    CutInfo cutInfo = new CutInfo();
                    cutInfo.setId(localMedia2.getId());
                    cutInfo.setPath(localMedia2.getPath());
                    cutInfo.setImageWidth(localMedia2.getWidth());
                    cutInfo.setImageHeight(localMedia2.getHeight());
                    cutInfo.setMimeType(localMedia2.getMimeType());
                    arrayList.add(cutInfo);
                }
            }
            startCrop(arrayList);
        }
    }

    private void audioDialog(String str) {
        if (!isFinishing()) {
            this.audioDialog = new PictureCustomDialog(getContext(), R.layout.picture_audio_dialog);
            this.audioDialog.getWindow().setWindowAnimations(R.style.Picture_Theme_Dialog_AudioStyle);
            this.mTvMusicStatus = (TextView) this.audioDialog.findViewById(R.id.tv_musicStatus);
            this.mTvMusicTime = (TextView) this.audioDialog.findViewById(R.id.tv_musicTime);
            this.musicSeekBar = (SeekBar) this.audioDialog.findViewById(R.id.musicSeekBar);
            this.mTvMusicTotal = (TextView) this.audioDialog.findViewById(R.id.tv_musicTotal);
            this.mTvPlayPause = (TextView) this.audioDialog.findViewById(R.id.tv_PlayPause);
            this.mTvStop = (TextView) this.audioDialog.findViewById(R.id.tv_Stop);
            this.mTvQuit = (TextView) this.audioDialog.findViewById(R.id.tv_Quit);
            Handler handler = this.mHandler;
            if (handler != null) {
                handler.postDelayed(new Runnable(str) {
                    /* class com.luck.picture.lib.$$Lambda$PictureSelectorActivity$inJaOODKINdCkn2X7NhtYScpF8M */
                    private final /* synthetic */ String f$1;

                    {
                        this.f$1 = r2;
                    }

                    public final void run() {
                        PictureSelectorActivity.this.lambda$audioDialog$1$PictureSelectorActivity(this.f$1);
                    }
                }, 30);
            }
            this.mTvPlayPause.setOnClickListener(new audioOnClick(str));
            this.mTvStop.setOnClickListener(new audioOnClick(str));
            this.mTvQuit.setOnClickListener(new audioOnClick(str));
            this.musicSeekBar.setOnSeekBarChangeListener(new SeekBar.OnSeekBarChangeListener() {
                /* class com.luck.picture.lib.PictureSelectorActivity.AnonymousClass3 */

                public void onStartTrackingTouch(SeekBar seekBar) {
                }

                public void onStopTrackingTouch(SeekBar seekBar) {
                }

                public void onProgressChanged(SeekBar seekBar, int i, boolean z) {
                    if (z) {
                        PictureSelectorActivity.this.mediaPlayer.seekTo(i);
                    }
                }
            });
            this.audioDialog.setOnDismissListener(new DialogInterface.OnDismissListener(str) {
                /* class com.luck.picture.lib.$$Lambda$PictureSelectorActivity$MnzkrF3nwG9C8qtPBmFCc0AM8 */
                private final /* synthetic */ String f$1;

                {
                    this.f$1 = r2;
                }

                public final void onDismiss(DialogInterface dialogInterface) {
                    PictureSelectorActivity.this.lambda$audioDialog$3$PictureSelectorActivity(this.f$1, dialogInterface);
                }
            });
            Handler handler2 = this.mHandler;
            if (handler2 != null) {
                handler2.post(this.mRunnable);
            }
            this.audioDialog.show();
        }
    }

    public /* synthetic */ void lambda$audioDialog$3$PictureSelectorActivity(String str, DialogInterface dialogInterface) {
        Handler handler = this.mHandler;
        if (handler != null) {
            handler.removeCallbacks(this.mRunnable);
        }
        new Handler().postDelayed(new Runnable(str) {
            /* class com.luck.picture.lib.$$Lambda$PictureSelectorActivity$LVOqNE7dDKVCo3qWbFO5C615w */
            private final /* synthetic */ String f$1;

            {
                this.f$1 = r2;
            }

            public final void run() {
                PictureSelectorActivity.this.lambda$null$2$PictureSelectorActivity(this.f$1);
            }
        }, 30);
        try {
            if (this.audioDialog != null && this.audioDialog.isShowing()) {
                this.audioDialog.dismiss();
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    /* access modifiers changed from: private */
    /* renamed from: initPlayer */
    public void lambda$audioDialog$1$PictureSelectorActivity(String str) {
        this.mediaPlayer = new MediaPlayer();
        try {
            this.mediaPlayer.setDataSource(str);
            this.mediaPlayer.prepare();
            this.mediaPlayer.setLooping(true);
            playAudio();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public class audioOnClick implements View.OnClickListener {
        private String path;

        public audioOnClick(String str) {
            this.path = str;
        }

        public void onClick(View view) {
            int id = view.getId();
            if (id == R.id.tv_PlayPause) {
                PictureSelectorActivity.this.playAudio();
            }
            if (id == R.id.tv_Stop) {
                PictureSelectorActivity.this.mTvMusicStatus.setText(PictureSelectorActivity.this.getString(R.string.picture_stop_audio));
                PictureSelectorActivity.this.mTvPlayPause.setText(PictureSelectorActivity.this.getString(R.string.picture_play_audio));
                PictureSelectorActivity.this.lambda$null$2$PictureSelectorActivity(this.path);
            }
            if (id == R.id.tv_Quit && PictureSelectorActivity.this.mHandler != null) {
                PictureSelectorActivity.this.mHandler.postDelayed(new Runnable() {
                    /* class com.luck.picture.lib.$$Lambda$PictureSelectorActivity$audioOnClick$pguMTdzExSNByyRsN3mXcjGziQ */

                    public final void run() {
                        PictureSelectorActivity.audioOnClick.this.lambda$onClick$0$PictureSelectorActivity$audioOnClick();
                    }
                }, 30);
                try {
                    if (PictureSelectorActivity.this.audioDialog != null && PictureSelectorActivity.this.audioDialog.isShowing()) {
                        PictureSelectorActivity.this.audioDialog.dismiss();
                    }
                } catch (Exception e) {
                    e.printStackTrace();
                }
                PictureSelectorActivity.this.mHandler.removeCallbacks(PictureSelectorActivity.this.mRunnable);
            }
        }

        public /* synthetic */ void lambda$onClick$0$PictureSelectorActivity$audioOnClick() {
            PictureSelectorActivity.this.lambda$null$2$PictureSelectorActivity(this.path);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void playAudio() {
        MediaPlayer mediaPlayer2 = this.mediaPlayer;
        if (mediaPlayer2 != null) {
            this.musicSeekBar.setProgress(mediaPlayer2.getCurrentPosition());
            this.musicSeekBar.setMax(this.mediaPlayer.getDuration());
        }
        if (this.mTvPlayPause.getText().toString().equals(getString(R.string.picture_play_audio))) {
            this.mTvPlayPause.setText(getString(R.string.picture_pause_audio));
            this.mTvMusicStatus.setText(getString(R.string.picture_play_audio));
            playOrPause();
        } else {
            this.mTvPlayPause.setText(getString(R.string.picture_play_audio));
            this.mTvMusicStatus.setText(getString(R.string.picture_pause_audio));
            playOrPause();
        }
        if (!this.isPlayAudio) {
            Handler handler = this.mHandler;
            if (handler != null) {
                handler.post(this.mRunnable);
            }
            this.isPlayAudio = true;
        }
    }

    /* renamed from: stop */
    public void lambda$null$2$PictureSelectorActivity(String str) {
        MediaPlayer mediaPlayer2 = this.mediaPlayer;
        if (mediaPlayer2 != null) {
            try {
                mediaPlayer2.stop();
                this.mediaPlayer.reset();
                this.mediaPlayer.setDataSource(str);
                this.mediaPlayer.prepare();
                this.mediaPlayer.seekTo(0);
            } catch (Exception e) {
                e.printStackTrace();
            }
        }
    }

    public void playOrPause() {
        try {
            if (this.mediaPlayer == null) {
                return;
            }
            if (this.mediaPlayer.isPlaying()) {
                this.mediaPlayer.pause();
            } else {
                this.mediaPlayer.start();
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @Override // com.luck.picture.lib.adapter.PictureAlbumDirectoryAdapter.OnItemClickListener
    public void onItemClick(boolean z, String str, List<LocalMedia> list) {
        if (!this.config.isCamera) {
            z = false;
        }
        this.mAdapter.setShowCamera(z);
        this.mTvPictureTitle.setText(str);
        this.folderWindow.dismiss();
        this.mAdapter.bindImagesData(list);
        this.mPictureRecycler.smoothScrollToPosition(0);
    }

    @Override // com.luck.picture.lib.adapter.PictureImageGridAdapter.OnPhotoSelectChangedListener
    public void onTakePhoto() {
        if (PermissionChecker.checkSelfPermission(this, "android.permission.CAMERA")) {
            startCamera();
        } else {
            PermissionChecker.requestPermissions(this, new String[]{"android.permission.CAMERA"}, 2);
        }
    }

    @Override // com.luck.picture.lib.adapter.PictureImageGridAdapter.OnPhotoSelectChangedListener
    public void onChange(List<LocalMedia> list) {
        changeImageNumber(list);
    }

    @Override // com.luck.picture.lib.adapter.PictureImageGridAdapter.OnPhotoSelectChangedListener
    public void onPictureClick(LocalMedia localMedia, int i) {
        if (this.config.selectionMode != 1 || !this.config.isSingleDirectReturn) {
            startPreview(this.mAdapter.getImages(), i);
            return;
        }
        ArrayList arrayList = new ArrayList();
        arrayList.add(localMedia);
        if (!this.config.enableCrop || this.config.isCheckOriginalImage) {
            handlerResult(arrayList);
            return;
        }
        this.mAdapter.bindSelectImages(arrayList);
        startCrop(localMedia.getPath());
    }

    public void startPreview(List<LocalMedia> list, int i) {
        LocalMedia localMedia = list.get(i);
        String mimeType = localMedia.getMimeType();
        Bundle bundle = new Bundle();
        ArrayList arrayList = new ArrayList();
        if (PictureMimeType.eqVideo(mimeType)) {
            if (this.config.selectionMode != 1 || this.config.enPreviewVideo) {
                bundle.putParcelable(PictureConfig.EXTRA_MEDIA_KEY, localMedia);
                JumpUtils.startPictureVideoPlayActivity(getContext(), bundle);
                return;
            }
            arrayList.add(localMedia);
            onResult(arrayList);
        } else if (!PictureMimeType.eqAudio(mimeType)) {
            List<LocalMedia> selectedImages = this.mAdapter.getSelectedImages();
            ImagesObservable.getInstance().savePreviewMediaData(new ArrayList(list));
            bundle.putParcelableArrayList(PictureConfig.EXTRA_SELECT_LIST, (ArrayList) selectedImages);
            bundle.putInt("position", i);
            JumpUtils.startPicturePreviewActivity(getContext(), this.config.isWeChatStyle, bundle, this.config.selectionMode == 1 ? 69 : UCropMulti.REQUEST_MULTI_CROP);
            overridePendingTransition((this.config.windowAnimationStyle == null || this.config.windowAnimationStyle.activityPreviewEnterAnimation == 0) ? R.anim.picture_anim_enter : this.config.windowAnimationStyle.activityPreviewEnterAnimation, R.anim.picture_anim_fade_in);
        } else if (this.config.selectionMode == 1) {
            arrayList.add(localMedia);
            onResult(arrayList);
        } else {
            audioDialog(localMedia.getPath());
        }
    }

    /* access modifiers changed from: protected */
    public void changeImageNumber(List<LocalMedia> list) {
        String mimeType = list.size() > 0 ? list.get(0).getMimeType() : "";
        int i = 8;
        if (this.config.chooseMode == PictureMimeType.ofAudio()) {
            this.mTvPicturePreview.setVisibility(8);
        } else {
            boolean eqVideo = PictureMimeType.eqVideo(mimeType);
            boolean z = this.config.chooseMode == 2;
            this.mTvPicturePreview.setVisibility((eqVideo || z) ? 8 : 0);
            CheckBox checkBox = this.mCbOriginal;
            if (!eqVideo && !z && this.config.isOriginalControl) {
                i = 0;
            }
            checkBox.setVisibility(i);
            this.config.isCheckOriginalImage = (eqVideo || z) ? false : this.config.isCheckOriginalImage;
            this.mCbOriginal.setChecked(this.config.isCheckOriginalImage);
        }
        if (list.size() != 0) {
            this.mTvPictureOk.setEnabled(true);
            this.mTvPictureOk.setSelected(true);
            this.mTvPicturePreview.setEnabled(true);
            this.mTvPicturePreview.setSelected(true);
            if (this.config.style != null) {
                if (this.config.style.pictureCompleteTextColor != 0) {
                    this.mTvPictureOk.setTextColor(this.config.style.pictureCompleteTextColor);
                }
                if (this.config.style.picturePreviewTextColor != 0) {
                    this.mTvPicturePreview.setTextColor(this.config.style.picturePreviewTextColor);
                }
            }
            if (this.config.style == null || TextUtils.isEmpty(this.config.style.picturePreviewText)) {
                this.mTvPicturePreview.setText(getString(R.string.picture_preview_num, new Object[]{Integer.valueOf(list.size())}));
            } else {
                this.mTvPicturePreview.setText(this.config.style.picturePreviewText);
            }
            if (this.numComplete) {
                TextView textView = this.mTvPictureOk;
                int i2 = R.string.picture_done_front_num;
                Object[] objArr = new Object[2];
                objArr[0] = Integer.valueOf(list.size());
                objArr[1] = Integer.valueOf(this.config.selectionMode == 1 ? 1 : this.config.maxSelectNum);
                textView.setText(getString(i2, objArr));
                return;
            }
            if (!this.anim) {
                this.mTvPictureImgNum.startAnimation(this.animation);
            }
            this.mTvPictureImgNum.setVisibility(0);
            this.mTvPictureImgNum.setText(String.valueOf(list.size()));
            if (this.config.style == null || TextUtils.isEmpty(this.config.style.pictureCompleteText)) {
                this.mTvPictureOk.setText(getString(R.string.picture_completed));
            } else {
                this.mTvPictureOk.setText(this.config.style.pictureCompleteText);
            }
            this.anim = false;
            return;
        }
        this.mTvPictureOk.setEnabled(false);
        this.mTvPictureOk.setSelected(false);
        this.mTvPicturePreview.setEnabled(false);
        this.mTvPicturePreview.setSelected(false);
        if (this.config.style != null) {
            if (this.config.style.pictureUnCompleteTextColor != 0) {
                this.mTvPictureOk.setTextColor(this.config.style.pictureUnCompleteTextColor);
            }
            if (this.config.style.pictureUnPreviewTextColor != 0) {
                this.mTvPicturePreview.setTextColor(this.config.style.pictureUnPreviewTextColor);
            }
        }
        if (this.config.style == null || TextUtils.isEmpty(this.config.style.pictureUnPreviewText)) {
            this.mTvPicturePreview.setText(getString(R.string.picture_preview));
        } else {
            this.mTvPicturePreview.setText(this.config.style.pictureUnPreviewText);
        }
        if (this.numComplete) {
            TextView textView2 = this.mTvPictureOk;
            int i3 = R.string.picture_done_front_num;
            Object[] objArr2 = new Object[2];
            objArr2[0] = 0;
            objArr2[1] = Integer.valueOf(this.config.selectionMode == 1 ? 1 : this.config.maxSelectNum);
            textView2.setText(getString(i3, objArr2));
            return;
        }
        this.mTvPictureImgNum.setVisibility(4);
        if (this.config.style == null || TextUtils.isEmpty(this.config.style.pictureUnCompleteText)) {
            this.mTvPictureOk.setText(getString(R.string.picture_please_select));
        } else {
            this.mTvPictureOk.setText(this.config.style.pictureUnCompleteText);
        }
    }

    /* access modifiers changed from: protected */
    @Override // androidx.fragment.app.FragmentActivity
    public void onActivityResult(int i, int i2, Intent intent) {
        if (i2 == -1) {
            if (i == 69) {
                singleCropHandleResult(intent);
            } else if (i == 609) {
                multiCropHandleResult(intent);
            } else if (i == 909) {
                requestCamera(intent);
            }
        } else if (i2 == 96) {
            ToastUtils.s(getContext(), ((Throwable) intent.getSerializableExtra("com.yalantis.ucrop.Error")).getMessage());
        }
    }

    private void cameraHandleResult(LocalMedia localMedia, String str) {
        if (this.config.isCheckOriginalImage) {
            ArrayList arrayList = new ArrayList();
            arrayList.add(localMedia);
            onResult(arrayList);
            return;
        }
        boolean eqImage = PictureMimeType.eqImage(str);
        if (this.config.enableCrop && eqImage) {
            List<LocalMedia> selectedImages = this.mAdapter.getSelectedImages();
            selectedImages.add(localMedia);
            this.mAdapter.bindSelectImages(selectedImages);
            this.originalPath = this.cameraPath;
            startCrop(this.cameraPath);
        } else if (!this.config.isCompress || !eqImage) {
            ArrayList arrayList2 = new ArrayList();
            arrayList2.add(localMedia);
            onResult(arrayList2);
        } else {
            ArrayList arrayList3 = new ArrayList();
            arrayList3.add(localMedia);
            compressImage(arrayList3);
            this.images.add(0, localMedia);
            this.mAdapter.bindSelectImages(arrayList3);
            this.mAdapter.notifyDataSetChanged();
        }
    }

    private void requestCamera(Intent intent) {
        String str;
        long j;
        int[] iArr;
        int[] iArr2;
        boolean checkedAndroid_Q = SdkVersionUtils.checkedAndroid_Q();
        long j2 = 0;
        if (this.config.chooseMode == PictureMimeType.ofAudio()) {
            this.cameraPath = getAudioPath(intent);
            if (!TextUtils.isEmpty(this.cameraPath)) {
                j = MediaUtils.extractDuration(getContext(), checkedAndroid_Q, this.cameraPath);
                str = "audio/mpeg";
            } else {
                return;
            }
        } else {
            str = null;
            j = 0;
        }
        if (!TextUtils.isEmpty(this.cameraPath)) {
            new File(this.cameraPath);
            int[] iArr3 = new int[2];
            File file = new File(this.cameraPath);
            if (!checkedAndroid_Q) {
                if (this.config.isFallbackVersion3) {
                    new PictureMediaScannerConnection(getContext(), this.cameraPath, $$Lambda$PictureSelectorActivity$lSxmCoyq083hVcK2hpe3LJLJ_yw.INSTANCE);
                } else {
                    sendBroadcast(new Intent("android.intent.action.MEDIA_SCANNER_SCAN_FILE", Uri.fromFile(file)));
                }
            }
            LocalMedia localMedia = new LocalMedia();
            int i = 0;
            if (this.config.chooseMode != PictureMimeType.ofAudio()) {
                if (checkedAndroid_Q) {
                    File file2 = new File(PictureFileUtils.getPath(getApplicationContext(), Uri.parse(this.cameraPath)));
                    j2 = file2.length();
                    str = PictureMimeType.fileToType(file2);
                    if (PictureMimeType.eqImage(str)) {
                        iArr2 = MediaUtils.getLocalImageSizeToAndroidQ(this, this.cameraPath);
                    } else {
                        iArr2 = MediaUtils.getLocalVideoSize(this, Uri.parse(this.cameraPath));
                        j = MediaUtils.extractDuration(getContext(), true, this.cameraPath);
                    }
                    iArr3 = iArr2;
                    int lastIndexOf = this.cameraPath.lastIndexOf("/") + 1;
                    localMedia.setId(lastIndexOf > 0 ? ValueOf.toLong(this.cameraPath.substring(lastIndexOf)) : -1);
                } else {
                    str = PictureMimeType.fileToType(file);
                    j2 = new File(this.cameraPath).length();
                    if (PictureMimeType.eqImage(str)) {
                        PictureFileUtils.rotateImage(PictureFileUtils.readPictureDegree(this, this.cameraPath), this.cameraPath);
                        iArr = MediaUtils.getLocalImageWidthOrHeight(this.cameraPath);
                    } else {
                        iArr = MediaUtils.getLocalVideoSize(this.cameraPath);
                        j = MediaUtils.extractDuration(getContext(), false, this.cameraPath);
                    }
                    iArr3 = iArr;
                    localMedia.setId(System.currentTimeMillis());
                }
            }
            localMedia.setDuration(j);
            localMedia.setWidth(iArr3[0]);
            localMedia.setHeight(iArr3[1]);
            localMedia.setPath(this.cameraPath);
            localMedia.setMimeType(str);
            localMedia.setSize(j2);
            localMedia.setChooseModel(this.config.chooseMode);
            if (this.mAdapter != null) {
                String str2 = "";
                if (this.config.selectionMode != 1) {
                    this.images.add(0, localMedia);
                    List<LocalMedia> selectedImages = this.mAdapter.getSelectedImages();
                    int size = selectedImages.size();
                    if (size > 0) {
                        str2 = selectedImages.get(0).getMimeType();
                    }
                    boolean isMimeTypeSame = PictureMimeType.isMimeTypeSame(str2, localMedia.getMimeType());
                    if (!PictureMimeType.eqVideo(str2) || this.config.maxVideoSelectNum <= 0) {
                        if (size >= this.config.maxSelectNum) {
                            ToastUtils.s(this, StringUtils.getToastMsg(this, str2, this.config.maxSelectNum));
                        } else if ((isMimeTypeSame || size == 0) && size < this.config.maxSelectNum) {
                            selectedImages.add(localMedia);
                            this.mAdapter.bindSelectImages(selectedImages);
                        }
                    } else if (size >= this.config.maxVideoSelectNum) {
                        ToastUtils.s(this, StringUtils.getToastMsg(this, str2, this.config.maxVideoSelectNum));
                    } else if ((isMimeTypeSame || size == 0) && selectedImages.size() < this.config.maxVideoSelectNum) {
                        selectedImages.add(localMedia);
                        this.mAdapter.bindSelectImages(selectedImages);
                    }
                } else if (this.config.isSingleDirectReturn) {
                    cameraHandleResult(localMedia, str);
                } else {
                    this.images.add(0, localMedia);
                    List<LocalMedia> selectedImages2 = this.mAdapter.getSelectedImages();
                    if (selectedImages2.size() > 0) {
                        str2 = selectedImages2.get(0).getMimeType();
                    }
                    if (PictureMimeType.isMimeTypeSame(str2, localMedia.getMimeType()) || selectedImages2.size() == 0) {
                        singleRadioMediaImage();
                        selectedImages2.add(localMedia);
                        this.mAdapter.bindSelectImages(selectedImages2);
                    }
                }
                this.mAdapter.notifyItemInserted(this.config.isCamera ? 1 : 0);
                manualSaveFolder(localMedia);
                TextView textView = this.mTvEmpty;
                if (this.images.size() > 0) {
                    i = 4;
                }
                textView.setVisibility(i);
            }
        }
    }

    private void singleCropHandleResult(Intent intent) {
        ArrayList arrayList = new ArrayList();
        String path = UCrop.getOutput(intent).getPath();
        PictureImageGridAdapter pictureImageGridAdapter = this.mAdapter;
        if (pictureImageGridAdapter != null) {
            List<LocalMedia> selectedImages = pictureImageGridAdapter.getSelectedImages();
            LocalMedia localMedia = (selectedImages == null || selectedImages.size() <= 0) ? null : selectedImages.get(0);
            if (localMedia != null) {
                this.originalPath = localMedia.getPath();
                localMedia.setCutPath(path);
                localMedia.setSize(new File(path).length());
                localMedia.setChooseModel(this.config.chooseMode);
                localMedia.setCut(true);
                if (SdkVersionUtils.checkedAndroid_Q()) {
                    localMedia.setAndroidQToPath(path);
                }
                arrayList.add(localMedia);
                handlerResult(arrayList);
            }
        }
    }

    private void singleRadioMediaImage() {
        List<LocalMedia> selectedImages = this.mAdapter.getSelectedImages();
        if (selectedImages != null && selectedImages.size() > 0) {
            selectedImages.clear();
        }
    }

    private void manualSaveFolder(LocalMedia localMedia) {
        try {
            createNewFolder(this.foldersList);
            LocalMediaFolder imageFolder = getImageFolder(localMedia.getPath(), this.foldersList);
            LocalMediaFolder localMediaFolder = this.foldersList.size() > 0 ? this.foldersList.get(0) : null;
            if (localMediaFolder != null && imageFolder != null) {
                localMediaFolder.setFirstImagePath(localMedia.getPath());
                localMediaFolder.setImages(this.images);
                localMediaFolder.setImageNum(localMediaFolder.getImageNum() + 1);
                imageFolder.setImageNum(imageFolder.getImageNum() + 1);
                imageFolder.getImages().add(0, localMedia);
                imageFolder.setFirstImagePath(this.cameraPath);
                this.folderWindow.bindFolder(this.foldersList);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @Override // androidx.activity.ComponentActivity
    public void onBackPressed() {
        super.onBackPressed();
        closeActivity();
    }

    /* access modifiers changed from: protected */
    @Override // androidx.appcompat.app.AppCompatActivity, com.luck.picture.lib.PictureBaseActivity, androidx.fragment.app.FragmentActivity
    public void onDestroy() {
        Handler handler;
        super.onDestroy();
        if (this.commonBroadcastReceiver != null) {
            BroadcastManager.getInstance(this).unregisterReceiver(this.commonBroadcastReceiver, BroadcastAction.ACTION_SELECTED_DATA, BroadcastAction.ACTION_PREVIEW_COMPRESSION);
            this.commonBroadcastReceiver = null;
        }
        Animation animation2 = this.animation;
        if (animation2 != null) {
            animation2.cancel();
            this.animation = null;
        }
        if (this.mediaPlayer != null && (handler = this.mHandler) != null) {
            handler.removeCallbacks(this.mRunnable);
            this.mediaPlayer.release();
            this.mediaPlayer = null;
        }
    }

    @Override // com.luck.picture.lib.dialog.PhotoItemSelectedDialog.OnItemClickListener
    public void onItemClick(int i) {
        if (i == 0) {
            startOpenCamera();
        } else if (i == 1) {
            startOpenCameraVideo();
        }
    }

    @Override // androidx.core.app.ActivityCompat.OnRequestPermissionsResultCallback, com.luck.picture.lib.PictureBaseActivity, androidx.fragment.app.FragmentActivity
    public void onRequestPermissionsResult(int i, String[] strArr, int[] iArr) {
        super.onRequestPermissionsResult(i, strArr, iArr);
        if (i != 1) {
            if (i == 2) {
                if (iArr[0] == 0) {
                    onTakePhoto();
                } else {
                    ToastUtils.s(getContext(), getString(R.string.picture_camera));
                }
            }
        } else if (iArr[0] == 0) {
            readLocalMedia();
        } else {
            ToastUtils.s(getContext(), getString(R.string.picture_jurisdiction));
            onBackPressed();
        }
    }
}
