package com.luck.picture.lib.crash;

import android.content.pm.PackageInfo;
import android.content.pm.PackageManager;
import android.os.Build;
import android.os.Environment;
import android.os.Process;
import com.luck.picture.lib.app.PictureAppMaster;
import java.io.File;
import java.io.FileWriter;
import java.io.IOException;
import java.io.PrintWriter;
import java.lang.Thread;
import java.text.Format;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Locale;

public class PictureSelectorCrashUtils {
    private static final String CRASH_HEAD = ("\n************* Crash Log Head ****************\nDevice Manufacturer: " + Build.MANUFACTURER + "\nDevice Model       : " + Build.MODEL + "\nAndroid Version    : " + Build.VERSION.RELEASE + "\nAndroid SDK        : " + Build.VERSION.SDK_INT + "\nApp VersionName    : " + versionName + "\nApp VersionCode    : " + versionCode + "\n************* Crash Log Head ****************\n\n");
    private static final String FILE_SEP = System.getProperty("file.separator");
    private static final Format FORMAT = new SimpleDateFormat("MM-dd HH-mm-ss", Locale.getDefault());
    private static final Thread.UncaughtExceptionHandler UNCAUGHT_EXCEPTION_HANDLER = new Thread.UncaughtExceptionHandler() {
        /* class com.luck.picture.lib.crash.PictureSelectorCrashUtils.AnonymousClass1 */

        /* JADX WARNING: Removed duplicated region for block: B:26:0x0089  */
        /* JADX WARNING: Removed duplicated region for block: B:28:0x008f  */
        public void uncaughtException(Thread thread, Throwable th) {
            Throwable th2;
            IOException e;
            if (PictureSelectorCrashUtils.mFinishAppListener != null) {
                PictureSelectorCrashUtils.mFinishAppListener.onFinishApp(thread, th);
            }
            Date date = new Date(System.currentTimeMillis());
            String str = PictureSelectorCrashUtils.FORMAT.format(date) + ".txt";
            StringBuilder sb = new StringBuilder();
            sb.append(PictureSelectorCrashUtils.dir == null ? PictureSelectorCrashUtils.defaultDir : PictureSelectorCrashUtils.dir);
            sb.append(str);
            String sb2 = sb.toString();
            if (PictureSelectorCrashUtils.createOrExistsFile(sb2)) {
                PrintWriter printWriter = null;
                try {
                    PrintWriter printWriter2 = new PrintWriter(new FileWriter(sb2, false));
                    try {
                        printWriter2.write(PictureSelectorCrashUtils.CRASH_HEAD);
                        th.printStackTrace(printWriter2);
                        for (Throwable cause = th.getCause(); cause != null; cause = cause.getCause()) {
                            cause.printStackTrace(printWriter2);
                        }
                        printWriter2.close();
                    } catch (IOException e2) {
                        e = e2;
                        printWriter = printWriter2;
                        try {
                            e.printStackTrace();
                            if (printWriter != null) {
                            }
                            Process.killProcess(Process.myPid());
                            System.exit(0);
                        } catch (Throwable th3) {
                            th2 = th3;
                            printWriter2 = printWriter;
                            if (printWriter2 != null) {
                                printWriter2.close();
                            }
                            throw th2;
                        }
                    } catch (Throwable th4) {
                        th2 = th4;
                        if (printWriter2 != null) {
                        }
                        throw th2;
                    }
                } catch (IOException e3) {
                    e = e3;
                    e.printStackTrace();
                    if (printWriter != null) {
                        printWriter.close();
                    }
                    Process.killProcess(Process.myPid());
                    System.exit(0);
                }
            }
            Process.killProcess(Process.myPid());
            System.exit(0);
        }
    };
    private static String defaultDir;
    private static String dir;
    private static CrashAppListener mFinishAppListener = null;
    private static boolean mInitialized;
    private static int versionCode;
    private static String versionName;

    public interface CrashAppListener {
        void onFinishApp(Thread thread, Throwable th);
    }

    static {
        try {
            PackageInfo packageInfo = PictureAppMaster.getInstance().getAppContext().getPackageManager().getPackageInfo(PictureAppMaster.getInstance().getAppContext().getPackageName(), 0);
            if (packageInfo != null) {
                versionName = packageInfo.versionName;
                versionCode = packageInfo.versionCode;
            }
        } catch (PackageManager.NameNotFoundException e) {
            e.printStackTrace();
        }
    }

    private PictureSelectorCrashUtils() {
        throw new UnsupportedOperationException("u can't instantiate me...");
    }

    public static boolean init() {
        return init("", null);
    }

    public static boolean init(CrashAppListener crashAppListener) {
        return init("", crashAppListener);
    }

    public static boolean init(File file) {
        return init(file.getAbsolutePath() + FILE_SEP, null);
    }

    public static boolean init(String str, CrashAppListener crashAppListener) {
        String str2;
        mFinishAppListener = crashAppListener;
        if (isSpace(str)) {
            dir = null;
        } else {
            if (str.endsWith(FILE_SEP)) {
                str2 = dir;
            } else {
                str2 = dir + FILE_SEP;
            }
            dir = str2;
        }
        if (mInitialized) {
            return true;
        }
        if (!"mounted".equals(Environment.getExternalStorageState()) || PictureAppMaster.getInstance().getAppContext().getExternalCacheDir() == null) {
            defaultDir = PictureAppMaster.getInstance().getAppContext().getCacheDir() + FILE_SEP + "crash" + FILE_SEP;
        } else {
            defaultDir = PictureAppMaster.getInstance().getAppContext().getExternalCacheDir() + FILE_SEP + "crash" + FILE_SEP;
        }
        Thread.setDefaultUncaughtExceptionHandler(UNCAUGHT_EXCEPTION_HANDLER);
        mInitialized = true;
        return true;
    }

    /* access modifiers changed from: private */
    public static boolean createOrExistsFile(String str) {
        File file = new File(str);
        if (file.exists()) {
            return file.isFile();
        }
        if (!createOrExistsDir(file.getParentFile())) {
            return false;
        }
        try {
            return file.createNewFile();
        } catch (IOException e) {
            e.printStackTrace();
            return false;
        }
    }

    private static boolean createOrExistsDir(File file) {
        return file != null && (!file.exists() ? file.mkdirs() : file.isDirectory());
    }

    private static boolean isSpace(String str) {
        if (str == null) {
            return true;
        }
        int length = str.length();
        for (int i = 0; i < length; i++) {
            if (!Character.isWhitespace(str.charAt(i))) {
                return false;
            }
        }
        return true;
    }

    public static void setCrashListener(CrashAppListener crashAppListener) {
        mFinishAppListener = crashAppListener;
    }
}
