package com.rhyme.r_scan.RScanCamera;

import android.app.Activity;
import android.hardware.camera2.CameraAccessException;
import com.rhyme.r_scan.RScanCamera.RScanPermissions;
import io.flutter.plugin.common.BinaryMessenger;
import io.flutter.plugin.common.MethodCall;
import io.flutter.plugin.common.MethodChannel;
import io.flutter.view.TextureRegistry;

public class RScanCameraMethodHandler implements MethodChannel.MethodCallHandler {
    private static final String scanViewType = "com.rhyme_lph/r_scan_camera";
    private final Activity activity;
    private final BinaryMessenger messenger;
    private final RScanPermissions.PermissionsRegistry permissionsRegistry;
    private RScanCamera rScanCamera;
    private final RScanPermissions rScanPermissions;
    private final TextureRegistry textureRegistry;

    public RScanCameraMethodHandler(Activity activity2, BinaryMessenger binaryMessenger, RScanPermissions rScanPermissions2, RScanPermissions.PermissionsRegistry permissionsRegistry2, TextureRegistry textureRegistry2) {
        this.activity = activity2;
        this.messenger = binaryMessenger;
        this.rScanPermissions = rScanPermissions2;
        this.permissionsRegistry = permissionsRegistry2;
        this.textureRegistry = textureRegistry2;
        new MethodChannel(binaryMessenger, "com.rhyme_lph/r_scan_camera/method").setMethodCallHandler(this);
    }

    /* JADX INFO: Can't fix incorrect switch cases order, some code will duplicate */
    @Override // io.flutter.plugin.common.MethodChannel.MethodCallHandler
    public void onMethodCall(MethodCall methodCall, MethodChannel.Result result) {
        char c;
        String str = methodCall.method;
        boolean z = false;
        switch (str.hashCode()) {
            case -2129330689:
                if (str.equals("startScan")) {
                    c = 2;
                    break;
                }
                c = 65535;
                break;
            case -2037208347:
                if (str.equals("availableCameras")) {
                    c = 0;
                    break;
                }
                c = 65535;
                break;
            case -1157064963:
                if (str.equals("getFlashMode")) {
                    c = 5;
                    break;
                }
                c = 65535;
                break;
            case 391927665:
                if (str.equals("setFlashMode")) {
                    c = 4;
                    break;
                }
                c = 65535;
                break;
            case 871091088:
                if (str.equals("initialize")) {
                    c = 1;
                    break;
                }
                c = 65535;
                break;
            case 1671767583:
                if (str.equals("dispose")) {
                    c = 6;
                    break;
                }
                c = 65535;
                break;
            case 1714778527:
                if (str.equals("stopScan")) {
                    c = 3;
                    break;
                }
                c = 65535;
                break;
            default:
                c = 65535;
                break;
        }
        switch (c) {
            case 0:
                try {
                    result.success(CameraUtils.getAvailableCameras(this.activity));
                    return;
                } catch (Exception e) {
                    handleException(e, result);
                    return;
                }
            case 1:
                RScanCamera rScanCamera2 = this.rScanCamera;
                if (rScanCamera2 != null) {
                    rScanCamera2.close();
                }
                this.rScanPermissions.requestPermissions(this.activity, this.permissionsRegistry, new RScanPermissions.ResultCallback(methodCall, result) {
                    /* class com.rhyme.r_scan.RScanCamera.$$Lambda$RScanCameraMethodHandler$PD3Px3AMc7PdUw18vXjkkxMo8jg */
                    private final /* synthetic */ MethodCall f$1;
                    private final /* synthetic */ MethodChannel.Result f$2;

                    {
                        this.f$1 = r2;
                        this.f$2 = r3;
                    }

                    @Override // com.rhyme.r_scan.RScanCamera.RScanPermissions.ResultCallback
                    public final void onResult(String str, String str2) {
                        RScanCameraMethodHandler.this.lambda$onMethodCall$0$RScanCameraMethodHandler(this.f$1, this.f$2, str, str2);
                    }
                });
                return;
            case 2:
                RScanCamera rScanCamera3 = this.rScanCamera;
                if (rScanCamera3 != null) {
                    rScanCamera3.startScan();
                }
                result.success(null);
                return;
            case 3:
                RScanCamera rScanCamera4 = this.rScanCamera;
                if (rScanCamera4 != null) {
                    rScanCamera4.stopScan();
                }
                result.success(null);
                return;
            case 4:
                Boolean bool = (Boolean) methodCall.argument("isOpen");
                RScanCamera rScanCamera5 = this.rScanCamera;
                if (rScanCamera5 != null) {
                    try {
                        if (bool == Boolean.TRUE) {
                            z = true;
                        }
                        rScanCamera5.enableTorch(z);
                    } catch (CameraAccessException e2) {
                        e2.printStackTrace();
                    }
                    result.success(true);
                    return;
                }
                result.success(true);
                return;
            case 5:
                RScanCamera rScanCamera6 = this.rScanCamera;
                if (rScanCamera6 != null) {
                    result.success(Boolean.valueOf(rScanCamera6.isTorchOn()));
                    return;
                } else {
                    result.success(false);
                    return;
                }
            case 6:
                RScanCamera rScanCamera7 = this.rScanCamera;
                if (rScanCamera7 != null) {
                    rScanCamera7.dispose();
                }
                result.success(null);
                return;
            default:
                result.notImplemented();
                return;
        }
    }

    public /* synthetic */ void lambda$onMethodCall$0$RScanCameraMethodHandler(MethodCall methodCall, MethodChannel.Result result, String str, String str2) {
        if (str == null) {
            try {
                instantiateCamera(methodCall, result);
            } catch (Exception e) {
                handleException(e, result);
            }
        } else {
            result.error(str, str2, null);
        }
    }

    private void instantiateCamera(MethodCall methodCall, MethodChannel.Result result) throws CameraAccessException {
        String str = (String) methodCall.argument("cameraName");
        String str2 = (String) methodCall.argument("resolutionPreset");
        TextureRegistry.SurfaceTextureEntry createSurfaceTexture = this.textureRegistry.createSurfaceTexture();
        this.rScanCamera = new RScanCamera(this.activity, createSurfaceTexture, new RScanMessenger(this.messenger, createSurfaceTexture.id()), str, str2);
        this.rScanCamera.open(result);
    }

    private void handleException(Exception exc, MethodChannel.Result result) {
        if (exc instanceof CameraAccessException) {
            result.error("CameraAccess", exc.getMessage(), null);
        }
        throw ((RuntimeException) exc);
    }
}
