package creativemaybeno.wakelock;

import com.tekartik.sqflite.Constant;
import creativemaybeno.wakelock.Messages;
import io.flutter.plugin.common.BasicMessageChannel;
import io.flutter.plugin.common.BinaryMessenger;
import io.flutter.plugin.common.StandardMessageCodec;
import java.util.HashMap;

public class Messages {

    public static class ToggleMessage {
        private Boolean enable;

        public Boolean getEnable() {
            return this.enable;
        }

        public void setEnable(Boolean bool) {
            this.enable = bool;
        }

        public HashMap toMap() {
            HashMap hashMap = new HashMap();
            hashMap.put("enable", this.enable);
            return hashMap;
        }

        static ToggleMessage fromMap(HashMap hashMap) {
            ToggleMessage toggleMessage = new ToggleMessage();
            toggleMessage.enable = (Boolean) hashMap.get("enable");
            return toggleMessage;
        }
    }

    public static class IsEnabledMessage {
        private Boolean enabled;

        public Boolean getEnabled() {
            return this.enabled;
        }

        public void setEnabled(Boolean bool) {
            this.enabled = bool;
        }

        public HashMap toMap() {
            HashMap hashMap = new HashMap();
            hashMap.put("enabled", this.enabled);
            return hashMap;
        }

        static IsEnabledMessage fromMap(HashMap hashMap) {
            IsEnabledMessage isEnabledMessage = new IsEnabledMessage();
            isEnabledMessage.enabled = (Boolean) hashMap.get("enabled");
            return isEnabledMessage;
        }
    }

    public interface WakelockApi {
        IsEnabledMessage isEnabled();

        void toggle(ToggleMessage toggleMessage);

        /* renamed from: creativemaybeno.wakelock.Messages$WakelockApi$-CC */
        public final /* synthetic */ class CC {
            public static void setup(BinaryMessenger binaryMessenger, WakelockApi wakelockApi) {
                BasicMessageChannel basicMessageChannel = new BasicMessageChannel(binaryMessenger, "dev.flutter.pigeon.WakelockApi.toggle", new StandardMessageCodec());
                if (wakelockApi != null) {
                    basicMessageChannel.setMessageHandler(new BasicMessageChannel.MessageHandler() {
                        /* class creativemaybeno.wakelock.$$Lambda$Messages$WakelockApi$l2ut_Mtqx6GKV3yVfO1vw97DRo */

                        @Override // io.flutter.plugin.common.BasicMessageChannel.MessageHandler
                        public final void onMessage(Object obj, BasicMessageChannel.Reply reply) {
                            Messages.WakelockApi.CC.lambda$setup$0(Messages.WakelockApi.this, obj, reply);
                        }
                    });
                } else {
                    basicMessageChannel.setMessageHandler(null);
                }
                BasicMessageChannel basicMessageChannel2 = new BasicMessageChannel(binaryMessenger, "dev.flutter.pigeon.WakelockApi.isEnabled", new StandardMessageCodec());
                if (wakelockApi != null) {
                    basicMessageChannel2.setMessageHandler(new BasicMessageChannel.MessageHandler() {
                        /* class creativemaybeno.wakelock.$$Lambda$Messages$WakelockApi$P444eQYI3VaE7t9yVvSI5xzJ_lU */

                        @Override // io.flutter.plugin.common.BasicMessageChannel.MessageHandler
                        public final void onMessage(Object obj, BasicMessageChannel.Reply reply) {
                            Messages.WakelockApi.CC.lambda$setup$1(Messages.WakelockApi.this, obj, reply);
                        }
                    });
                } else {
                    basicMessageChannel2.setMessageHandler(null);
                }
            }

            public static /* synthetic */ void lambda$setup$0(WakelockApi wakelockApi, Object obj, BasicMessageChannel.Reply reply) {
                HashMap hashMap = new HashMap();
                try {
                    wakelockApi.toggle(ToggleMessage.fromMap((HashMap) obj));
                    hashMap.put(Constant.PARAM_RESULT, null);
                } catch (Exception e) {
                    hashMap.put("error", Messages.wrapError(e));
                }
                reply.reply(hashMap);
            }

            public static /* synthetic */ void lambda$setup$1(WakelockApi wakelockApi, Object obj, BasicMessageChannel.Reply reply) {
                HashMap hashMap = new HashMap();
                try {
                    hashMap.put(Constant.PARAM_RESULT, wakelockApi.isEnabled().toMap());
                } catch (Exception e) {
                    hashMap.put("error", Messages.wrapError(e));
                }
                reply.reply(hashMap);
            }
        }
    }

    public static HashMap wrapError(Exception exc) {
        HashMap hashMap = new HashMap();
        hashMap.put(Constant.PARAM_ERROR_MESSAGE, exc.toString());
        hashMap.put(Constant.PARAM_ERROR_CODE, exc.getClass().getSimpleName());
        hashMap.put("details", null);
        return hashMap;
    }
}
