package io.github.ponnamkarthik.toast.fluttertoast;

import android.content.Context;
import android.graphics.drawable.GradientDrawable;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;
import android.widget.Toast;
import androidx.core.app.NotificationCompat;
import com.google.android.exoplayer2.text.ttml.TtmlNode;
import io.flutter.plugin.common.MethodCall;
import io.flutter.plugin.common.MethodChannel;
import io.flutter.plugin.common.PluginRegistry;

public class FluttertoastPlugin implements MethodChannel.MethodCallHandler {
    private Context mContext;
    private Toast mToast;

    private FluttertoastPlugin(Context context) {
        this.mContext = context;
    }

    public static void registerWith(PluginRegistry.Registrar registrar) {
        new MethodChannel(registrar.messenger(), "PonnamKarthik/fluttertoast").setMethodCallHandler(new FluttertoastPlugin(registrar.context()));
    }

    /* JADX DEBUG: Multi-variable search result rejected for r13v12, resolved type: android.widget.Toast */
    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r1v4, types: [boolean, int] */
    /* JADX WARNING: Removed duplicated region for block: B:12:0x002b  */
    /* JADX WARNING: Removed duplicated region for block: B:18:0x0042  */
    /* JADX WARNING: Unknown variable types count: 1 */
    @Override // io.flutter.plugin.common.MethodChannel.MethodCallHandler
    public void onMethodCall(MethodCall methodCall, MethodChannel.Result result) {
        char c;
        String str = methodCall.method;
        int hashCode = str.hashCode();
        char c2 = 65535;
        if (hashCode != -1913642710) {
            if (hashCode == -1367724422 && str.equals("cancel")) {
                c = 1;
                if (c == 0) {
                    CharSequence obj = methodCall.argument(NotificationCompat.CATEGORY_MESSAGE).toString();
                    String obj2 = methodCall.argument("length").toString();
                    String obj3 = methodCall.argument("gravity").toString();
                    Number number = (Number) methodCall.argument("bgcolor");
                    Number number2 = (Number) methodCall.argument("textcolor");
                    Number number3 = (Number) methodCall.argument(TtmlNode.ATTR_TTS_FONT_SIZE);
                    int hashCode2 = obj3.hashCode();
                    if (hashCode2 != -1364013995) {
                        if (hashCode2 == 115029 && obj3.equals("top")) {
                            c2 = 0;
                        }
                    } else if (obj3.equals(TtmlNode.CENTER)) {
                        c2 = 1;
                    }
                    int i = c2 != 0 ? c2 != 1 ? 80 : 17 : 48;
                    ?? equals = obj2.equals("long");
                    if (number == null || number2 == null || number3 == null) {
                        this.mToast = Toast.makeText(this.mContext, obj, equals == true ? 1 : 0);
                    } else {
                        View inflate = ((LayoutInflater) this.mContext.getSystemService("layout_inflater")).inflate(R.layout.toast_custom, (ViewGroup) null);
                        TextView textView = (TextView) inflate.findViewById(R.id.text);
                        textView.setText(obj);
                        GradientDrawable gradientDrawable = new GradientDrawable();
                        gradientDrawable.setColor(number.intValue());
                        gradientDrawable.setCornerRadius(dp2px(4.0f));
                        textView.setBackground(gradientDrawable);
                        textView.setTextSize(number3.floatValue());
                        textView.setTextColor(number2.intValue());
                        this.mToast = new Toast(this.mContext);
                        this.mToast.setDuration(equals);
                        this.mToast.setView(inflate);
                    }
                    if (i == 17) {
                        this.mToast.setGravity(i, 0, 0);
                    } else if (i == 48) {
                        this.mToast.setGravity(i, 0, 100);
                    } else {
                        this.mToast.setGravity(i, 0, 100);
                    }
                    this.mToast.show();
                    result.success(true);
                    return;
                } else if (c != 1) {
                    result.notImplemented();
                    return;
                } else {
                    Toast toast = this.mToast;
                    if (toast != null) {
                        toast.cancel();
                    }
                    result.success(true);
                    return;
                }
            }
        } else if (str.equals("showToast")) {
            c = 0;
            if (c == 0) {
            }
        }
        c = 65535;
        if (c == 0) {
        }
    }

    private float dp2px(float f) {
        return (f * this.mContext.getResources().getDisplayMetrics().density) + 0.5f;
    }
}
